DELETE FROM ASSENTO;
DELETE FROM AMBIENTE;
DELETE FROM STATUSASSENTO;
DELETE FROM EVENTO;
DELETE FROM ENDERECO;
DELETE FROM TELEFONE;
DELETE FROM Funcionario;
COMMIT;

DROP TABLE Telefone;
DROP TABLE Endereco;
DROP TABLE Funcionario;
DROP TABLE Assento;
DROP TABLE StatusAssento;
DROP TABLE Evento;
DROP TABLE Ambiente;




Create Table Ambiente(
       idAmbiente NUMBER(5),
       filas NUMBER(5),
       colunas NUMBER(5),
       constraint chavePrimariaAmbiente primary key(idAmbiente)
);

Create Table Evento(
       idEvento NUMBER(5),
       dataEvento date,
       hora date,
       nome VARCHAR2(60),
       preco NUMBER(20),
       idAmbiente NUMBER(5),
       constraint chavePrimariaEvento primary key(idEvento),
       CONSTRAINT dataEHoraUnicas UNIQUE (dataEvento, hora, idAmbiente),
       constraint chaveEstrangeiraEvento foreign key(idAmbiente) REFERENCES Ambiente
);

Create Table Assento(
       linha NUMBER(5),
       coluna NUMBER(5),
       idAmbiente NUMBER(5),
       constraint chavePrimariaAssento primary key(linha, coluna, idAmbiente),
       constraint chaveEstrangeiraAssento foreign key(idAmbiente) REFERENCES Ambiente
);

Create Table StatusAssento(
       linha NUMBER(5),
       coluna NUMBER(5),
       idEvento NUMBER(5),
       status NUMBER(5),
       constraint CPStatusAssento primary key(linha, coluna, idEvento),
       constraint CEStatusAssentoEvento foreign key(idEvento) REFERENCES Evento
);

CREATE TABLE Funcionario(
       cpf Varchar2(11),
       nome Varchar2(60),
       senha Varchar2(60),
       email VARCHAR2(60),
       constraint chavePrimariaFuncionario primary Key (cpf)
);

CREATE TABLE Telefone (
       cpfFuncionario VARCHAR2(11),
       DDD NUMBER(2),
       Numero NUMBER(8),
       CONSTRAINT ChavePrimariaTelefone PRIMARY KEY(cpfFuncionario),
       CONSTRAINT CEFuncionarioEmTelefone FOREIGN KEY(cpfFuncionario) REFERENCES Funcionario
);


CREATE TABLE Endereco (
       cpfFuncionario VARCHAR2(11),
       Bairro VARCHAR2(20),
       Numero NUMBER(10),
       Complemento VARCHAR2(40),
       CEP NUMBER(8),
       Cidade VARCHAR2(20),
       UF VARCHAR2(2),
       Logradouro VARCHAR2(30),
       CONSTRAINT ChavePrimariaEndereco PRIMARY KEY(cpfFuncionario),
       CONSTRAINT CEFuncionarioEmEndereco FOREIGN KEY(cpfFuncionario) REFERENCES Funcionario
);

COMMIT;