package dados.base;

import gui.TelaConfirmacao;

import java.awt.Color;
import java.awt.Font;
import java.io.File;
import java.io.FileOutputStream;
import java.io.IOException;
import java.net.MalformedURLException;

import com.lowagie.text.BadElementException;
import com.lowagie.text.Document;
import com.lowagie.text.DocumentException;
import com.lowagie.text.Image;
import com.lowagie.text.PageSize;
import com.lowagie.text.Paragraph;
import com.lowagie.text.pdf.PdfWriter;
import com.lowagie.text.*;


public class GeradorIngresso {
	
	
	public String getFormatoNomeAssento(int linha, int coluna) {
		String nomeAssento = "" + (char)(linha + 64) + coluna;
		return nomeAssento;
	}
	
	public void gerarIngresso(Evento evento, int linha, int coluna, String localDoArquivo){
		
		Paragraph titulo = new Paragraph("                     " + evento.getNome(),
		FontFactory.getFont(FontFactory.HELVETICA_BOLD, 30, Font.ITALIC, new Color(0, 0, 0)));
		
		
		//Paragraph titulo = new Paragraph(tituloEvento);
		
		titulo.setIndentationRight(50);
		
		String separador = "----------------------------------------------" +
				"----------------------------------------------------" +
				"--------------------------------";
		String parNull = "";
		String data = "                                   " + 
		"Data: " + evento.getData().dataToString();
		String dataHora = data + "                                " +"Hora: " + evento.getHora().horaToString();
		String assento = "                Assento: " + this.getFormatoNomeAssento(linha,coluna);
		String localAssento = "                                   " + "Sala: " + evento.getAmbiente().getIdAmbiente() + "                           " + assento;

		//Variveis que armazenam o nome do arquivo e seu local
		String nomeDoArquivo = "VIn - Vendas Inteligentes";
		
		
		Image logo;
		
		this.getClass().getResource(nomeDoArquivo + " - " +  evento.getNome() + ".pdf");
		
		// criao do objeto documento
		Document document = new Document();
			
		try 
		{
			PdfWriter.getInstance(document, new FileOutputStream(localDoArquivo+ nomeDoArquivo + " - " +  evento.getNome() + ".pdf"));
			document.open(); //Abrindo o documento
			
			document.add(new Paragraph(separador));
			
			document.setPageSize(PageSize.HALFLETTER);
			document.add(new Paragraph(parNull));
			try {
				logo = Image.getInstance(this.getClass().getResource("/Imagens/bilhete.PNG"));
				document.add(logo);
				
			} catch (BadElementException e) {
				// TODO Auto-generated catch block
				e.printStackTrace();
			} catch (MalformedURLException e) {
				// TODO Auto-generated catch block
				e.printStackTrace();
			} catch (IOException e) {
				// TODO Auto-generated catch block
				e.printStackTrace();
			}
			
			// adicionando os pargrafos ao documento
			document.add(titulo);			
			document.add(new Paragraph(parNull));
			document.add(new Paragraph(parNull));
			//document.add(new Paragraph(data));
			document.add(new Paragraph(localAssento));	
			document.add(new Paragraph(parNull));
			document.add(new Paragraph(dataHora));	
			document.add(new Paragraph(parNull));
			document.add(new Paragraph(separador));
			
			
			//Fechando o documento
			document.close();
			
		} 

		catch (DocumentException de) {
			System.err.println(de.getMessage());
		} 

		catch (IOException ioe) {
			System.err.println(ioe.getMessage());
		}

	}
	
	/*
	public static void main(String args[]){
		Ambiente ambiente  = new Ambiente(1,5,5);
		Evento evento = new Evento(1,ambiente,new Data(5,2,2000), new Hora(12,5), "Evento Teste",10);
		GeradorIngresso ingresso = new GeradorIngresso();
		ingresso.gerarIngresso(evento,4,3);
		
	}*/
	 

}
