package dados.repositorio;

import java.sql.Connection;
import java.util.Vector;

import dados.base.Ambiente;
import dados.base.Evento;
import dados.repositorioBD.RepositorioAmbienteBD;
import exceptions.AmbienteJahCadastradoException;
import exceptions.AmbienteNaoCadastradoException;
import exceptions.BancoDeDadosException;
import exceptions.EventoJahCadastradoException;
import exceptions.EventoNaoCadastradoException;

public class RepositorioAmbiente {
	
	RepositorioAmbienteBD repositorioAmbienteBD;
	
	public RepositorioAmbiente(Connection conexaoBD) {
		this.repositorioAmbienteBD = new RepositorioAmbienteBD(conexaoBD);
	}
	
	public void inserirAmbiente(Ambiente ambiente) throws AmbienteJahCadastradoException, BancoDeDadosException {
		this.repositorioAmbienteBD.inserirAmbiente(ambiente);
	}
	
	public void removerAmbiente(int idAmbiente) throws AmbienteNaoCadastradoException, BancoDeDadosException {
		this.repositorioAmbienteBD.removerAmbiente(idAmbiente);
	}
	
	public Ambiente consultarAmbiente(int idAmbiente) throws AmbienteNaoCadastradoException, BancoDeDadosException {
		return this.repositorioAmbienteBD.consultarAmbiente(idAmbiente);
	}
	
	/* DUVIDA
	 * 
	 * O que pode ser feito inserir linha e coluna no ambiente com esse id, e usar uma funcao atualizar ambiente para o BD ficar com os dados consistentes com o
	 * array.
	 * 
	 */
	
	public void inserirLinha(int idAmbiente) throws AmbienteNaoCadastradoException, BancoDeDadosException {
		this.repositorioAmbienteBD.inserirLinha(idAmbiente);
		//tem que atualizar o BD com essa nova info, mas atualizar aqui tb?
	}

	public void removerLinha(int idAmbiente) throws AmbienteNaoCadastradoException, BancoDeDadosException {
		this.repositorioAmbienteBD.removerLinha(idAmbiente);
		
	}

	public void inserirColuna(int idAmbiente) throws AmbienteNaoCadastradoException, BancoDeDadosException {
		this.repositorioAmbienteBD.inserirColuna(idAmbiente);
		
	}

	public void removerColuna(int idAmbiente) throws AmbienteNaoCadastradoException, BancoDeDadosException {
		this.repositorioAmbienteBD.removerColuna(idAmbiente);
		
	}
	
	public Vector<Ambiente> listarAmbientes() throws BancoDeDadosException{
		return this.repositorioAmbienteBD.listarAmbientes();
	}
	
}
