package dados.repositorio;

import java.sql.Connection;
import java.util.Vector;

import negocios.ControleAmbiente;

import dados.base.*;
import dados.repositorioBD.RepositorioEventoBD;
import exceptions.AmbienteNaoCadastradoException;
import exceptions.BancoDeDadosException;
import exceptions.EventoJahCadastradoException;
import exceptions.EventoNaoCadastradoException;

public class RepositorioEvento {
	
	RepositorioEventoBD repositorioEventoBD;
	
	public RepositorioEvento(Connection conexaoBD, ControleAmbiente controleAmbiente) {
		this.repositorioEventoBD = new RepositorioEventoBD(conexaoBD, controleAmbiente);
	}
	
	public void inserirEvento(Evento evento) throws EventoJahCadastradoException, AmbienteNaoCadastradoException, BancoDeDadosException {
		this.repositorioEventoBD.inserirEvento(evento);
		
	}


	public void removerEvento(int idEvento) throws EventoNaoCadastradoException, BancoDeDadosException {
		this.repositorioEventoBD.removerEvento(idEvento);
	}
	
	public Evento consultarEvento(int idEvento) throws EventoNaoCadastradoException, AmbienteNaoCadastradoException, BancoDeDadosException{
		return this.repositorioEventoBD.consultarEvento(idEvento);
	}
	
	public Vector<Evento> consultarEventosPeloNome(String nomeEvento) throws BancoDeDadosException{
		return this.repositorioEventoBD.consultarEventosPeloNome(nomeEvento);
	}

	public Vector<Evento> listarEventos() throws BancoDeDadosException{
		return this.repositorioEventoBD.listarEventos();
	}
	
	public void inserirReserva(int idEvento, int linha, int coluna) throws BancoDeDadosException{
		this.repositorioEventoBD.inserirReserva(idEvento, linha, coluna);
	}
}
