package dados.repositorio;
import java.sql.Connection;
import java.util.Vector;

import exceptions.*;

import dados.base.Evento;
import dados.base.Funcionario;
import dados.repositorioBD.RepositorioFuncionarioBD;

public class RepositorioFuncionario {
	
	private RepositorioFuncionarioBD repositorioFuncionarioBD;
	
	
	public RepositorioFuncionario(Connection conexaoBD) {
		this.repositorioFuncionarioBD = new RepositorioFuncionarioBD(conexaoBD);
	}
	
	public void inserirFuncionario(Funcionario funcionario) throws FuncionarioJahCadastradoException {
		this.repositorioFuncionarioBD.inserirFuncionario(funcionario);
	}
	
	public void removerFuncionario(String CPF) throws FuncionarioNaoCadastradoException, BancoDeDadosException {
		this.repositorioFuncionarioBD.removerFuncionario(CPF);
	}
	
	public Funcionario consultarFuncionario(String CPF) throws FuncionarioNaoCadastradoException, BancoDeDadosException {
		return this.repositorioFuncionarioBD.consultarFuncionario(CPF);
	}

	public Vector<Funcionario> consultarFuncionariosPeloNome(String nomeDoFuncionario) throws BancoDeDadosException {
		return this.repositorioFuncionarioBD.consultarFuncionariosPeloNome(nomeDoFuncionario);
	}
	

	public boolean verificarSenha(String CPF, String senha) throws FuncionarioNaoCadastradoException, BancoDeDadosException {
		
		return this.repositorioFuncionarioBD.verificarSenha(CPF, senha);
	}
	
}
