package dados.repositorioBD;

import java.sql.Connection;
import java.sql.ResultSet;
import java.sql.Statement;
import java.sql.SQLException;
import java.util.Vector;

import dados.base.Endereco;
import dados.base.Funcionario;
import dados.base.Telefone;
import exceptions.BancoDeDadosException;
import exceptions.FuncionarioNaoCadastradoException;
import exceptions.FuncionarioJahCadastradoException;

public class RepositorioFuncionarioBD {
	private Connection conexao;
	private Statement statement;
	private ResultSet resposta;
	
	public RepositorioFuncionarioBD(Connection conexao){
		this.conexao = conexao;
	}
	
	public void inserirFuncionario(Funcionario funcionario) throws FuncionarioJahCadastradoException {
		String insertFuncionario = "INSERT INTO Funcionario(cpf, nome, email,  senha) VALUES ('" + funcionario.getCpf() + "', '" + funcionario.getNome() + "', '" + funcionario.getEmail() +  "','" + funcionario.getSenha() + "')";
		String insertEndereco = "INSERT INTO Endereco(cpfFuncionario,Logradouro,Numero,Bairro,Cidade,UF,CEP,Complemento)"
								+ "VALUES('" + funcionario.getCpf() + "','" + funcionario.getEndereco().getLogradouro() + "'," + funcionario.getEndereco().getNumero() + ",'" + funcionario.getEndereco().getBairro() + "','" + funcionario.getEndereco().getCidade() +"','" +funcionario.getEndereco().getUf() +"'," +funcionario.getEndereco().getCep() + ",'" + funcionario.getEndereco().getComplemento() + "')";
		String insertTelefone = "INSERT INTO Telefone (cpfFuncionario, DDD, Numero) VALUES ('" + funcionario.getCpf() + "'," +  funcionario.getTelefone().getDdd() +","  + funcionario.getTelefone().getNumero() + ")";
		
		
		try {
			this.statement = this.conexao.createStatement();
			this.statement.executeUpdate(insertFuncionario);
			this.statement.executeUpdate(insertEndereco);
			this.statement.executeUpdate(insertTelefone);
			this.statement.close();
		} catch (SQLException e) {
			throw new FuncionarioJahCadastradoException("O Funcionrio com CPF = " + funcionario.getCpf() + " ja foi cadastrado anteriormente.");	
		}
	}
	
	public void removerFuncionario(String cpf) throws FuncionarioNaoCadastradoException, BancoDeDadosException{
		String deleteEndereco = "DELETE FROM Telefone WHERE cpfFuncionario = '" + cpf + "'";
		String deleteTelefone = "DELETE FROM Endereco WHERE cpfFuncionario = '" + cpf + "'";
		String deleteFuncionario = "DELETE FROM Funcionario WHERE cpf = '" + cpf + "'";
		try {
			this.consultarFuncionario(cpf);
			try {
				this.statement = this.conexao.createStatement();
				this.statement.executeUpdate(deleteEndereco);
				this.statement.executeUpdate(deleteTelefone);
				this.statement.executeUpdate(deleteFuncionario);
				this.statement.close();
			} catch (SQLException e) {
				throw new BancoDeDadosException("Banco de Dados Indisponvel.");
			}
		} catch (FuncionarioNaoCadastradoException e1) {
			throw new FuncionarioNaoCadastradoException("No existe nenhum usurio cadastrado com CPF = " + cpf + ".");
		}
		
	}
	
	/*public void atualizarFuncionario(Funcionario funcionario) throws BancoDeDadosException{
		try {
			this.statement = this.conexao.createStatement();
			this.statement.executeUpdate("UPDATE Funcionario SET CPF = '" + funcionario.getCpf() + "', email = '" + funcionario.getEmail() + "', senha = '" + funcionario.getSenha() + "'WHERE cpf = '" + funcionario.getCpf() + "'");
			this.statement.close();
		} catch (SQLException e) {
			throw new BancoDeDadosException("Banco de Dados Indisponvel.");
		}
	}*/


	public Funcionario consultarFuncionario(String CPF) throws FuncionarioNaoCadastradoException, BancoDeDadosException{
		Funcionario retorno = null;
		Endereco endereco = null;
		Telefone telefone = null;
		String nome = "";
		String email = "";
		String senha = ""; 
		int ddd;
		int telNumero;		
		String bairro = "";
		int endNumero;
		String complemento = "";
		int cep;
		String cidade = "";
		String uf = "";
		String logradouro = "";
	//	String selectFuncionario = "SELECT f.nome AS funcionario_nome, f.email AS funcionario_email, f.senha AS funcionario_senha FROM Funcionario f WHERE CPF  = '" + CPF + "'";
		String select = "SELECT f.cpf AS funcionario_cpf, f.nome AS funcionario_nome, f.senha AS funcionario_senha, f.email AS funcionario_email, "+ 
						"t.DDD AS telefone_ddd, t.Numero AS telefone_numero, e.Bairro AS endereco_bairro, e.Numero AS endereco_numero, " +
						"e.Complemento AS endereco_complemento, e.cep AS endereco_cep, e.cidade AS endereco_cidade, e.uf AS endereco_uf, "+ 
						"e.logradouro AS endereco_logradouro FROM Funcionario f, Telefone t, Endereco e " +
						"WHERE f.cpf = '" + CPF + "' AND t.cpfFuncionario =  '" + CPF + "' "+
						"AND e.cpfFuncionario = '" + CPF + "'";
		try {
			this.statement = this.conexao.createStatement();
			this.resposta = this.statement.executeQuery(select);
			Boolean existe = this.resposta.next();
			if(existe != false){
				nome = this.resposta.getString("funcionario_nome");
				email = this.resposta.getString("funcionario_email");
				senha = this.resposta.getString("funcionario_senha");		
				ddd = this.resposta.getInt("telefone_ddd");
				telNumero = this.resposta.getInt("telefone_numero");;		
				bairro = this.resposta.getString("endereco_bairro");
				endNumero = this.resposta.getInt("endereco_numero");
				complemento = this.resposta.getString("endereco_complemento");
				cep = this.resposta.getInt("endereco_cep");
				cidade = this.resposta.getString("endereco_cidade");
				uf = this.resposta.getString("endereco_uf");
				logradouro = this.resposta.getString("endereco_logradouro");
				
				endereco = new Endereco(bairro, endNumero, complemento, cep, cidade, uf, logradouro);
				telefone = new Telefone(ddd, telNumero);
				retorno =  new Funcionario(nome, email, senha, CPF, endereco, telefone);
							
			}else{
				throw new FuncionarioNaoCadastradoException("No existe nenhum usurio cadastrado com CPF = " + CPF + ".");
			}
			
		} catch (SQLException e) {
			throw new BancoDeDadosException("Banco de Dados Indisponvel.");
		}
		
		return retorno;
	}
	
	/*public Vector<Funcionario> consultarFuncionariosPeloNome(String nomeDoFuncionario) throws FuncionarioNaoCadastradoException, BancoDeDadosException{
		Vector<Funcionario> retorno = new Vector<Funcionario>();
		
		String CPF = "";
		String selectCPF = "SELECT CPF FROM Funcionario WHERE nome LIKE '%"+ nomeDoFuncionario + "%'";

		try {
			this.statement = this.conexao.createStatement();
			this.resposta = this.statement.executeQuery(selectCPF);
			while(this.resposta.next() != false){
				CPF = this.resposta.getString("CPF");
				retorno.add(this.consultarFuncionario(CPF));
			}			
			this.statement.close();
			
		} catch (SQLException e) {
			e.printStackTrace();
			throw new BancoDeDadosException("Banco de Dados Indisponvel.");
		}
		
		return retorno;
	}*/
	
	public boolean verificarSenha(String cpf, String senha) throws FuncionarioNaoCadastradoException, BancoDeDadosException{
		boolean retorno = false;
		Funcionario funcionario = this.consultarFuncionario(cpf);
		String senhaArmazenada;
		if(funcionario != null){
			senhaArmazenada = funcionario.getSenha();
			
			if(senhaArmazenada.compareTo(senha) == 0){
				retorno = true;
			}
		}else{
			throw new FuncionarioNaoCadastradoException("No existe nenhum usurio cadastrado com CPF = " + cpf + ".");
		}
		return retorno;		
	}
	
	private Vector<String> listarCPFs(String nomeDoFuncionario) throws BancoDeDadosException {
		Vector<String> retorno = new Vector<String>();
		
		String CPF = "";
		String selectCPF = "SELECT CPF FROM Funcionario WHERE nome LIKE '%"+ nomeDoFuncionario + "%'";

		try {
			this.statement = this.conexao.createStatement();
			this.resposta = this.statement.executeQuery(selectCPF);
			while(this.resposta.next() != false){
				CPF = this.resposta.getString("CPF");
				retorno.add(CPF);
			}
		} catch (SQLException e) {
			throw new BancoDeDadosException("Banco de dados Indisponvel.");
		}
		return retorno;
	}
	
	public Vector<Funcionario> consultarFuncionariosPeloNome(String nomeDoFuncionario) throws BancoDeDadosException{
		Vector<Funcionario> retorno = new Vector<Funcionario>();
		Vector<String> listaDeCPFs = this.listarCPFs(nomeDoFuncionario);
		for(int i = 0; i < listaDeCPFs.size(); i++){
			try {
				retorno.add(this.consultarFuncionario(listaDeCPFs.get(i)));
			} catch (FuncionarioNaoCadastradoException e) {
				//nao faz nada se n tiver nenhum funcionario cadastrado com esse nome
			} catch (BancoDeDadosException e) {
				throw new BancoDeDadosException("Banco de dados Indisponvel.");
			}
		}
		return retorno;
	}
}
