package dados.repositorioBD;
import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.SQLException;
import java.util.Vector;

import negocios.ControleAmbiente;


import dados.repositorio.RepositorioEvento;
import dados.repositorio.RepositorioFuncionario;
import dados.repositorioBD.RepositorioEventoBD;
import dados.repositorioBD.RepositorioFuncionarioBD;
import exceptions.AmbienteJahCadastradoException;
import exceptions.AmbienteNaoCadastradoException;
import exceptions.BancoDeDadosException;
import exceptions.EventoJahCadastradoException;
import exceptions.EventoNaoCadastradoException;
import exceptions.FuncionarioNaoCadastradoException;
import exceptions.FuncionarioJahCadastradoException;

import dados.base.Ambiente;
import dados.base.Assento;
import dados.base.Data;
import dados.base.Endereco;
import dados.base.Evento;
import dados.base.Funcionario;
import dados.base.Hora;
import dados.base.Telefone;


public class TesteBD {
	/**
	 * @param args
	 * @throws FuncionarioJahCadastradoException 
	 * @throws EventoJahCadastradoException 
	 * @throws FuncionarioNaoCadastradoException 
	 * @throws AmbienteJahCadastradoException 
	 * @throws AmbienteNaoCadastradoException 
	 * @throws EventoNaoCadastradoException 
	 * @throws BancoDeDadosException 
	 */
	public static void main(String[] args) throws FuncionarioJahCadastradoException, EventoJahCadastradoException, FuncionarioNaoCadastradoException, AmbienteJahCadastradoException, AmbienteNaoCadastradoException, EventoNaoCadastradoException, BancoDeDadosException {
		
		try {
			Class.forName("oracle.jdbc.driver.OracleDriver");
			try {
				Connection con = (Connection) DriverManager.getConnection("jdbc:oracle:thin:@itapissuma.cin.ufpe.br:1521:dbdisc","g092if682_eq08" ,"vin");
				con.setAutoCommit(true);
				
				RepositorioFuncionarioBD repositorioFuncionarioBD = new RepositorioFuncionarioBD(con);
				Telefone telefone = new Telefone(81, 34289881);
				Endereco endereco = new Endereco("Afogados", 126, "transversal da rua sao miguel", 50770540, "recife", "PE", "Napoleao teixeira de macedo");
				Funcionario funcionario1 = new Funcionario("Maryane","dlf2@cin.ufpe.br", "senha", "07529661469", endereco, telefone);
				Funcionario funcionario2 = new Funcionario("Mary","d2@cin.ufpe.br", "senha", "0750000009", endereco, telefone);
				Funcionario funcionario3 = new Funcionario("Mary","d2@cin.ufpe.br", "senha", "0750006709", endereco, telefone);
				
				repositorioFuncionarioBD.inserirFuncionario(funcionario1);
				System.out.println("Inseriu!");
				
				repositorioFuncionarioBD.inserirFuncionario(funcionario2);
				System.out.println("Inseriu!");
				
				repositorioFuncionarioBD.inserirFuncionario(funcionario3);
				System.out.println("Inseriu!");
				
				System.out.println("\nAntes de atualizar");
				Funcionario f = repositorioFuncionarioBD.consultarFuncionariosPeloNome("Maryane").get(0);
				System.out.println("\nConsulta Funcionario");
				System.out.println(f.getCpf());
				System.out.println(f.getNome());
				System.out.println(f.getEmail());
				System.out.println(f.getSenha());
				System.out.println(f.getTelefone().getDdd());
				System.out.println(f.getTelefone().getNumero());
				System.out.println(f.getEndereco().getLogradouro());
				System.out.println(f.getEndereco().getNumero());
				System.out.println(f.getEndereco().getComplemento());
				System.out.println(f.getEndereco().getBairro());
				System.out.println(f.getEndereco().getCidade());
				System.out.println(f.getEndereco().getUf());
				System.out.println(f.getEndereco().getCep());
				
				funcionario1 = new Funcionario("Maryane","dlf2@cin.ufpe.br", "senha", "07529661467", endereco, telefone);
				funcionario1.setEmail("mcbb@cin.ufpe.br");
		//		repositorioFuncionarioBD.atualizarFuncionario(funcionario1);
				System.out.println("atualizou!");
				
				System.out.println("\nDepois de atualizar");
				f = repositorioFuncionarioBD.consultarFuncionariosPeloNome("Maryane").get(0);
				System.out.println("\nConsulta Funcionario");
				System.out.println(f.getCpf());
				System.out.println(f.getNome());
				System.out.println(f.getEmail());
				System.out.println(f.getSenha());
				System.out.println(f.getTelefone().getDdd());
				System.out.println(f.getTelefone().getNumero());
				System.out.println(f.getEndereco().getLogradouro());
				System.out.println(f.getEndereco().getNumero());
				System.out.println(f.getEndereco().getComplemento());
				System.out.println(f.getEndereco().getBairro());
				System.out.println(f.getEndereco().getCidade());
				System.out.println(f.getEndereco().getUf());
				System.out.println(f.getEndereco().getCep());
				
				System.out.println("\nlistar Funcionarios");
				Vector<Funcionario> funcionariosEncontrados = repositorioFuncionarioBD.consultarFuncionariosPeloNome("Mary");
				Funcionario funcionarioBuscPeloNome;
				System.out.println("Foram encontrados " + funcionariosEncontrados.size() + " Funcionrios.");
				for(int i = 0; i < funcionariosEncontrados.size(); i++){
					funcionarioBuscPeloNome = funcionariosEncontrados.get(i);
					System.out.println(funcionarioBuscPeloNome.getNome());
					System.out.println(funcionarioBuscPeloNome.getEmail());
					System.out.println(funcionarioBuscPeloNome.getSenha());
					System.out.println(funcionarioBuscPeloNome.getTelefone().getDdd());
					System.out.println(funcionarioBuscPeloNome.getTelefone().getNumero());
					System.out.println(funcionarioBuscPeloNome.getEndereco().getLogradouro());
					System.out.println(funcionarioBuscPeloNome.getEndereco().getNumero());
					System.out.println(funcionarioBuscPeloNome.getEndereco().getComplemento());
					System.out.println(funcionarioBuscPeloNome.getEndereco().getBairro());
					System.out.println(funcionarioBuscPeloNome.getEndereco().getCidade());
					System.out.println(funcionarioBuscPeloNome.getEndereco().getUf());
					System.out.println(funcionarioBuscPeloNome.getEndereco().getCep());
				}
				
				/*System.out.println("\n\n\nListar teste");
				Vector<String> testes = repositorioFuncionarioBD.listarCPFs("Mary");
				System.out.println("-----uoafbzougvodospsn--- size:" + testes.size());
				for(int i = 0; i < testes.size(); i++){
					System.out.println("linhas " + testes.get(i));
					System.out.println("colunas " + testes.get(i));
				}*/
			
				repositorioFuncionarioBD.removerFuncionario("07529661467");
				System.out.println("\nremoveu!");
				repositorioFuncionarioBD.removerFuncionario("0750000009");
				repositorioFuncionarioBD.removerFuncionario("0750006709");
				
				RepositorioAmbienteBD repositorioAmbiente = new RepositorioAmbienteBD(con);
				Ambiente ambiente1 = new Ambiente(5, 10, 2);
				repositorioAmbiente.inserirAmbiente(ambiente1);
				Ambiente ambiente2 = new Ambiente(1, 10, 2);
				repositorioAmbiente.inserirAmbiente(ambiente2);
				Ambiente ambiente3 = new Ambiente(3, 10, 2);
				repositorioAmbiente.inserirAmbiente(ambiente3);
				Ambiente ambiente4 = new Ambiente(4, 10, 2);
				repositorioAmbiente.inserirAmbiente(ambiente4);
				System.out.println("InseriuAmbiente");
				
				System.out.println("\n\n\nListar ambientes");
				Vector<Ambiente> ambientes = repositorioAmbiente.listarAmbientes();
				System.out.println("-------------------------------------->" + ambientes.size());
				for(int i = 0; i < ambientes.size(); i++){
					System.out.println(ambientes.get(i).getIdAmbiente());
					System.out.println("linhas " + ambientes.get(i).getLinhas());
					System.out.println("colunas " + ambientes.get(i).getColunas());
				}
				
				
			
				
				ControleAmbiente controleAmbiente = new ControleAmbiente(con);
				
				RepositorioEventoBD repositorioEventoBD = new RepositorioEventoBD(con, controleAmbiente);
				Evento evento1 = new Evento(1, ambiente1, new Data(5, 3, 1989), new Hora(14, 30),"MeuEvento", 30);
				repositorioEventoBD.inserirEvento(evento1);
				Evento evento2 = new Evento(3, ambiente1, new Data(4, 3, 1989), new Hora(14, 30),"MeuEvento", 30);
				repositorioEventoBD.inserirEvento(evento2);
				System.out.println("inseriu evento");		
				
				System.out.println("\nConsultaEvento");
				Evento eventoConsultado = repositorioEventoBD.consultarEvento(3);
				System.out.println("ID = " + eventoConsultado.getId());
				System.out.println("Nome: " + eventoConsultado.getNome());
				System.out.println("Data: " + eventoConsultado.getData().getDia() + "/" + eventoConsultado.getData().getMes() + "/" + eventoConsultado.getData().getAno());
				System.out.println("Hora: " + eventoConsultado.getHora().getHoras() + ":" + eventoConsultado.getHora().getMinutos());
				Ambiente ambienteDoEvento = eventoConsultado.getAmbiente();
				Assento[][] assentos = ambienteDoEvento.getAssentos();
				for(int i = 0; i < ambienteDoEvento.getLinhas(); i++){
					for(int j = 0; j < ambienteDoEvento.getColunas(); j++ ){
						System.out.println("cadeira i = " + (i+1) + "j = " + (j+1) + " status = " + assentos[i][j].getStatus(3));
					}
				}
				
				System.out.println("\nlistarEventos");
				Vector<Evento> eventosListados = repositorioEventoBD.listarEventos();
				System.out.println("Foram encontrados " + eventosListados.size() + "eventos");
				for(int index = 0; index < eventosListados.size(); index++){
					System.out.println("ID = " + eventosListados.get(index).getId());
					System.out.println("Nome: " + eventosListados.get(index).getNome());
					System.out.println("Data: " + eventosListados.get(index).getData().getDia() + "/" + eventosListados.get(index).getData().getMes() + "/" + eventosListados.get(index).getData().getAno());
					System.out.println("Hora: " + eventosListados.get(index).getHora().getHoras() + ":" + eventosListados.get(index).getHora().getMinutos());
					Ambiente ambienteDoEventoListado = eventosListados.get(index).getAmbiente();
					Assento[][] assentosDoEventoListado = ambienteDoEventoListado.getAssentos();
					for(int i = 0; i < ambienteDoEventoListado.getLinhas(); i++){
						for(int j = 0; j < ambienteDoEventoListado.getColunas(); j++ ){
							System.out.println("cadeira i = " + (i+1) + "j = " + (j+1) + " status = " + assentosDoEventoListado[i][j].getStatus(eventosListados.get(index).getId()));
						}
					}
				}
				Ambiente ambiente = repositorioAmbiente.consultarAmbiente(ambiente1.getIdAmbiente());
				System.out.println("Consulta Ambiente");
				System.out.println("linhas " + ambiente.getLinhas());
				System.out.println("colunas " + ambiente.getColunas());
				System.out.println("O ambiente:");
				for(int i = 0; i < ambiente.getLinhas(); i++){
					for(int j = 0; j < ambiente.getColunas(); j++ ){
						System.out.println("cadeira i = " + (i+1) + "j = " + (j+1) + " status = " + ambiente.getAssentos()[i][j].getStatus(3));
					}
				}
				
				repositorioAmbiente.inserirLinha(5);
				System.out.println("inseriu linha");
		
				
				ambiente = repositorioAmbiente.consultarAmbiente(ambiente1.getIdAmbiente());
				System.out.println("Consulta Ambiente");
				System.out.println("linhas " + ambiente.getLinhas());
				System.out.println("colunas " + ambiente.getColunas());
				for(int i = 0; i < ambiente.getLinhas(); i++){
					for(int j = 0; j < ambiente.getColunas(); j++ ){
						System.out.println("cadeira i = " + (i + 1) + "j = " + (j + 1) + " status = " + ambiente.getAssentos()[i][j].getStatus(3));
					}
				}
				
				
				repositorioAmbiente.inserirColuna(5);
				System.out.println("inseriu coluna");
				
				ambiente = repositorioAmbiente.consultarAmbiente(ambiente1.getIdAmbiente());
				System.out.println("Consulta Ambiente");
				System.out.println("linhas " + ambiente.getLinhas());
				System.out.println("colunas " + ambiente.getColunas());
				for(int i = 0; i < ambiente.getLinhas(); i++){
					for(int j = 0; j < ambiente.getColunas(); j++ ){
						System.out.println("cadeira i = " + (i + 1) + "j = " + (j + 1) + " status = " + ambiente.getAssentos()[i][j].getStatus(3));
					}
				}
				
				repositorioEventoBD.inserirReserva(3, 11, 3);
				System.out.println("inseriu reserva");
				
				ambiente = repositorioAmbiente.consultarAmbiente(ambiente1.getIdAmbiente());
				System.out.println("Consulta Ambiente");
				System.out.println("linhas " + ambiente.getLinhas());
				System.out.println("colunas " + ambiente.getColunas());
				for(int i = 0; i < ambiente.getLinhas(); i++){
					for(int j = 0; j < ambiente.getColunas(); j++ ){
						System.out.println("cadeira i = " + (i + 1) + "j = " + (j + 1) + " status = " + ambiente.getAssentos()[i][j].getStatus(3));
					}
				}
				
				repositorioAmbiente.removerLinha(5);
				System.out.println("removeu linha");
				
				ambiente = repositorioAmbiente.consultarAmbiente(ambiente1.getIdAmbiente());
				System.out.println("Consulta Ambiente");
				System.out.println("linhas " + ambiente.getLinhas());
				System.out.println("colunas " + ambiente.getColunas());
				for(int i = 0; i < ambiente.getLinhas(); i++){
					for(int j = 0; j < ambiente.getColunas(); j++ ){
						System.out.println("cadeira i = " + (i + 1) + "j = " + (j + 1) + " status = " + ambiente.getAssentos()[i][j].getStatus(3));
					}
				}
				
				repositorioAmbiente.removerColuna(5);
				System.out.println("removeu coluna");
				
				ambiente = repositorioAmbiente.consultarAmbiente(ambiente1.getIdAmbiente());
				System.out.println("Consulta Ambiente");
				System.out.println("linhas " + ambiente.getLinhas());
				System.out.println("colunas " + ambiente.getColunas());
				for(int i = 0; i < ambiente.getLinhas(); i++){
					for(int j = 0; j < ambiente.getColunas(); j++ ){
						System.out.println("cadeira i = " + (i + 1) + "j = " + (j + 1) + " status = " + ambiente.getAssentos()[i][j].getStatus(3));
					}
				}
				
				repositorioEventoBD.removerEvento(evento1.getId());
				repositorioEventoBD.removerEvento(evento2.getId());
				System.out.println("removeu evento");
				
				repositorioAmbiente.removerAmbiente(ambiente1.getIdAmbiente());
				repositorioAmbiente.removerAmbiente(ambiente2.getIdAmbiente());
				repositorioAmbiente.removerAmbiente(ambiente3.getIdAmbiente());
				repositorioAmbiente.removerAmbiente(ambiente4.getIdAmbiente());
				System.out.println("Removeu Ambiente");
				
				RepositorioEvento repositorioEvento = new RepositorioEvento(con, controleAmbiente);
				RepositorioFuncionario repositorioFuncionario = new RepositorioFuncionario(con);
				//Testes de fluxo alternativo				
				
				//Ambiente
				System.out.println("\nAmbiente");
				Ambiente ambienteFluxoAlternativo = new Ambiente(55, 1, 1);
				try{
					System.out.println("\nFluxo Alternativo 1: Insero De Ambiente");
					System.out.println("Excecao Esperada: AmbienteJahCadastradoException");
					repositorioAmbiente.inserirAmbiente(ambienteFluxoAlternativo);
					repositorioAmbiente.inserirAmbiente(ambienteFluxoAlternativo);
				}catch(AmbienteJahCadastradoException e){
					System.out.println(e.getMessage());
				}
				try{
					System.out.println("\nFluxo Alternativo 2: Remoo De Ambiente");
					System.out.println("Excecao Esperada: AmbienteNaoCadastradoException");
					repositorioAmbiente.removerAmbiente(44);
				}catch(AmbienteNaoCadastradoException e){
					System.out.println(e.getMessage());
				}
				
				try{
					System.out.println("\nFluxo Alternativo 3: Consulta De Ambiente");
					System.out.println("Excecao Esperada: AmbienteNaoCadastradoException");
					repositorioAmbiente.consultarAmbiente(33);
				}catch(AmbienteNaoCadastradoException e){
					System.out.println(e.getMessage());
				}
				
				System.out.println("\nEvento");
				//Evento
				Evento eventoFluxoAlternativo1 = new Evento(11, ambienteFluxoAlternativo, new Data(4,3, 1989), new Hora(17, 30), "Evento Teste Fluxo Alternativo", 50);
				Evento eventoFluxoAlternativo2 = new Evento(11, ambienteFluxoAlternativo, new Data(5,3, 1989), new Hora(17, 30), "Evento Teste Fluxo Alternativo", 50);
				Evento eventoFluxoAlternativo3 = new Evento(22, ambienteFluxoAlternativo, new Data(4,3, 1989), new Hora(17, 30), "Evento Teste Fluxo Alternativo", 50);
				Evento eventoFluxoAlternativo4 = new Evento(33, ambienteFluxoAlternativo, new Data(4,3, 1989), new Hora(17, 30), "Evento Teste Fluxo Alternativo", 50);
				Evento eventoFluxoAlternativo5 = new Evento(44, ambienteFluxoAlternativo, new Data(4,3, 1989), new Hora(17, 30), "Evento Teste Fluxo Alternativo", 50);
				Evento eventoFluxoAlternativo6 = new Evento(44, ambienteFluxoAlternativo, new Data(4,3, 1989), new Hora(17, 30), "Evento Teste Fluxo Alternativo", 50);
				Ambiente ambienteNaoInserido  = new Ambiente(789, 2, 3);
				Evento eventoFluxoAlternativo7 = new Evento(66, ambienteNaoInserido, new Data(4,3, 1989), new Hora(17, 30), "Evento Teste Fluxo Alternativo", 50);
				
				try{
					System.out.println("\nFluxo Alternativo 4: Insero De Evento");
					System.out.println("Excecao Esperada: EventoJahCadastradoException: mesmo ID");
					repositorioEvento.inserirEvento(eventoFluxoAlternativo1);
					repositorioEvento.inserirEvento(eventoFluxoAlternativo2);
				}catch(EventoJahCadastradoException e){
					System.out.println(e.getMessage());
				}
				
				try{
					System.out.println("\nFluxo Alternativo 5: Insero De Evento");
					System.out.println("Excecao Esperada: EventoJahCadastradoException: mesma data e hora");
					repositorioEvento.inserirEvento(eventoFluxoAlternativo3);
					repositorioEvento.inserirEvento(eventoFluxoAlternativo4);
				}catch(EventoJahCadastradoException e){
					System.out.println(e.getMessage());
				}
				
				try{
					System.out.println("\nFluxo Alternativo 6: Insero De Evento");
					System.out.println("Excecao Esperada: EventoJahCadastradoException: mesmo id e mesma data e hora");
					repositorioEvento.inserirEvento(eventoFluxoAlternativo5);
					repositorioEvento.inserirEvento(eventoFluxoAlternativo6);
				}catch(EventoJahCadastradoException e){
					System.out.println(e.getMessage());
				}
				
				try{
					System.out.println("\nFluxo Alternativo 7: Insero De Evento");
					System.out.println("Excecao Esperada: AmbienteNaoCadastradoException");
					repositorioEvento.inserirEvento(eventoFluxoAlternativo7);
				}catch(AmbienteNaoCadastradoException e){
					System.out.println(e.getMessage());
				}

				try{
					System.out.println("\nFluxo Alternativo 8: Remoo De Evento");
					System.out.println("Excecao Esperada: EventoNaoCadastradoException: mesmo id e mesma data e hora");
					repositorioEvento.removerEvento(345);
				}catch(EventoNaoCadastradoException e){
					System.out.println(e.getMessage());
				}
				
				try{
					System.out.println("\nFluxo Alternativo 9: Consulta De Evento");
					System.out.println("Excecao Esperada: EventoNaoCadastradoException: mesmo id e mesma data e hora");
					repositorioEvento.consultarEvento(345);
				}catch(EventoNaoCadastradoException e){
					System.out.println(e.getMessage());
				}
				
				//Funcionario
				System.out.println("\nFuncionario");
				Funcionario funcionarioFluxoAlternativo1 = new Funcionario("Maryane","maryanebrasilino@gmail.com", "senha", "98765432107", endereco, telefone);
				Funcionario funcionarioFluxoAlternativo2 = new Funcionario("Maryane","maryanebrasilino@gmail.com", "senha", "98765432107", endereco, telefone);
				try{
					System.out.println("\nFluxo Alternativo 10: Insero De Funcionario");
					System.out.println("Excecao Esperada: FuncionarioJahCadastradoException");
					repositorioFuncionario.inserirFuncionario(funcionarioFluxoAlternativo1);
					repositorioFuncionario.inserirFuncionario(funcionarioFluxoAlternativo2);
				}catch(FuncionarioJahCadastradoException e){
					System.out.println(e.getMessage());
				}
				
				try{
					System.out.println("\nFluxo Alternativo 11: Remoo De Funcionario");
					System.out.println("Excecao Esperada: FuncionarioNaoCadastradoException");
					repositorioFuncionario.removerFuncionario("09876654321");
				}catch(FuncionarioNaoCadastradoException e){
					System.out.println(e.getMessage());
				}
				
				try{
					System.out.println("\nFluxo Alternativo 12: Consulta De Funcionario");
					System.out.println("Excecao Esperada: FuncionarioNaoCadastradoException");
					repositorioFuncionario.consultarFuncionario("09876654321");
				}catch(FuncionarioNaoCadastradoException e){
					System.out.println(e.getMessage());
				}
				
				repositorioEvento.removerEvento(11);
				repositorioAmbiente.removerAmbiente(55);
				repositorioFuncionario.removerFuncionario("98765432107");
		
				System.out.println("\nFluxo Alternativo 13: Consulta De Funcionario por nome");
				System.out.println("Excecao Esperada: Nenhuma");
				repositorioFuncionario.consultarFuncionariosPeloNome("Napoleao Bonaparte");
			
				System.out.println("\nFluxo Alternativo 14: Listar Eventos");
				System.out.println("Excecao Esperada: Nenhuma");
				repositorioEvento.listarEventos();
				
				System.out.println("\nFluxo Alternativo 15: Listar Ambientes");
				System.out.println("Excecao Esperada: Nenhuma");
				repositorioAmbiente.listarAmbientes();
				
			} catch (SQLException e) {
				throw new BancoDeDadosException("Banco de dados indisponvel.");
			}
		} catch (ClassNotFoundException e) {
			// TODO Auto-generated catch block
			e.printStackTrace();
		}
		
		
	}
}
