package gui;

import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.SQLException;
import java.text.DateFormat;
import java.text.ParseException;
import java.text.SimpleDateFormat;
import java.util.Calendar;
import java.util.Date;
import java.util.Vector;


import dados.base.Ambiente;
import dados.base.Data;
import dados.base.Endereco;
import dados.base.Evento;
import dados.base.Funcionario;
import dados.base.Hora;
import dados.base.Telefone;
import exceptions.AmbienteJahCadastradoException;
import exceptions.AmbienteNaoCadastradoException;
import exceptions.BancoDeDadosException;
import exceptions.ControleExcepttion;
import exceptions.EventoJahCadastradoException;
import exceptions.EventoNaoCadastradoException;
import exceptions.FuncionarioJahCadastradoException;
import exceptions.FuncionarioNaoCadastradoException;
import fachada.Fachada;

public class MainTesteFachada {
	public static void main(String[] args) throws FuncionarioJahCadastradoException, FuncionarioNaoCadastradoException, EventoJahCadastradoException, AmbienteJahCadastradoException, AmbienteNaoCadastradoException, BancoDeDadosException, EventoNaoCadastradoException, ControleExcepttion {
		
		//Conexao
		try {
			Class.forName("oracle.jdbc.driver.OracleDriver");
		} catch (ClassNotFoundException e) {
			// TODO Auto-generated catch block
			e.printStackTrace();
		}

		Connection connection = null;
		try {
			connection = (Connection) DriverManager.getConnection("jdbc:oracle:thin:@itapissuma.cin.ufpe.br:1521:dbdisc","g092if682_eq08" ,"vin");
			connection.setAutoCommit(true);
		} catch (SQLException e) {
			// TODO Auto-generated catch block
			e.printStackTrace();
		}
		
		//Fachada 
		Fachada fachada = new Fachada(connection);
		
		Data data1 = new Data(20, 12, 2009);
		Hora hora1 = new Hora(14, 30);
		
		Data data2 = new Data(22, 12, 2009);
		Hora hora2 = new Hora(16, 30);

		
		//------------------------------------------------------------------------------------------
		
		
		System.out.println("Incio dos testes Testes:");
		System.out.println("\nAmbiente: id correto - id inserido");
		
		fachada.inserirAmbiente(0, 10, 15);
		fachada.inserirAmbiente(1, 10, 12);
		fachada.inserirAmbiente(2, 10, 12);
		fachada.inserirAmbiente(3, 8, 15);
		
		Ambiente temp = fachada.consultarAmbiente(0);
		System.out.println("0 = "+ temp.getIdAmbiente());
		
		temp = fachada.consultarAmbiente(1);
		System.out.println("1 = "+ temp.getIdAmbiente());
		
		temp = fachada.consultarAmbiente(2);
		System.out.println("2 = "+ temp.getIdAmbiente());
		
		//-------------------------------------------------------------------------------------------
		
		
		System.out.println("\nTeste Funcionrios: cpf correto - cpf inserido - nome");
		Telefone telefone = new Telefone(81, 34289881);
		Endereco endereco = new Endereco("Afogados", 126, "", 50770540, "recife", "PE", "Napoleao teixeira de macedo");
		fachada.inserirFuncionario("Administrador", "dsfsd", "vin", "00000000001", endereco, telefone);
		
		fachada.inserirFuncionario("Lauro", "dsfsd", "senha1", "00000000012", endereco, telefone);
		fachada.inserirFuncionario("Maria", "dsds", "senha2", "00000000002", endereco, telefone);
		fachada.inserirFuncionario("Leo", "vsadsf", "senha3", "00000000003", endereco, telefone);
		fachada.inserirFuncionario("Maryane", "dsds", "senha4", "00000000004", endereco, telefone);
		fachada.inserirFuncionario("Pedro", "vsadsf", "senha5", "00000000005", endereco, telefone);
		
		Funcionario f = fachada.consultarFuncionario("00000000012");
		System.out.println("12 = "+f.getCpf() +  " " + f.getNome());
		
		f = fachada.consultarFuncionario("00000000002");
		System.out.println("2 = "+f.getCpf() +   " " + f.getNome());
		
		f = fachada.consultarFuncionario("00000000003");
		System.out.println("3 = "+f.getCpf() +   " " + f.getNome());
		

		f = fachada.consultarFuncionario("00000000004");
		System.out.println("4 = "+f.getCpf() +   " " + f.getNome());
		
		f = fachada.consultarFuncionario("00000000005");
		System.out.println("5 = "+f.getCpf() +   " " + f.getNome());
		
		System.out.println("\nTeste Senhas: CPF - Retorno Correto - Retorno da Funcao");
		System.out.println("1 - false = "+fachada.verificarSenha("00000000012", ""));
		System.out.println("1 - true = "+fachada.verificarSenha("00000000012", "senha1"));
		
		System.out.println("2 - false = "+fachada.verificarSenha("00000000002", ""));
		System.out.println("2 - true = "+fachada.verificarSenha("00000000002", "senha2"));
		
		System.out.println("3 - false = "+fachada.verificarSenha("00000000003", ""));
		System.out.println("3 - true = "+fachada.verificarSenha("00000000003", "senha3"));
		
		System.out.println("\nRemocao dos funcionarios");
		System.out.println("descomentar");
		//fachada.removerFuncionario("00000000012");
		//fachada.removerFuncionario("00000000002");
		//fachada.removerFuncionario("00000000003");
		//fachada.removerFuncionario("00000000004");
		//fachada.removerFuncionario("00000000005");
			
		//-------------------------------------------------------------------------------------------
		
		System.out.println("\nEvento: id correto - id inserido");
		
		fachada.inserirEvento(data1, hora1, 0, 0, "Cdigo de Conduta", 0);
		fachada.inserirEvento(data2, hora2, 1, 1, "Lua Nova", 10);
		fachada.inserirEvento(data1, hora1, 2, 2, "O desinformante", 20);
		fachada.inserirEvento(data2, hora2, 3, 3, "Dirio Proibido", 30);
		
		fachada.inserirEvento(data2, hora1, 0, 4, "Evento Teste", 0);
		System.out.println("0 == " + fachada.consultarEvento(0).getId());
		System.out.println("1 == " + fachada.consultarEvento(1).getId());
		System.out.println("2 == " + fachada.consultarEvento(2).getId());
		System.out.println("3 == " + fachada.consultarEvento(3).getId());
		
	
		System.out.println("Efetua Reservas");
		System.out.println("(1)false = " + fachada.consultarEvento(0).getAmbiente().getAssentos()[0][0].getStatus(0));
		fachada.inserirReserva(0, 1, 1);
		System.out.println("(1)true = " + fachada.consultarEvento(0).getAmbiente().getAssentos()[0][0].getStatus(0));
		
		
		
		System.out.println("Efetua Reservas");
		System.out.println("(2)false = " + fachada.consultarEvento(4).getAmbiente().getAssentos()[0][0].getStatus(4));
		fachada.inserirReserva(4, 1, 1);
		System.out.println("(2)true = " + fachada.consultarEvento(4).getAmbiente().getAssentos()[0][0].getStatus(4));
		
		
		
		System.out.println("Efetua Reservas");
		System.out.println("false = " + fachada.consultarEvento(3).getAmbiente().getAssentos()[0][0].getStatus(3));
		fachada.inserirReserva(3, 1, 1);
		System.out.println("true = " + fachada.consultarEvento(3).getAmbiente().getAssentos()[0][0].getStatus(3));

		
		System.out.println("Efetua Reservas");
		System.out.println("false = " + fachada.consultarEvento(1).getAmbiente().getAssentos()[0][0].getStatus(1));
		fachada.inserirReserva(1, 1, 1);
		System.out.println("true = " + fachada.consultarEvento(1).getAmbiente().getAssentos()[0][0].getStatus(1));
		
		
		
		System.out.println("Cdigo de Conduta == " + fachada.consultarEventosPeloNome("Cdigo de Conduta").get(0).getNome());
		System.out.println("Lua Nova == " + fachada.consultarEventosPeloNome("Lua Nova").get(0).getNome());
		System.out.println("O desinformante == " + fachada.consultarEventosPeloNome("O desinformante").get(0).getNome());
		System.out.println("Dirio Proibido == " + fachada.consultarEventosPeloNome("Dirio Proibido").get(0).getNome());

		
		System.out.println("Consulta por nome 1, 2, 3, 4 eventos");
		Vector<Evento> eventos = fachada.consultarEventosPeloNome("evento");
		for(int k = 0; k < eventos.size(); k++){
			System.out.println("IdEvento " + eventos.get(k).getId());
			System.out.println("Nome " + eventos.get(k).getNome());
			System.out.println("Preco " + eventos.get(k).getPreco());
			System.out.println("Data " + eventos.get(k).getData().getDia() + "/" + eventos.get(k).getData().getMes()+ "/" + eventos.get(k).getData().getAno() +" Hora: "+ eventos.get(k).getHora().getHoras() + ":" + eventos.get(k).getHora().getMinutos());
			Ambiente ambiente = eventos.get(k).getAmbiente();
			System.out.println("Assentos do Ambiente no qual o evento ocorre");
			for(int i = 0; i < ambiente.getLinhas(); i++){
				for(int j = 0; j < ambiente.getColunas(); j++ ){
					System.out.println("cadeira i = " + i +1 + "j = " + j +1+ " status = " + ambiente.getAssentos()[i][j].getStatus(eventos.get(k).getId()));
				}
			}
		}
		
		//-------------------------------------------------------------------------------------------
		
		Ambiente ambiente = fachada.consultarAmbiente(0);
		System.out.println("\nConsulta Cadeiras do Ambiente - 0");
		System.out.println("linhas " + ambiente.getLinhas());
		System.out.println("colunas " + ambiente.getColunas());
		for(int i = 0; i < ambiente.getLinhas(); i++){
			for(int j = 0; j < ambiente.getColunas(); j++ ){
				System.out.println("cadeira i = " + i +1 + "j = " + j +1+ " status = " + ambiente.getAssentos()[i][j].getStatus(0));
			}
		}
		
		ambiente = fachada.consultarAmbiente(1);
		System.out.println("\nConsulta Cadeiras do Ambiente - 1");
		System.out.println("linhas " + ambiente.getLinhas());
		System.out.println("colunas " + ambiente.getColunas());
		for(int i = 0; i < ambiente.getLinhas(); i++){
			for(int j = 0; j < ambiente.getColunas(); j++ ){
				System.out.println("cadeira i = " + i +1 + "j = " + j +1+ " status = " + ambiente.getAssentos()[i][j].getStatus(0));
			}
		}
		
		ambiente = fachada.consultarAmbiente(2);
		System.out.println("\nConsulta Cadeiras do Ambiente - 2");
		System.out.println("linhas " + ambiente.getLinhas());
		System.out.println("colunas " + ambiente.getColunas());
		for(int i = 0; i < ambiente.getLinhas(); i++){
			for(int j = 0; j < ambiente.getColunas(); j++ ){
				System.out.println("cadeira i = " + i +1 + "j = " + j +1+ " status = " + ambiente.getAssentos()[i][j].getStatus(0));
			}
		}
		
		ambiente = fachada.consultarAmbiente(3);
		System.out.println("\nConsulta Cadeiras do Ambiente - 3");
		System.out.println("linhas " + ambiente.getLinhas());
		System.out.println("colunas " + ambiente.getColunas());
		for(int i = 0; i < ambiente.getLinhas(); i++){
			for(int j = 0; j < ambiente.getColunas(); j++ ){
				System.out.println("cadeira i = " + i +1 + "j = " + j +1+ " status = " + ambiente.getAssentos()[i][j].getStatus(0));
			}
		}
		
		//------------------------------------------------------------------------------------------
		
		System.out.println("\nEvento: preco correto - preco inserido");
		System.out.println("0 == " + fachada.consultarEvento(0).getPreco());
		System.out.println("10 == " + fachada.consultarEvento(1).getPreco());
		System.out.println("20 == " + fachada.consultarEvento(2).getPreco());
		System.out.println("30 == " + fachada.consultarEvento(3).getPreco());
		
		//-------------------------------------------------------------------------------------------
		
		fachada.atualizarEvento(new Evento(0, fachada.consultarAmbiente(0), data1, hora1, "evento1", 0), new Evento(0, fachada.consultarAmbiente(0), data1, hora1, "Cdigo de Conduta", 10));
	//------------------------------------------------------------------------------------------
		System.out.println("\nDepois de atualizar evento");
		System.out.println("\nEvento: preco correto - preco inserido");
		System.out.println("123 == " + fachada.consultarEvento(0).getPreco());
		System.out.println("10 == " + fachada.consultarEvento(1).getPreco());
		System.out.println("20 == " + fachada.consultarEvento(2).getPreco());
		System.out.println("30 == " + fachada.consultarEvento(3).getPreco());
		
		//-------------------------------------------------------------------------------------------
		
		
		//fachada.removerEvento(0);
		//fachada.removerEvento(1);
		//fachada.removerEvento(2);
		//fachada.removerEvento(3);
		
		//fachada.removerAmbiente(0);
		//fachada.removerAmbiente(1);
		//fachada.removerAmbiente(2);
	//	fachada.removerAmbiente(3);
		
		try{
			System.out.println("\nFluxo Alternativo 16: Inserir Ambiente");
			System.out.println("Excecao Esperada: ControleException: colunas < 0");
			fachada.inserirAmbiente(567, 0, 1);
		}catch(ControleExcepttion e){
			System.out.println("ControleException: "+ e.getMessage());
		}
		
		try{
			System.out.println("\nFluxo Alternativo 17: Inserir Ambiente");
			System.out.println("Excecao Esperada: ControleException: colunas < 0");
			fachada.inserirAmbiente(569, 1, 0);
		}catch(ControleExcepttion e){
			System.out.println("ControleException: "+ e.getMessage());
		}
		
		try{
			System.out.println("\nFluxo Alternativo 18: Inserir Ambiente");
			System.out.println("Excecao Esperada: ControleException: linhas e colunas < 0");
			fachada.inserirAmbiente(570, 0, 0);
		}catch(ControleExcepttion e){
			System.out.println("ControleException: "+ e.getMessage());
		}
		
		try{
			System.out.println("\nFluxo Alternativo 19: Inserir Ambiente");
			System.out.println("Excecao Esperada: ControleException: muitas linhas");
			fachada.inserirAmbiente(571, 16, 3);
		}catch(ControleExcepttion e){
			System.out.println("ControleException: "+ e.getMessage());
		}
		
		try{
			System.out.println("\nFluxo Alternativo 20: Inserir Ambiente");
			System.out.println("Excecao Esperada: ControleException: muitas colunas");
			fachada.inserirAmbiente(572, 15, 16);
		}catch(ControleExcepttion e){
			System.out.println("ControleException: "+ e.getMessage());
		}
		try{
			System.out.println("\nFluxo Alternativo 21: Inserir Ambiente");
			System.out.println("Excecao Esperada: ControleException: muitas linhas e colunas");
			fachada.inserirAmbiente(573, 16, 16);
		}catch(ControleExcepttion e){
			System.out.println("ControleException: "+ e.getMessage());
		}
		
		fachada.inserirAmbiente(120, 10, 15);
		
		try{
			System.out.println("\nFluxo Alternativo 22: Inserir linha");
			System.out.println("Excecao Esperada: ControleException: muitas linhas");
			fachada.inserirLinhas(120, 1);
		}catch(ControleExcepttion e){
			System.out.println("ControleException: "+ e.getMessage());
		}
		
		try{
			System.out.println("\nFluxo Alternativo 23: Inserir Colunaa");
			System.out.println("Excecao Esperada: ControleException: muitas colunas");
			fachada.inserirColunas(120, 1);
		}catch(ControleExcepttion e){
			System.out.println("ControleException: "+ e.getMessage());
		}
		fachada.removerAmbiente(120);
		fachada.inserirAmbiente(222, 1, 1);
		try{
			System.out.println("\nFluxo Alternativo 22: remover linha");
			System.out.println("Excecao Esperada: ControleException: poucas linhas");
			fachada.removerLinhas(222, 1);
		}catch(ControleExcepttion e){
			System.out.println("ControleException: "+ e.getMessage());
		}
		
		try{
			System.out.println("\nFluxo Alternativo 24: remover colunas");
			System.out.println("Excecao Esperada: ControleException: poucas colunas");
			fachada.removerColunas(222, 1);
		}catch(ControleExcepttion e){
			System.out.println("ControleException: "+ e.getMessage());
		}
		
		System.out.println(new Date());
		
		System.out.println("true = " + MainTesteFachada.dataPassada("1/11/2009"));
		try{
			System.out.println("\nFluxo Alternativo 25: inserirDataPassada");
			System.out.println("Excecao Esperada: ControleException: data passada");
			fachada.inserirEvento(new Data(1, 11, 2009), new Hora(1, 30), 222, 555, "eventoTeste", 33);
		}catch(ControleExcepttion e){
			System.out.println(e.getMessage());
		}
		
		try{
			System.out.println("\nFluxo Alternativo 26: inserirDataPassada");
			System.out.println("Excecao Esperada: ControleException: hora passada");
			fachada.inserirEvento(new Data(17, 11, 2009), new Hora(1, 30), 222, 555, "eventoTeste", 33);
		}catch(ControleExcepttion e){
			System.out.println(e.getMessage());
		}
		try{
			System.out.println("\nFluxo Alternativo 27: atualizar Evento");
			System.out.println("Excecao Esperada: EventoNaoCadastradoException: ");
			fachada.atualizarEvento(new Evento(765, fachada.consultarAmbiente(222), data1, hora1, "nome", 33), new Evento(765, fachada.consultarAmbiente(222), data1, hora1, "nome", 33));
		}catch(EventoNaoCadastradoException e){
			System.out.println(e.getMessage());
		}
		try{
			System.out.println("\nFluxo Alternativo 28: inserir Evento");
			System.out.println("Excecao Esperada: ControleException: id >= 100");
			fachada.inserirEvento(data2, hora2, 222, 100, "evento2", 10);
		}catch(ControleExcepttion e){
			System.out.println(e.getMessage());
		}
		
		try{
			System.out.println("\nFluxo Alternativo 29: inserir Funcionario");
			System.out.println("Excecao Esperada: ControleException: cpf com tamanho != 11");
			fachada.inserirFuncionario("Maryane", "email", "senha", "22", endereco, telefone);
		}catch(ControleExcepttion e){
			System.out.println(e.getMessage());
		}
		
		try{
			System.out.println("\nFluxo Alternativo 30: inserir linhas");
			System.out.println("Excecao Esperada: ControleException: linhas < 0");
			fachada.inserirLinhas(222, -1);
		}catch(ControleExcepttion e){
			System.out.println(e.getMessage());
		}
		
		
		try{
			System.out.println("\nFluxo Alternativo 31: remover linhas");
			System.out.println("Excecao Esperada: ControleException: linhas < 0");
			fachada.removerLinhas(222, -1);
		}catch(ControleExcepttion e){
			System.out.println(e.getMessage());
		}
		try{
			System.out.println("\nFluxo Alternativo 32: inserir colunas");
			System.out.println("Excecao Esperada: ControleException: colunas < 0");
			fachada.inserirColunas(222, -1);
		}catch(ControleExcepttion e){
			System.out.println(e.getMessage());
		}
		try{
			System.out.println("\nFluxo Alternativo 33: remover colunas");
			System.out.println("Excecao Esperada: ControleException: colunas < 0");
			fachada.removerColunas(222, -1);
		}catch(ControleExcepttion e){
			System.out.println(e.getMessage());
		}
		
		fachada.inserirFuncionario("Maryane", "email", "senha", "55075296666", endereco, telefone);
		try{
			System.out.println("\nFluxo Alternativo 34: atualizar Funcionario");
			System.out.println("Excecao Esperada: ControleException: cpf deve ter 11 digitos");
			fachada.atualizarFuncionario(new Funcionario("Maryane", "email", "senha", "55075296666", endereco, telefone), new Funcionario("Maryane", "email", "senha", "45", endereco, telefone));		
		}catch(ControleExcepttion e){
			System.out.println(e.getMessage());
		}
		
		
		
		Ambiente teste = new Ambiente(211, 15, 10);
		fachada.inserirAmbiente(211, 10, 15);
		Ambiente teste2 = new Ambiente(211, 16, 10);
		try{
			System.out.println("\nFluxo Alternativo 35: atualizar ambiente");
			System.out.println("Excecao Esperada: ControleException: muitas linhas");
			fachada.atualizarAmbiente(teste, teste2);
		}catch(ControleExcepttion e){
			System.out.println(e.getMessage());
		}
		//Ambiente teste3 = new Ambiente(211, 10, 10);
	//	Ambiente teste4 = new Ambiente(211, 10, 11);
		
		/*try{
			System.out.println("\nFluxo Alternativo 36: atualizar ambiente");
			System.out.println("Excecao Esperada: ControleException: muitas colunas");
			fachada.atualizarAmbiente(teste3, teste4);
		}catch(ControleExcepttion e){
			System.out.println(e.getMessage());
		}*/
		
		//fachada.removerAmbiente(211);
		//fachada.removerAmbiente(222);
		//fachada.removerFuncionario("45");
		System.out.println("\n Fim dos Testes");
	}
	
	private static String getDateTime() {
        DateFormat dateFormat = new SimpleDateFormat("dd/MM/yyyy");
        Date date = new Date();
        return dateFormat.format(date);
    } 
	 
	private static boolean dataPassada(String data) throws ControleExcepttion {
	   SimpleDateFormat format = new SimpleDateFormat("dd/MM/yyyy");  
	   Date minhaData;
	   Boolean retorno = false;
		try {
			minhaData = format.parse(data);
		  if (minhaData.before(new Date())) {  
		    // O dia j aconteceu  
			   retorno = true;
		   }
		} catch (ParseException e) {
			throw new ControleExcepttion("Data em formato invlido");
		}
		return retorno;  
	}
	
}
