/*
 * TelaAlterarAmbiente.java
 *
 * Created on 18 de Novembro de 2009, 04:00
 */

package gui;

import java.awt.Cursor;
import javax.swing.ImageIcon;

import dados.base.Ambiente;
import exceptions.AmbienteNaoCadastradoException;
import exceptions.BancoDeDadosException;
import exceptions.ControleExcepttion;

import fachada.Fachada;

/**
 *
 * @author  mcrs
 */
@SuppressWarnings("serial")
public class TelaAlterarAmbiente extends javax.swing.JFrame {
    private ImageIcon sair;
    private ImageIcon sairPress;
    private ImageIcon ok;
    private ImageIcon okPress;
    private ImageIcon voltar;
    private ImageIcon voltarPress;
    private ImageIcon limpar;
    private ImageIcon limparPress;
    private ImageIcon okLight;
    private ImageIcon adicionarAssento;
    private ImageIcon adicionarAssentoLight;
    private ImageIcon removerAssento;
    private ImageIcon removerAssentoLight;
    private TelaGerenciamentoAmbiente telaGerenciamentoAmbiente;
    private Ambiente ambiente;
    
    private Fachada fachada;
    
    /** Creates new form TelaAlterarAmbiente */
    public TelaAlterarAmbiente(Fachada fachada, TelaGerenciamentoAmbiente telaGerenciamentoAmbiente, Ambiente ambiente) {
        initComponents();
        
        this.ambiente = ambiente;
        this.fachada = fachada;
        this.setSize(489, 611);
        this.setLocationRelativeTo(null);
        
        this.telaGerenciamentoAmbiente = telaGerenciamentoAmbiente;
        
        this.sair = new ImageIcon(getClass().getResource("/images/sair.JPG"));
        this.sairPress = new ImageIcon(getClass().getResource("/images/sair_press.JPG"));
        this.ok = new ImageIcon(getClass().getResource("/images/ok.JPG"));
        this.okPress = new ImageIcon(getClass().getResource("/images/ok_press.JPG"));
        this.voltar = new ImageIcon(getClass().getResource("/images/voltar.JPG"));
        this.voltarPress = new ImageIcon(getClass().getResource("/images/voltar_press.JPG"));
        this.limpar = new ImageIcon(getClass().getResource("/images/limpar.PNG"));
        this.limparPress = new ImageIcon(getClass().getResource("/images/limpar_press.PNG"));
        this.okLight = new ImageIcon(getClass().getResource("/images/ok_light.JPG"));
        this.adicionarAssento = new ImageIcon(getClass().getResource("/images/adicionarAssento.PNG"));
        this.adicionarAssentoLight = new ImageIcon(getClass().getResource("/images/adicionarAssento_light.PNG"));
        this.removerAssento = new ImageIcon(getClass().getResource("/images/removerAssento.PNG"));
        this.removerAssentoLight = new ImageIcon(getClass().getResource("/images/removerAssento_light.PNG"));
        
        this.jLabel6.setToolTipText("Sair");
        this.jLabel7.setToolTipText("Voltar");
        this.jLabel8.setToolTipText("Confirmar");
        this.jLabel18.setToolTipText("Limpar");
        this.jLabel2.setToolTipText("Adicionar Assentos");
        this.jLabel4.setToolTipText("Remover Assentos");
        
        this.jLabel6.setCursor(Cursor.getPredefinedCursor(Cursor.HAND_CURSOR));
        this.jLabel7.setCursor(Cursor.getPredefinedCursor(Cursor.HAND_CURSOR));
        this.jLabel8.setCursor(Cursor.getPredefinedCursor(Cursor.HAND_CURSOR));
        this.jLabel18.setCursor(Cursor.getPredefinedCursor(Cursor.HAND_CURSOR));
        this.jLabel2.setCursor(Cursor.getPredefinedCursor(Cursor.HAND_CURSOR));
        this.jLabel4.setCursor(Cursor.getPredefinedCursor(Cursor.HAND_CURSOR));
    }

    /** This method is called from within the constructor to
     * initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is
     * always regenerated by the Form Editor.
     */

    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        jPanel1 = new javax.swing.JPanel();
        jLabel9 = new javax.swing.JLabel();
        jLabel18 = new javax.swing.JLabel();
        jLabel7 = new javax.swing.JLabel();
        jLabel6 = new javax.swing.JLabel();
        jLabel8 = new javax.swing.JLabel();
        jPanel2 = new javax.swing.JPanel();
        jLabel2 = new javax.swing.JLabel();
        jLabel4 = new javax.swing.JLabel();
        jPanel3 = new javax.swing.JPanel();
        jLabel5 = new javax.swing.JLabel();
        jTextField6 = new javax.swing.JTextField();
        jLabel1 = new javax.swing.JLabel();
        jLabel10 = new javax.swing.JLabel();
        jTextField7 = new javax.swing.JTextField();
        jLabel3 = new javax.swing.JLabel();

        setDefaultCloseOperation(javax.swing.WindowConstants.EXIT_ON_CLOSE);

        jPanel1.setBackground(new java.awt.Color(255, 255, 255));

        jLabel9.setIcon(new javax.swing.ImageIcon(getClass().getResource("/images/logo.PNG"))); // NOI18N

        jLabel18.setIcon(new javax.swing.ImageIcon(getClass().getResource("/images/limpar.PNG"))); // NOI18N
        jLabel18.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseEntered(java.awt.event.MouseEvent evt) {
                jLabel18MouseEntered(evt);
            }
            public void mouseExited(java.awt.event.MouseEvent evt) {
                jLabel18MouseExited(evt);
            }
            public void mousePressed(java.awt.event.MouseEvent evt) {
                jLabel18MousePressed(evt);
            }
            public void mouseReleased(java.awt.event.MouseEvent evt) {
                jLabel18MouseReleased(evt);
            }
        });

        jLabel7.setIcon(new javax.swing.ImageIcon(getClass().getResource("/images/voltar.JPG"))); // NOI18N
        jLabel7.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseEntered(java.awt.event.MouseEvent evt) {
                jLabel7MouseEntered(evt);
            }
            public void mouseExited(java.awt.event.MouseEvent evt) {
                jLabel7MouseExited(evt);
            }
            public void mousePressed(java.awt.event.MouseEvent evt) {
                jLabel7MousePressed(evt);
            }
            public void mouseReleased(java.awt.event.MouseEvent evt) {
                jLabel7MouseReleased(evt);
            }
        });

        jLabel6.setIcon(new javax.swing.ImageIcon(getClass().getResource("/images/sair.JPG"))); // NOI18N
        jLabel6.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseEntered(java.awt.event.MouseEvent evt) {
                jLabel6MouseEntered(evt);
            }
            public void mouseExited(java.awt.event.MouseEvent evt) {
                jLabel6MouseExited(evt);
            }
            public void mousePressed(java.awt.event.MouseEvent evt) {
                jLabel6MousePressed(evt);
            }
            public void mouseReleased(java.awt.event.MouseEvent evt) {
                jLabel6MouseReleased(evt);
            }
        });

        jLabel8.setIcon(new javax.swing.ImageIcon(getClass().getResource("/images/ok.JPG"))); // NOI18N
        jLabel8.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseEntered(java.awt.event.MouseEvent evt) {
                jLabel8MouseEntered(evt);
            }
            public void mouseExited(java.awt.event.MouseEvent evt) {
                jLabel8MouseExited(evt);
            }
            public void mousePressed(java.awt.event.MouseEvent evt) {
                jLabel8MousePressed(evt);
            }
            public void mouseReleased(java.awt.event.MouseEvent evt) {
                jLabel8MouseReleased(evt);
            }
        });

        jPanel2.setBackground(new java.awt.Color(255, 255, 255));
        jPanel2.setBorder(javax.swing.BorderFactory.createTitledBorder("Assentos"));

        jLabel2.setIcon(new javax.swing.ImageIcon(getClass().getResource("/images/adicionarAssento.PNG"))); // NOI18N
        jLabel2.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseEntered(java.awt.event.MouseEvent evt) {
                jLabel2MouseEntered(evt);
            }
            public void mouseExited(java.awt.event.MouseEvent evt) {
                jLabel2MouseExited(evt);
            }
            public void mousePressed(java.awt.event.MouseEvent evt) {
                jLabel2MousePressed(evt);
            }
            public void mouseReleased(java.awt.event.MouseEvent evt) {
                jLabel2MouseReleased(evt);
            }
        });

        jLabel4.setIcon(new javax.swing.ImageIcon(getClass().getResource("/images/removerAssento.PNG"))); // NOI18N
        jLabel4.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseEntered(java.awt.event.MouseEvent evt) {
                jLabel4MouseEntered(evt);
            }
            public void mouseExited(java.awt.event.MouseEvent evt) {
                jLabel4MouseExited(evt);
            }
            public void mousePressed(java.awt.event.MouseEvent evt) {
                jLabel4MousePressed(evt);
            }
            public void mouseReleased(java.awt.event.MouseEvent evt) {
                jLabel4MouseReleased(evt);
            }
        });

        jPanel3.setBackground(new java.awt.Color(255, 255, 255));

        jLabel5.setFont(new java.awt.Font("Tahoma", 0, 16));
        jLabel5.setText("Linhas");

        jLabel1.setForeground(new java.awt.Color(153, 153, 153));
        jLabel1.setText("(No mximo 10 linhas)");

        jLabel10.setFont(new java.awt.Font("Tahoma", 0, 16));
        jLabel10.setText("Colunas");

        jLabel3.setForeground(new java.awt.Color(153, 153, 153));
        jLabel3.setText("(No mximo 15 colunas)");

        javax.swing.GroupLayout jPanel3Layout = new javax.swing.GroupLayout(jPanel3);
        jPanel3.setLayout(jPanel3Layout);
        jPanel3Layout.setHorizontalGroup(
            jPanel3Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, jPanel3Layout.createSequentialGroup()
                .addContainerGap(javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                .addGroup(jPanel3Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addComponent(jLabel5, javax.swing.GroupLayout.Alignment.TRAILING)
                    .addComponent(jLabel10, javax.swing.GroupLayout.Alignment.TRAILING))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addGroup(jPanel3Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addComponent(jTextField7, javax.swing.GroupLayout.PREFERRED_SIZE, 38, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(jTextField6, javax.swing.GroupLayout.PREFERRED_SIZE, 38, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addGroup(jPanel3Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addComponent(jLabel1)
                    .addComponent(jLabel3))
                .addContainerGap())
        );
        jPanel3Layout.setVerticalGroup(
            jPanel3Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanel3Layout.createSequentialGroup()
                .addContainerGap()
                .addGroup(jPanel3Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jLabel5)
                    .addComponent(jLabel1)
                    .addComponent(jTextField6, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addGap(18, 18, 18)
                .addGroup(jPanel3Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jLabel10)
                    .addComponent(jTextField7, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(jLabel3))
                .addContainerGap(javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
        );

        javax.swing.GroupLayout jPanel2Layout = new javax.swing.GroupLayout(jPanel2);
        jPanel2.setLayout(jPanel2Layout);
        jPanel2Layout.setHorizontalGroup(
            jPanel2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, jPanel2Layout.createSequentialGroup()
                .addContainerGap(74, Short.MAX_VALUE)
                .addGroup(jPanel2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING, false)
                    .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, jPanel2Layout.createSequentialGroup()
                        .addGap(10, 10, 10)
                        .addComponent(jLabel2)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                        .addComponent(jLabel4))
                    .addComponent(jPanel3, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addGap(81, 81, 81))
        );
        jPanel2Layout.setVerticalGroup(
            jPanel2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanel2Layout.createSequentialGroup()
                .addComponent(jPanel3, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addGroup(jPanel2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.TRAILING)
                    .addComponent(jLabel4)
                    .addComponent(jLabel2))
                .addContainerGap(50, Short.MAX_VALUE))
        );

        javax.swing.GroupLayout jPanel1Layout = new javax.swing.GroupLayout(jPanel1);
        jPanel1.setLayout(jPanel1Layout);
        jPanel1Layout.setHorizontalGroup(
            jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanel1Layout.createSequentialGroup()
                .addContainerGap()
                .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                        .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, jPanel1Layout.createSequentialGroup()
                            .addComponent(jLabel9)
                            .addGap(187, 187, 187))
                        .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, jPanel1Layout.createSequentialGroup()
                            .addGap(55, 55, 55)
                            .addComponent(jLabel7)
                            .addGap(55, 55, 55)
                            .addComponent(jLabel18)
                            .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED, 82, Short.MAX_VALUE)
                            .addComponent(jLabel6)
                            .addGap(58, 58, 58)
                            .addComponent(jLabel8)
                            .addGap(51, 51, 51)))
                    .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, jPanel1Layout.createSequentialGroup()
                        .addComponent(jPanel2, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                        .addGap(39, 39, 39))))
        );
        jPanel1Layout.setVerticalGroup(
            jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanel1Layout.createSequentialGroup()
                .addContainerGap()
                .addComponent(jLabel9)
                .addGap(65, 65, 65)
                .addComponent(jPanel2, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addGap(112, 112, 112)
                .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.TRAILING)
                    .addComponent(jLabel7)
                    .addGroup(jPanel1Layout.createSequentialGroup()
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(jLabel8))
                    .addComponent(jLabel6)
                    .addComponent(jLabel18))
                .addGap(62, 62, 62))
        );

        javax.swing.GroupLayout layout = new javax.swing.GroupLayout(getContentPane());
        getContentPane().setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addComponent(jPanel1, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addComponent(jPanel1, javax.swing.GroupLayout.DEFAULT_SIZE, 611, Short.MAX_VALUE)
        );

        pack();
    }// </editor-fold>//GEN-END:initComponents

private void jLabel18MouseEntered(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel18MouseEntered
this.jLabel18.setIcon(limparPress);
}//GEN-LAST:event_jLabel18MouseEntered

private void jLabel18MouseExited(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel18MouseExited
this.jLabel18.setIcon(limpar);
}//GEN-LAST:event_jLabel18MouseExited

private void jLabel7MouseEntered(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel7MouseEntered
this.jLabel7.setLocation(this.jLabel7.getX() - 5, this.jLabel7.getY());
}//GEN-LAST:event_jLabel7MouseEntered

private void jLabel7MouseExited(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel7MouseExited
this.jLabel7.setLocation(this.jLabel7.getX() + 5, this.jLabel7.getY());
}//GEN-LAST:event_jLabel7MouseExited

private void jLabel7MousePressed(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel7MousePressed
this.jLabel7.setIcon(voltarPress);
}//GEN-LAST:event_jLabel7MousePressed

private void jLabel7MouseReleased(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel7MouseReleased
this.jLabel7.setIcon(voltar);
this.setVisible(false);
this.telaGerenciamentoAmbiente.setVisible(true);
}//GEN-LAST:event_jLabel7MouseReleased

private void jLabel6MouseEntered(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel6MouseEntered
this.jLabel6.setIcon(sairPress);
}//GEN-LAST:event_jLabel6MouseEntered

private void jLabel6MouseExited(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel6MouseExited
this.jLabel6.setIcon(sair);
}//GEN-LAST:event_jLabel6MouseExited

private void jLabel8MouseEntered(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel8MouseEntered
this.jLabel8.setIcon(okLight);
}//GEN-LAST:event_jLabel8MouseEntered

private void jLabel8MouseExited(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel8MouseExited
this.jLabel8.setIcon(ok);
}//GEN-LAST:event_jLabel8MouseExited

private void jLabel8MousePressed(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel8MousePressed
this.jLabel8.setIcon(okPress);
}//GEN-LAST:event_jLabel8MousePressed

private void jLabel8MouseReleased(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel8MouseReleased
this.jLabel8.setIcon(okLight);

}//GEN-LAST:event_jLabel8MouseReleased

private void jLabel2MouseEntered(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel2MouseEntered
    this.jLabel2.setIcon(adicionarAssentoLight);
}//GEN-LAST:event_jLabel2MouseEntered

private void jLabel2MouseExited(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel2MouseExited
    this.jLabel2.setIcon(adicionarAssento);
}//GEN-LAST:event_jLabel2MouseExited

private void jLabel2MousePressed(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel2MousePressed

}//GEN-LAST:event_jLabel2MousePressed

private void jLabel2MouseReleased(java.awt.event.MouseEvent evt) {                                      
		
		try {
			this.fachada.inserirLinhasEColunas(this.ambiente.getIdAmbiente(), Integer.parseInt(this.jTextField6.getText()),  Integer.parseInt(this.jTextField7.getText()));
		//	this.fachada.inserirLinhas(this.ambiente.getIdAmbiente(), Integer.parseInt(this.jTextField6.getText()));
		//	this.fachada.inserirColunas(this.ambiente.getIdAmbiente(), Integer.parseInt(this.jTextField7.getText()));
			new TelaConfirmacao(true, "Linhas e Colunas Inseridas com sucesso.").setVisible(true);
		} catch (NumberFormatException e) {
			new TelaConfirmacao(false, "Insira um dado valido.").setVisible(true);
		} catch (AmbienteNaoCadastradoException e) {
			new TelaConfirmacao(false, e.getMessage()).setVisible(true);
		} catch (BancoDeDadosException e) {
			new TelaConfirmacao(false, e.getMessage()).setVisible(true);
		} catch (ControleExcepttion e) {
			new TelaConfirmacao(false, e.getMessage()).setVisible(true);
		}
		
	}

private void jLabel4MouseEntered(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel4MouseEntered
    this.jLabel4.setIcon(removerAssentoLight);
}//GEN-LAST:event_jLabel4MouseEntered

private void jLabel4MouseExited(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel4MouseExited
    this.jLabel4.setIcon(removerAssento);
}//GEN-LAST:event_jLabel4MouseExited

private void jLabel4MousePressed(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel4MousePressed

}//GEN-LAST:event_jLabel4MousePressed

private void jLabel4MouseReleased(java.awt.event.MouseEvent evt) {                                      

	try {
		this.fachada.removerLinhasEColunas(this.ambiente.getIdAmbiente(), Integer.parseInt(this.jTextField6.getText()), Integer.parseInt(this.jTextField7.getText()));
		//this.fachada.removerLinhas(this.ambiente.getIdAmbiente(), Integer.parseInt(this.jTextField6.getText()));
		//this.fachada.removerColunas(this.ambiente.getIdAmbiente(), Integer.parseInt(this.jTextField7.getText()));
		new TelaConfirmacao(true, "Linhas e Colunas Removidas com sucesso.").setVisible(true);
	} catch (NumberFormatException e) {
		new TelaConfirmacao(false, "Insira um dado valido.").setVisible(true);
	} catch (AmbienteNaoCadastradoException e) {
		new TelaConfirmacao(false, e.getMessage()).setVisible(true);
	} catch (BancoDeDadosException e) {
		new TelaConfirmacao(false, e.getMessage()).setVisible(true);
	} catch (ControleExcepttion e) {
		new TelaConfirmacao(false, e.getMessage()).setVisible(true);
	}
	
	
}
private void jLabel18MousePressed(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel18MousePressed

}//GEN-LAST:event_jLabel18MousePressed

private void jLabel18MouseReleased(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel18MouseReleased

	this.jTextField6.setText("");
	this.jTextField7.setText("");
}//GEN-LAST:event_jLabel18MouseReleased

private void jLabel6MousePressed(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel6MousePressed

}//GEN-LAST:event_jLabel6MousePressed

private void jLabel6MouseReleased(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel6MouseReleased

	System.exit(1);
}//GEN-LAST:event_jLabel6MouseReleased

    /**
    * @param args the command line arguments
    */


    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JLabel jLabel1;
    private javax.swing.JLabel jLabel10;
    private javax.swing.JLabel jLabel18;
    private javax.swing.JLabel jLabel2;
    private javax.swing.JLabel jLabel3;
    private javax.swing.JLabel jLabel4;
    private javax.swing.JLabel jLabel5;
    private javax.swing.JLabel jLabel6;
    private javax.swing.JLabel jLabel7;
    private javax.swing.JLabel jLabel8;
    private javax.swing.JLabel jLabel9;
    private javax.swing.JPanel jPanel1;
    private javax.swing.JPanel jPanel2;
    private javax.swing.JPanel jPanel3;
    private javax.swing.JTextField jTextField6;
    private javax.swing.JTextField jTextField7;
    // End of variables declaration//GEN-END:variables

}
