/*
 * TelaGerenciamentoAmbiente.java
 *
 * Created on 18 de Novembro de 2009, 02:27
 */

package gui;

import java.awt.Cursor;
import java.util.Vector;

import javax.swing.ImageIcon;

import dados.base.Ambiente;

import exceptions.AmbienteNaoCadastradoException;
import exceptions.BancoDeDadosException;
import fachada.Fachada;

/**
 *
 * @author  mcrs
 */
public class TelaGerenciamentoAmbiente extends javax.swing.JFrame {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	private ImageIcon sair;
	private ImageIcon sairPress;
	private ImageIcon voltar;
	private ImageIcon voltarPress;
	private ImageIcon adicionarAmbiente;
	private ImageIcon adicionarAmbientePress;
	private ImageIcon removerAmbiente;
	private ImageIcon removerAmbientePress;
	private ImageIcon alterarAmbiente;
	private ImageIcon alterarAmbientePress;
	private ImageIcon lupa;
	private TelaPrincipal telaPrincipal;

	private Fachada fachada;

	/** Creates new form TelaGerenciamentoAmbiente */
	public TelaGerenciamentoAmbiente(Fachada fachada, TelaPrincipal telaPrincipal) {
		initComponents();

		this.fachada = fachada;
		this.telaPrincipal = telaPrincipal;
		this.setLocationRelativeTo(null);
		this.setSize(489, 611);

		//Carregando os icones das Labels.
		this.sair = new ImageIcon(getClass().getResource("/images/sair.JPG"));
		this.sairPress = new ImageIcon(getClass().getResource("/images/sair_press.JPG"));
		this.voltar = new ImageIcon(getClass().getResource("/images/voltar.JPG"));
		this.voltarPress = new ImageIcon(getClass().getResource("/images/voltar_press.JPG"));
		this.adicionarAmbiente = new ImageIcon(getClass().getResource("/images/adicionarAmbiente.PNG"));
		this.adicionarAmbientePress = new ImageIcon(getClass().getResource("/images/adicionarAmbiente_light.PNG"));
		this.removerAmbiente = new ImageIcon(getClass().getResource("/images/removerAmbiente.PNG"));
		this.removerAmbientePress = new ImageIcon(getClass().getResource("/images/removerAmbiente_light.PNG"));
		this.alterarAmbiente = new ImageIcon(getClass().getResource("/images/alterarAmbiente.PNG"));
		this.alterarAmbientePress = new ImageIcon(getClass().getResource("/images/alterarAmbiente_light.PNG"));
		this.lupa = new ImageIcon(getClass().getResource("/images/lupa.PNG"));

		//Adicionando descricao das Labels
		this.jLabel4.setToolTipText("Buscar");
		this.jLabel4.setCursor(Cursor.getPredefinedCursor(Cursor.HAND_CURSOR));

		this.jLabel5.setToolTipText("Novo Ambiente");
		this.jLabel5.setCursor(Cursor.getPredefinedCursor(Cursor.HAND_CURSOR));

		this.jLabel6.setToolTipText("Remover Ambiente");
		this.jLabel6.setCursor(Cursor.getPredefinedCursor(Cursor.HAND_CURSOR));

		this.jLabel7.setToolTipText("Alterar Ambiente");
		this.jLabel7.setCursor(Cursor.getPredefinedCursor(Cursor.HAND_CURSOR));

		this.jLabel8.setToolTipText("Sair");
		this.jLabel8.setCursor(Cursor.getPredefinedCursor(Cursor.HAND_CURSOR));

		this.jLabel9.setToolTipText("Voltar");
		this.jLabel9.setCursor(Cursor.getPredefinedCursor(Cursor.HAND_CURSOR));



	}

	/** This method is called from within the constructor to
	 * initialize the form.
	 * WARNING: Do NOT modify this code. The content of this method is
	 * always regenerated by the Form Editor.
	 */

	// <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
	private void initComponents() {

		jPanel1 = new javax.swing.JPanel();
		jLabel1 = new javax.swing.JLabel();
		jPanel2 = new javax.swing.JPanel();
		jLabel2 = new javax.swing.JLabel();
		jTextField1 = new javax.swing.JTextField();
		jPanel3 = new javax.swing.JPanel();
		jScrollPane2 = new javax.swing.JScrollPane();
		jList2 = new javax.swing.JList();
		jLabel4 = new javax.swing.JLabel();
		jLabel5 = new javax.swing.JLabel();
		jLabel6 = new javax.swing.JLabel();
		jLabel7 = new javax.swing.JLabel();
		jLabel8 = new javax.swing.JLabel();
		jLabel9 = new javax.swing.JLabel();

		setDefaultCloseOperation(javax.swing.WindowConstants.EXIT_ON_CLOSE);

		jPanel1.setBackground(new java.awt.Color(255, 255, 255));

		jLabel1.setIcon(new javax.swing.ImageIcon(getClass().getResource("/images/logo.PNG"))); // NOI18N

		jPanel2.setBackground(new java.awt.Color(255, 255, 255));

		jLabel2.setFont(new java.awt.Font("Tahoma", 0, 16));
		jLabel2.setText("Sala");

		jPanel3.setBackground(new java.awt.Color(255, 255, 255));
		jPanel3.setBorder(javax.swing.BorderFactory.createTitledBorder("Salas"));

		jList2.setModel(new javax.swing.AbstractListModel() {
			/**
			 * 
			 */
			private static final long serialVersionUID = 1L;
			String[] strings = { "" };
			public int getSize() { return strings.length; }
			public Object getElementAt(int i) { return strings[i]; }
		});
		jScrollPane2.setViewportView(jList2);

		javax.swing.GroupLayout jPanel3Layout = new javax.swing.GroupLayout(jPanel3);
		jPanel3.setLayout(jPanel3Layout);
		jPanel3Layout.setHorizontalGroup(
				jPanel3Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
				.addGroup(jPanel3Layout.createSequentialGroup()
						.addGap(4, 4, 4)
						.addComponent(jScrollPane2, javax.swing.GroupLayout.PREFERRED_SIZE, 320, javax.swing.GroupLayout.PREFERRED_SIZE))
		);
		jPanel3Layout.setVerticalGroup(
				jPanel3Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
				.addComponent(jScrollPane2, javax.swing.GroupLayout.PREFERRED_SIZE, 140, javax.swing.GroupLayout.PREFERRED_SIZE)
		);

		jLabel4.setIcon(new javax.swing.ImageIcon(getClass().getResource("/images/lupa.PNG"))); // NOI18N
		jLabel4.addMouseListener(new java.awt.event.MouseAdapter() {
			public void mouseReleased(java.awt.event.MouseEvent evt) {
				jLabel4MouseReleased(evt);
			}
		});

		jLabel5.setIcon(new javax.swing.ImageIcon(getClass().getResource("/images/adicionarAmbiente.PNG"))); // NOI18N
		jLabel5.addMouseListener(new java.awt.event.MouseAdapter() {
			public void mouseEntered(java.awt.event.MouseEvent evt) {
				jLabel5MouseEntered(evt);
			}
			public void mouseExited(java.awt.event.MouseEvent evt) {
				jLabel5MouseExited(evt);
			}
			public void mouseReleased(java.awt.event.MouseEvent evt) {
				jLabel5MouseReleased(evt);
			}
		});

		jLabel6.setIcon(new javax.swing.ImageIcon(getClass().getResource("/images/removerAmbiente.PNG"))); // NOI18N
		jLabel6.addMouseListener(new java.awt.event.MouseAdapter() {
			public void mouseEntered(java.awt.event.MouseEvent evt) {
				jLabel6MouseEntered(evt);
			}
			public void mouseExited(java.awt.event.MouseEvent evt) {
				jLabel6MouseExited(evt);
			}
			public void mouseReleased(java.awt.event.MouseEvent evt) {
				jLabel6MouseReleased(evt);
			}
		});

		jLabel7.setIcon(new javax.swing.ImageIcon(getClass().getResource("/images/alterarAmbiente.PNG"))); // NOI18N
		jLabel7.addMouseListener(new java.awt.event.MouseAdapter() {
			public void mouseEntered(java.awt.event.MouseEvent evt) {
				jLabel7MouseEntered(evt);
			}
			public void mouseExited(java.awt.event.MouseEvent evt) {
				jLabel7MouseExited(evt);
			}
			public void mouseReleased(java.awt.event.MouseEvent evt) {
				jLabel7MouseReleased(evt);
			}
		});

		javax.swing.GroupLayout jPanel2Layout = new javax.swing.GroupLayout(jPanel2);
		jPanel2.setLayout(jPanel2Layout);
		jPanel2Layout.setHorizontalGroup(
				jPanel2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
				.addGroup(jPanel2Layout.createSequentialGroup()
						.addGap(40, 40, 40)
						.addGroup(jPanel2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING, false)
								.addComponent(jPanel3, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
								.addGroup(javax.swing.GroupLayout.Alignment.TRAILING, jPanel2Layout.createSequentialGroup()
										.addGap(10, 10, 10)
										.addComponent(jLabel2)
										.addGap(8, 8, 8)
										.addComponent(jTextField1)
										.addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
										.addComponent(jLabel4)
										.addGap(10, 10, 10)))
										.addGap(42, 42, 42))
										.addGroup(jPanel2Layout.createSequentialGroup()
												.addGap(29, 29, 29)
												.addComponent(jLabel5)
												.addGap(58, 58, 58)
												.addComponent(jLabel6)
												.addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED, 66, Short.MAX_VALUE)
												.addComponent(jLabel7)
												.addGap(32, 32, 32))
		);
		jPanel2Layout.setVerticalGroup(
				jPanel2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
				.addGroup(javax.swing.GroupLayout.Alignment.TRAILING, jPanel2Layout.createSequentialGroup()
						.addContainerGap(46, Short.MAX_VALUE)
						.addGroup(jPanel2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.TRAILING)
								.addComponent(jLabel4)
								.addGroup(jPanel2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
										.addComponent(jTextField1, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
										.addComponent(jLabel2)))
										.addGap(9, 9, 9)
										.addComponent(jPanel3, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
										.addGap(66, 66, 66)
										.addGroup(jPanel2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.TRAILING)
												.addComponent(jLabel5)
												.addComponent(jLabel6)
												.addComponent(jLabel7)))
		);

		jLabel8.setIcon(new javax.swing.ImageIcon(getClass().getResource("/images/sair.JPG"))); // NOI18N
		jLabel8.addMouseListener(new java.awt.event.MouseAdapter() {
			public void mouseEntered(java.awt.event.MouseEvent evt) {
				jLabel8MouseEntered(evt);
			}
			public void mouseExited(java.awt.event.MouseEvent evt) {
				jLabel8MouseExited(evt);
			}
			public void mouseReleased(java.awt.event.MouseEvent evt) {
				jLabel8MouseReleased(evt);
			}
		});

		jLabel9.setIcon(new javax.swing.ImageIcon(getClass().getResource("/images/voltar.JPG"))); // NOI18N
		jLabel9.addMouseListener(new java.awt.event.MouseAdapter() {
			public void mouseEntered(java.awt.event.MouseEvent evt) {
				jLabel9MouseEntered(evt);
			}
			public void mouseExited(java.awt.event.MouseEvent evt) {
				jLabel9MouseExited(evt);
			}
			public void mousePressed(java.awt.event.MouseEvent evt) {
				jLabel9MousePressed(evt);
			}
			public void mouseReleased(java.awt.event.MouseEvent evt) {
				jLabel9MouseReleased(evt);
			}
		});

		javax.swing.GroupLayout jPanel1Layout = new javax.swing.GroupLayout(jPanel1);
		jPanel1.setLayout(jPanel1Layout);
		jPanel1Layout.setHorizontalGroup(
				jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
				.addGroup(jPanel1Layout.createSequentialGroup()
						.addGap(48, 48, 48)
						.addComponent(jLabel9)
						.addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED, 296, Short.MAX_VALUE)
						.addComponent(jLabel8)
						.addGap(56, 56, 56))
						.addGroup(jPanel1Layout.createSequentialGroup()
								.addGap(35, 35, 35)
								.addComponent(jPanel2, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
								.addContainerGap(45, Short.MAX_VALUE))
								.addGroup(jPanel1Layout.createSequentialGroup()
										.addGap(189, 189, 189)
										.addComponent(jLabel1)
										.addContainerGap(196, Short.MAX_VALUE))
		);
		jPanel1Layout.setVerticalGroup(
				jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
				.addGroup(jPanel1Layout.createSequentialGroup()
						.addContainerGap()
						.addComponent(jLabel1)
						.addGap(15, 15, 15)
						.addComponent(jPanel2, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
						.addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED, 61, Short.MAX_VALUE)
						.addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.TRAILING)
								.addComponent(jLabel9)
								.addComponent(jLabel8))
								.addGap(38, 38, 38))
		);

		javax.swing.GroupLayout layout = new javax.swing.GroupLayout(getContentPane());
		getContentPane().setLayout(layout);
		layout.setHorizontalGroup(
				layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
				.addComponent(jPanel1, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
		);
		layout.setVerticalGroup(
				layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
				.addComponent(jPanel1, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
		);

		pack();
	}// </editor-fold>//GEN-END:initComponents

	private void jLabel5MouseEntered(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel5MouseEntered
		this.jLabel5.setIcon(adicionarAmbientePress);
	}//GEN-LAST:event_jLabel5MouseEntered

	private void jLabel5MouseExited(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel5MouseExited
		this.jLabel5.setIcon(adicionarAmbiente);
	}//GEN-LAST:event_jLabel5MouseExited

	private void jLabel6MouseEntered(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel6MouseEntered
		this.jLabel6.setIcon(removerAmbientePress);
	}//GEN-LAST:event_jLabel6MouseEntered

	private void jLabel6MouseExited(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel6MouseExited
		this.jLabel6.setIcon(removerAmbiente);

	}//GEN-LAST:event_jLabel6MouseExited

	private void jLabel7MouseEntered(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel7MouseEntered
		this.jLabel7.setIcon(alterarAmbientePress);
	}//GEN-LAST:event_jLabel7MouseEntered

	private void jLabel7MouseExited(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel7MouseExited
		this.jLabel7.setIcon(alterarAmbiente);
	}//GEN-LAST:event_jLabel7MouseExited

	private void jLabel8MouseEntered(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel8MouseEntered
		this.jLabel8.setIcon(sairPress);
	}//GEN-LAST:event_jLabel8MouseEntered

	private void jLabel8MouseExited(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel8MouseExited
		this.jLabel8.setIcon(sair);
	}//GEN-LAST:event_jLabel8MouseExited

	private void jLabel9MouseEntered(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel9MouseEntered
		this.jLabel9.setLocation(this.jLabel9.getX() - 5, this.jLabel9.getY());
	}//GEN-LAST:event_jLabel9MouseEntered

	private void jLabel9MouseExited(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel9MouseExited
		this.jLabel9.setLocation(this.jLabel9.getX() + 5, this.jLabel9.getY());
	}//GEN-LAST:event_jLabel9MouseExited

	private void jLabel9MousePressed(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel9MousePressed
		this.jLabel9.setIcon(voltarPress);
	}//GEN-LAST:event_jLabel9MousePressed

	private void jLabel9MouseReleased(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel9MouseReleased
		this.jLabel9.setIcon(voltar);
		this.setVisible(false);
		this.telaPrincipal.setVisible(true);
	}//GEN-LAST:event_jLabel9MouseReleased





	private void jLabel5MouseReleased(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel9MouseReleased
		this.jLabel5.setIcon(adicionarAmbiente);
		
		TelaCadastroAmbiente telaCadastroAmbiente = new TelaCadastroAmbiente(this.fachada,this);
		jList2.setModel(new javax.swing.AbstractListModel() {
			/**
			 * 
			 */
			private static final long serialVersionUID = 1L;
			String[] strings = { "" };
			public int getSize() { return strings.length; }
			public Object getElementAt(int i) { return strings[i]; }
		});
		telaCadastroAmbiente.setVisible(true);
		this.setVisible(false);
	}//GEN-LAST:event_jLabel9MouseReleased

	private void jLabel6MouseReleased(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel9MouseReleased
		this.jLabel6.setIcon(removerAmbiente);
		
		String id = "";
		int i = 0;
		
		try {
			while( ((String)jList2.getSelectedValue()).charAt(i) != ' ') {
				id = id + ((String)jList2.getSelectedValue()).substring(i, i+1);
				i++;
			}
			
			this.fachada.removerAmbiente(Integer.parseInt(id));
			
			jList2.setModel(new javax.swing.AbstractListModel() {
				/**
				 * 
				 */
				private static final long serialVersionUID = 1L;
				String[] strings = { "" };
				public int getSize() { return strings.length; }
				public Object getElementAt(int i) { return strings[i]; }
			});
			new TelaConfirmacao(true, "Ambiente removido com sucesso.").setVisible(true);
		} catch (NumberFormatException e) {
			new TelaConfirmacao(false, "Selecione um ambiente.").setVisible(true);
		} catch (AmbienteNaoCadastradoException e) {
			new TelaConfirmacao(false, e.getMessage()).setVisible(true);
		} catch (BancoDeDadosException e) {
			new TelaConfirmacao(false, e.getMessage()).setVisible(true);
		} catch (Exception e) {
			new TelaConfirmacao(false, "Selecione um ambiente.").setVisible(true);
		}
	}//GEN-LAST:event_jLabel9MouseReleased

	private void jLabel7MouseReleased(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel9MouseReleased
		this.jLabel7.setIcon(alterarAmbiente);
		

		String id = "";
		int i = 0;
		
		try {
			while( ((String)jList2.getSelectedValue()).charAt(i) != ' ') {
				id = id + ((String)jList2.getSelectedValue()).substring(i, i+1);
				i++;
			}
			Ambiente ambiente = this.fachada.consultarAmbiente(Integer.parseInt(id));
			//ajeitar, new era para estar no construtor
			TelaAlterarAmbiente telaAlterarAmbiente = new TelaAlterarAmbiente(this.fachada,this,ambiente);
			jList2.setModel(new javax.swing.AbstractListModel() {
				/**
				 * 
				 */
				private static final long serialVersionUID = 1L;
				String[] strings = { "" };
				public int getSize() { return strings.length; }
				public Object getElementAt(int i) { return strings[i]; }
			});
			telaAlterarAmbiente.setVisible(true);
			this.setVisible(false);

		} catch (NumberFormatException e) {
			new TelaConfirmacao(false, "Selecione um ambiente.").setVisible(true);
		} catch (Exception e) {
			new TelaConfirmacao(false, "Selecione um ambiente.").setVisible(true);
		}
		
		
		
	}//GEN-LAST:event_jLabel9MouseReleased

	private void jLabel8MouseReleased(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel9MouseReleased
		this.jLabel8.setIcon(sair);
		System.exit(1);
	}//GEN-LAST:event_jLabel9MouseReleased

	@SuppressWarnings("serial")
	private void jLabel4MouseReleased(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel9MouseReleased
		this.jLabel4.setIcon(lupa);
		
		if(!this.jTextField1.getText().equals("")) {
			try {
				int salaIdAmbiente =  Integer.parseInt(this.jTextField1.getText());
				Ambiente ambiente = this.fachada.consultarAmbiente(salaIdAmbiente);
				final String sala = this.jTextField1.getText() + " - Linhas: "+ ambiente.getLinhas() + " Colunas: "+ ambiente.getColunas();
	
				jList2.setModel(new javax.swing.AbstractListModel() {
					String[] strings = {sala};
					public int getSize() { return strings.length; }
					public Object getElementAt(int i) { return strings[i]; }
				});
	
			} catch (AmbienteNaoCadastradoException e) {
				new TelaConfirmacao(false, e.getMessage()).setVisible(true);
	
			} catch (BancoDeDadosException e) {
				new TelaConfirmacao(false, e.getMessage()).setVisible(true);
	
			} catch (Exception e) {
				new TelaConfirmacao(false, "Insira um numero valido de sala.").setVisible(true);
			}
		} else {
			try {
				Vector<Ambiente> ambientes = this.fachada.listarAmbientes();
				
				final String sala[] = new String[ambientes.size()];
				
				for(int i = 0; i < ambientes.size(); i++) {
					sala[i] = ambientes.elementAt(i).getIdAmbiente() +
						" - Linhas: "+ ambientes.elementAt(i).getLinhas() + " Colunas: "+
						ambientes.elementAt(i).getColunas();
				}
				
				jList2.setModel(new javax.swing.AbstractListModel() {
					String[] strings = sala;
					public int getSize() { return strings.length; }
					public Object getElementAt(int i) { return strings[i]; }
				});
			} catch (BancoDeDadosException e) {
				new TelaConfirmacao(false,e.getMessage()).setVisible(true);
			}
		}

	}
	/**
	 * @param args the command line arguments
	 */
	//    public static void main(String args[]) {
	//        java.awt.EventQueue.invokeLater(new Runnable() {
	//            public void run() {
	//                new TelaGerenciamentoAmbiente().setVisible(true);
	//            }
	//        });
	//    }

	// Variables declaration - do not modify//GEN-BEGIN:variables
	private javax.swing.JLabel jLabel1;
	private javax.swing.JLabel jLabel2;
	private javax.swing.JLabel jLabel4;
	private javax.swing.JLabel jLabel5;
	private javax.swing.JLabel jLabel6;
	private javax.swing.JLabel jLabel7;
	private javax.swing.JLabel jLabel8;
	private javax.swing.JLabel jLabel9;
	private javax.swing.JList jList2;
	private javax.swing.JPanel jPanel1;
	private javax.swing.JPanel jPanel2;
	private javax.swing.JPanel jPanel3;
	private javax.swing.JScrollPane jScrollPane2;
	private javax.swing.JTextField jTextField1;
	// End of variables declaration//GEN-END:variables

}
