/*
 * TelaGerenciamentoEvento.java
 *
 * Created on 18 de Novembro de 2009, 02:00
 */

package gui;

import dados.base.Evento;
import exceptions.AmbienteNaoCadastradoException;
import exceptions.BancoDeDadosException;
import exceptions.EventoNaoCadastradoException;
import fachada.Fachada;

import java.awt.Cursor;
import java.util.Vector;

import javax.swing.ImageIcon;

/**
 *
 * @author  mcrs
 */
public class TelaGerenciamentoEvento extends javax.swing.JFrame {
    
    /**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	private ImageIcon sair;
    private ImageIcon sairPress;
    private ImageIcon voltar;
    private ImageIcon voltarPress;
    private ImageIcon adicionarEvento;
    private ImageIcon adicionarEventoPress;
    private ImageIcon removerEvento;
    private ImageIcon removerEventoPress;
    private ImageIcon alterarEvento;
    private ImageIcon alterarEventoPress;
    private Fachada fachada;
    private String[] texto;
    //private TelaCadastroEvento telaCadastroEvento;
    //private TelaAlterarEvento telaAlterarEvento;
    private TelaPrincipal telaPrincipal;
    
    /** Creates new form TelaGerenciamentoEvento */
    public TelaGerenciamentoEvento(Fachada fachada, TelaPrincipal telaPrincipal) {
        initComponents();
        
        this.fachada = fachada;
        this.telaPrincipal = telaPrincipal;
        //this.telaAlterarEvento = new TelaAlterarEvento(this.fachada);
        //this.telaCadastroEvento = new TelaCadastroEvento(this.fachada);
        this.setLocationRelativeTo(null);
        this.setSize(489, 611);
        
        //Carregando os icones das Labels.
        this.sair = new ImageIcon(getClass().getResource("/images/sair.JPG"));
        this.sairPress = new ImageIcon(getClass().getResource("/images/sair_press.JPG"));
        this.voltar = new ImageIcon(getClass().getResource("/images/voltar.JPG"));
        this.voltarPress = new ImageIcon(getClass().getResource("/images/voltar_press.JPG"));
        this.adicionarEvento = new ImageIcon(getClass().getResource("/images/adicionarEvento.PNG"));
        this.adicionarEventoPress = new ImageIcon(getClass().getResource("/images/adicionarEvento_light.PNG"));
        this.removerEvento = new ImageIcon(getClass().getResource("/images/removerEvento.PNG"));
        this.removerEventoPress = new ImageIcon(getClass().getResource("/images/removerEvento_light.PNG"));
        this.alterarEvento = new ImageIcon(getClass().getResource("/images/alterarEvento.PNG"));
        this.alterarEventoPress = new ImageIcon(getClass().getResource("/images/alterarEvento_light.PNG"));
        
        //Adicionando descricao das Labels
        this.jLabel4.setToolTipText("Buscar por nome");
        this.jLabel4.setCursor(Cursor.getPredefinedCursor(Cursor.HAND_CURSOR));
        
        this.jLabel5.setToolTipText("Novo Evento");
        this.jLabel5.setCursor(Cursor.getPredefinedCursor(Cursor.HAND_CURSOR));
        
        this.jLabel6.setToolTipText("Remover Evento");
        this.jLabel6.setCursor(Cursor.getPredefinedCursor(Cursor.HAND_CURSOR));
        
        this.jLabel7.setToolTipText("Alterar Evento");
        this.jLabel7.setCursor(Cursor.getPredefinedCursor(Cursor.HAND_CURSOR));
        
        this.jLabel8.setToolTipText("Sair");
        this.jLabel8.setCursor(Cursor.getPredefinedCursor(Cursor.HAND_CURSOR));
        
        this.jLabel9.setToolTipText("Voltar");
        this.jLabel9.setCursor(Cursor.getPredefinedCursor(Cursor.HAND_CURSOR));
        
        this.jLabel10.setToolTipText("Buscar por ID");
        this.jLabel10.setCursor(Cursor.getPredefinedCursor(Cursor.HAND_CURSOR));
    
        this.setDefaultCloseOperation(HIDE_ON_CLOSE);
        
        jList2.setModel(new javax.swing.AbstractListModel() {
    		/**
			 * 
			 */
			private static final long serialVersionUID = 1L;
			String[] strings = {""};
    		public int getSize() { return strings.length; }
    		public Object getElementAt(int i) { return strings[i]; }
    	});
    }
    /** This method is called from within the constructor to
     * initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is
     * always regenerated by the Form Editor.
     */
   
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        buttonGroup1 = new javax.swing.ButtonGroup();
        jPanel1 = new javax.swing.JPanel();
        jLabel1 = new javax.swing.JLabel();
        jPanel2 = new javax.swing.JPanel();
        jRadioButton1 = new javax.swing.JRadioButton();
        jRadioButton2 = new javax.swing.JRadioButton();
        jLabel2 = new javax.swing.JLabel();
        jLabel3 = new javax.swing.JLabel();
        jTextField2 = new javax.swing.JTextField();
        jTextField1 = new javax.swing.JTextField();
        jPanel3 = new javax.swing.JPanel();
        jScrollPane2 = new javax.swing.JScrollPane();
        jList2 = new javax.swing.JList();
        jLabel4 = new javax.swing.JLabel();
        jLabel10 = new javax.swing.JLabel();
        jLabel5 = new javax.swing.JLabel();
        jLabel6 = new javax.swing.JLabel();
        jLabel7 = new javax.swing.JLabel();
        jLabel8 = new javax.swing.JLabel();
        jLabel9 = new javax.swing.JLabel();

        setDefaultCloseOperation(javax.swing.WindowConstants.EXIT_ON_CLOSE);

        jPanel1.setBackground(new java.awt.Color(255, 255, 255));

        jLabel1.setIcon(new javax.swing.ImageIcon(getClass().getResource("/images/logo.PNG"))); // NOI18N

        jPanel2.setBackground(new java.awt.Color(255, 255, 255));

        jRadioButton1.setBackground(new java.awt.Color(255, 255, 255));
        buttonGroup1.add(jRadioButton1);
        jRadioButton1.setSelected(true);
        jRadioButton1.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jRadioButton1ActionPerformed(evt);
            }
        });

        jRadioButton2.setBackground(new java.awt.Color(255, 255, 255));
        buttonGroup1.add(jRadioButton2);
        jRadioButton2.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jRadioButton2ActionPerformed(evt);
            }
        });

        jLabel2.setFont(new java.awt.Font("Tahoma", 0, 16));
        jLabel2.setText("Nome");

        jLabel3.setFont(new java.awt.Font("Tahoma", 0, 16));
        jLabel3.setText("ID");

        jTextField2.setEnabled(false);
        jTextField2.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jTextField2ActionPerformed(evt);
            }
        });

        jPanel3.setBackground(new java.awt.Color(255, 255, 255));
        jPanel3.setBorder(javax.swing.BorderFactory.createTitledBorder("Eventos"));

        jList2.setModel(new javax.swing.AbstractListModel() {
            /**
			 * 
			 */
			private static final long serialVersionUID = 1L;
			String[] strings = { "Item 1", "Item 2", "Item 3", "Item 4", "Item 5" };
            public int getSize() { return strings.length; }
            public Object getElementAt(int i) { return strings[i]; }
        });
        jScrollPane2.setViewportView(jList2);

        javax.swing.GroupLayout jPanel3Layout = new javax.swing.GroupLayout(jPanel3);
        jPanel3.setLayout(jPanel3Layout);
        jPanel3Layout.setHorizontalGroup(
            jPanel3Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanel3Layout.createSequentialGroup()
                .addGap(4, 4, 4)
                .addComponent(jScrollPane2, javax.swing.GroupLayout.PREFERRED_SIZE, 320, javax.swing.GroupLayout.PREFERRED_SIZE))
        );
        jPanel3Layout.setVerticalGroup(
            jPanel3Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addComponent(jScrollPane2, javax.swing.GroupLayout.PREFERRED_SIZE, 140, javax.swing.GroupLayout.PREFERRED_SIZE)
        );

        jLabel4.setIcon(new javax.swing.ImageIcon(getClass().getResource("/images/lupa.PNG"))); // NOI18N
        jLabel4.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                jLabel4MouseClicked(evt);
            }
        });

        jLabel10.setIcon(new javax.swing.ImageIcon(getClass().getResource("/images/lupa.PNG"))); // NOI18N
        jLabel10.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                jLabel10MouseClicked(evt);
            }
        });

        jLabel5.setIcon(new javax.swing.ImageIcon(getClass().getResource("/images/adicionarEvento.PNG"))); // NOI18N
        jLabel5.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseEntered(java.awt.event.MouseEvent evt) {
                jLabel5MouseEntered(evt);
            }
            public void mouseExited(java.awt.event.MouseEvent evt) {
                jLabel5MouseExited(evt);
            }
            public void mousePressed(java.awt.event.MouseEvent evt) {
                jLabel5MousePressed(evt);
            }
            public void mouseReleased(java.awt.event.MouseEvent evt) {
                jLabel5MouseReleased(evt);
            }
        });

        jLabel6.setIcon(new javax.swing.ImageIcon(getClass().getResource("/images/removerEvento.PNG"))); // NOI18N
        jLabel6.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseEntered(java.awt.event.MouseEvent evt) {
                jLabel6MouseEntered(evt);
            }
            public void mouseExited(java.awt.event.MouseEvent evt) {
                jLabel6MouseExited(evt);
            }
            public void mousePressed(java.awt.event.MouseEvent evt) {
                jLabel6MousePressed(evt);
            }
            public void mouseReleased(java.awt.event.MouseEvent evt) {
                jLabel6MouseReleased(evt);
            }
        });

        jLabel7.setIcon(new javax.swing.ImageIcon(getClass().getResource("/images/alterarEvento.PNG"))); // NOI18N
        jLabel7.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseEntered(java.awt.event.MouseEvent evt) {
                jLabel7MouseEntered(evt);
            }
            public void mouseExited(java.awt.event.MouseEvent evt) {
                jLabel7MouseExited(evt);
            }
            public void mousePressed(java.awt.event.MouseEvent evt) {
                jLabel7MousePressed(evt);
            }
            public void mouseReleased(java.awt.event.MouseEvent evt) {
                jLabel7MouseReleased(evt);
            }
        });

        javax.swing.GroupLayout jPanel2Layout = new javax.swing.GroupLayout(jPanel2);
        jPanel2.setLayout(jPanel2Layout);
        jPanel2Layout.setHorizontalGroup(
            jPanel2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanel2Layout.createSequentialGroup()
                .addGap(34, 34, 34)
                .addGroup(jPanel2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addGroup(jPanel2Layout.createSequentialGroup()
                        .addGroup(jPanel2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                            .addGroup(jPanel2Layout.createSequentialGroup()
                                .addGroup(jPanel2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                                    .addComponent(jRadioButton1)
                                    .addComponent(jRadioButton2))
                                .addGap(9, 9, 9)
                                .addGroup(jPanel2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                                    .addComponent(jLabel2)
                                    .addComponent(jLabel3))
                                .addGap(8, 8, 8)
                                .addGroup(jPanel2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                                    .addComponent(jTextField1, javax.swing.GroupLayout.PREFERRED_SIZE, 210, javax.swing.GroupLayout.PREFERRED_SIZE)
                                    .addComponent(jTextField2, javax.swing.GroupLayout.PREFERRED_SIZE, 210, javax.swing.GroupLayout.PREFERRED_SIZE))
                                .addGap(20, 20, 20)
                                .addGroup(jPanel2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                                    .addComponent(jLabel10)
                                    .addComponent(jLabel4)))
                            .addComponent(jPanel3, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                        .addContainerGap())
                    .addGroup(jPanel2Layout.createSequentialGroup()
                        .addComponent(jLabel5)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED, 68, Short.MAX_VALUE)
                        .addComponent(jLabel6)
                        .addGap(68, 68, 68)
                        .addComponent(jLabel7)
                        .addGap(1, 1, 1))))
        );
        jPanel2Layout.setVerticalGroup(
            jPanel2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanel2Layout.createSequentialGroup()
                .addGap(30, 30, 30)
                .addGroup(jPanel2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addComponent(jRadioButton1)
                    .addComponent(jLabel2)
                    .addComponent(jTextField1, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(jLabel4))
                .addGroup(jPanel2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addGroup(jPanel2Layout.createSequentialGroup()
                        .addGap(7, 7, 7)
                        .addGroup(jPanel2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                            .addComponent(jRadioButton2)
                            .addComponent(jLabel3)))
                    .addGroup(jPanel2Layout.createSequentialGroup()
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addGroup(jPanel2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                            .addComponent(jTextField2, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                            .addComponent(jLabel10))))
                .addGap(8, 8, 8)
                .addComponent(jPanel3, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addGap(26, 26, 26)
                .addGroup(jPanel2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.TRAILING)
                    .addComponent(jLabel7)
                    .addComponent(jLabel6)
                    .addComponent(jLabel5))
                .addGap(31, 31, 31))
        );

        jLabel8.setIcon(new javax.swing.ImageIcon(getClass().getResource("/images/sair.JPG"))); // NOI18N
        jLabel8.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseEntered(java.awt.event.MouseEvent evt) {
                jLabel8MouseEntered(evt);
            }
            public void mouseExited(java.awt.event.MouseEvent evt) {
                jLabel8MouseExited(evt);
            }
            public void mousePressed(java.awt.event.MouseEvent evt) {
                jLabel8MousePressed(evt);
            }
            public void mouseReleased(java.awt.event.MouseEvent evt) {
                jLabel8MouseReleased(evt);
            }
        });

        jLabel9.setIcon(new javax.swing.ImageIcon(getClass().getResource("/images/voltar.JPG"))); // NOI18N
        jLabel9.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseEntered(java.awt.event.MouseEvent evt) {
                jLabel9MouseEntered(evt);
            }
            public void mouseExited(java.awt.event.MouseEvent evt) {
                jLabel9MouseExited(evt);
            }
            public void mousePressed(java.awt.event.MouseEvent evt) {
                jLabel9MousePressed(evt);
            }
            public void mouseReleased(java.awt.event.MouseEvent evt) {
                jLabel9MouseReleased(evt);
            }
        });

        javax.swing.GroupLayout jPanel1Layout = new javax.swing.GroupLayout(jPanel1);
        jPanel1.setLayout(jPanel1Layout);
        jPanel1Layout.setHorizontalGroup(
            jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanel1Layout.createSequentialGroup()
                .addGap(192, 192, 192)
                .addComponent(jLabel1)
                .addContainerGap(193, Short.MAX_VALUE))
            .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, jPanel1Layout.createSequentialGroup()
                .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.TRAILING)
                    .addGroup(jPanel1Layout.createSequentialGroup()
                        .addContainerGap()
                        .addComponent(jPanel2, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                    .addGroup(jPanel1Layout.createSequentialGroup()
                        .addGap(56, 56, 56)
                        .addComponent(jLabel9)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED, 297, Short.MAX_VALUE)
                        .addComponent(jLabel8)))
                .addGap(47, 47, 47))
        );
        jPanel1Layout.setVerticalGroup(
            jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanel1Layout.createSequentialGroup()
                .addContainerGap()
                .addComponent(jLabel1)
                .addGap(27, 27, 27)
                .addComponent(jPanel2, javax.swing.GroupLayout.PREFERRED_SIZE, 380, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addGap(38, 38, 38)
                .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.TRAILING)
                    .addComponent(jLabel8)
                    .addComponent(jLabel9))
                .addContainerGap(49, Short.MAX_VALUE))
        );

        javax.swing.GroupLayout layout = new javax.swing.GroupLayout(getContentPane());
        getContentPane().setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addComponent(jPanel1, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addComponent(jPanel1, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
        );

        pack();
    }// </editor-fold>//GEN-END:initComponents

private void jLabel5MouseEntered(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel5MouseEntered
this.jLabel5.setIcon(adicionarEventoPress);
}//GEN-LAST:event_jLabel5MouseEntered

private void jLabel5MouseExited(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel5MouseExited
this.jLabel5.setIcon(adicionarEvento);
}//GEN-LAST:event_jLabel5MouseExited

private void jLabel6MouseEntered(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel6MouseEntered
this.jLabel6.setIcon(removerEventoPress);
}//GEN-LAST:event_jLabel6MouseEntered

private void jLabel6MouseExited(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel6MouseExited
this.jLabel6.setIcon(removerEvento);
}//GEN-LAST:event_jLabel6MouseExited

private void jLabel7MouseEntered(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel7MouseEntered
this.jLabel7.setIcon(alterarEventoPress);
}//GEN-LAST:event_jLabel7MouseEntered

private void jLabel7MouseExited(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel7MouseExited
this.jLabel7.setIcon(alterarEvento);
}//GEN-LAST:event_jLabel7MouseExited

private void jRadioButton1ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jRadioButton1ActionPerformed
if (this.jRadioButton1.isSelected()) {
        this.jTextField1.setEnabled(true);
        this.jTextField2.setEnabled(false);
    }
}//GEN-LAST:event_jRadioButton1ActionPerformed

private void jRadioButton2ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jRadioButton2ActionPerformed
if (this.jRadioButton2.isSelected()) {
        this.jTextField1.setEnabled(false);
        this.jTextField2.setEnabled(true);
    }
}//GEN-LAST:event_jRadioButton2ActionPerformed

private void jTextField2ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jTextField2ActionPerformed
	
}//GEN-LAST:event_jTextField2ActionPerformed

private void jLabel8MouseEntered(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel8MouseEntered
this.jLabel8.setIcon(sairPress);
}//GEN-LAST:event_jLabel8MouseEntered

private void jLabel8MouseExited(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel8MouseExited
this.jLabel8.setIcon(sair);
}//GEN-LAST:event_jLabel8MouseExited

private void jLabel9MouseEntered(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel9MouseEntered
    this.jLabel9.setLocation(this.jLabel9.getX() - 5, this.jLabel9.getY());
}//GEN-LAST:event_jLabel9MouseEntered

private void jLabel9MouseExited(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel9MouseExited
    this.jLabel9.setLocation(this.jLabel9.getX() + 5, this.jLabel9.getY());
}//GEN-LAST:event_jLabel9MouseExited

private void jLabel9MousePressed(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel9MousePressed
    this.jLabel9.setIcon(voltarPress);
}//GEN-LAST:event_jLabel9MousePressed

private void jLabel9MouseReleased(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel9MouseReleased
    this.jLabel9.setIcon(voltar);
    this.setVisible(false);
    this.telaPrincipal.setVisible(true);
}//GEN-LAST:event_jLabel9MouseReleased

private void jLabel5MousePressed(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel5MousePressed

}//GEN-LAST:event_jLabel5MousePressed

private void jLabel5MouseReleased(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel5MouseReleased
	jList2.setModel(new javax.swing.AbstractListModel() {
		/**
		 * 
		 */
		private static final long serialVersionUID = 1L;
		String[] strings = {""};
		public int getSize() { return strings.length; }
		public Object getElementAt(int i) { return strings[i]; }
	});
	TelaCadastroEvento telaCadastroEvento = new TelaCadastroEvento(this.fachada,this);
	telaCadastroEvento.cadastroEvento();
	this.setVisible(false);
	telaCadastroEvento.setVisible(true);
}//GEN-LAST:event_jLabel5MouseReleased

private void jLabel6MousePressed(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel6MousePressed

}//GEN-LAST:event_jLabel6MousePressed

private void jLabel6MouseReleased(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel6MouseReleased
this.jLabel6.setIcon(this.removerEvento);
	String id = "";
	int i = 0;
	
	try {
		while( ((String)jList2.getSelectedValue()).charAt(i) != ' ') {
			id = id + ((String)jList2.getSelectedValue()).substring(i, i+1);
			i++;
		}
		this.fachada.removerEvento(Integer.valueOf(id));
		
		new TelaConfirmacao(true, "Evento Removido com sucesso!").setVisible(true);
		
		jList2.setModel(new javax.swing.AbstractListModel() {
			/**
			 * 
			 */
			private static final long serialVersionUID = 1L;
			String[] strings = {""};
			public int getSize() { return strings.length; }
			public Object getElementAt(int i) { return strings[i]; }
		});
		
	} catch (NumberFormatException e) {
		new TelaConfirmacao(false, e.getMessage()).setVisible(true);
	} catch (EventoNaoCadastradoException e) {
		new TelaConfirmacao(false, e.getMessage()).setVisible(true);
	} catch (BancoDeDadosException e) {
		new TelaConfirmacao(false, e.getMessage()).setVisible(true);
	} catch (Exception e) {
		new TelaConfirmacao(false, "Selecione um Evento.").setVisible(true);
	}
	
}//GEN-LAST:event_jLabel6MouseReleased

private void jLabel7MousePressed(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel7MousePressed

}//GEN-LAST:event_jLabel7MousePressed

private void jLabel7MouseReleased(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel7MouseReleased
	String id = "";
	int i = 0;
	
	
	try {
		while( ((String)jList2.getSelectedValue()).charAt(i) != ' ') {
			id = id + ((String)jList2.getSelectedValue()).substring(i, i+1);
			i++;
		}

		Evento evento = this.fachada.consultarEvento(Integer.parseInt(id));
		this.jLabel7.setIcon(this.alterarEvento);
		jList2.setModel(new javax.swing.AbstractListModel() {
			/**
			 * 
			 */
			private static final long serialVersionUID = 1L;
			String[] strings = {""};
			public int getSize() { return strings.length; }
			public Object getElementAt(int i) { return strings[i]; }
		});
		
		TelaAlterarEvento telaAlterarEvento = new TelaAlterarEvento(this.fachada, this);
		telaAlterarEvento.setDadosEventoTxtField(evento);
		this.setVisible(false);
		telaAlterarEvento.setVisible(true);
		
	} catch (NumberFormatException e) {
		new TelaConfirmacao(false, e.getMessage()).setVisible(true);
	} catch (EventoNaoCadastradoException e) {
		new TelaConfirmacao(false, e.getMessage()).setVisible(true);
	} catch (AmbienteNaoCadastradoException e) {
		new TelaConfirmacao(false, e.getMessage()).setVisible(true);
	} catch (BancoDeDadosException e) {
		new TelaConfirmacao(false, e.getMessage()).setVisible(true);
	} catch (NullPointerException e) {
		new TelaConfirmacao(false, "Selecione um evento para alterar").setVisible(true);
	}
	
}//GEN-LAST:event_jLabel7MouseReleased

private void jLabel4MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel4MouseClicked
	if(this.jRadioButton1.isSelected()) {
		String nome = this.jTextField1.getText();
		
		Vector<Evento> e;
		if(!this.jTextField1.getText().equals("")) {
			try {
				e = this.fachada.consultarEventosPeloNome(nome);
				texto = new String[e.size()];
				
				for(int i = 0; i < e.size(); i++) {
					texto[i] =  ""+e.elementAt(i).getId()+ " - Nome: "+ e.elementAt(i).getNome() +
					" - Sala: "+ e.elementAt(i).getAmbiente().getIdAmbiente() + " - Preo: "+ 
					e.elementAt(i).getPreco() + " - Data: " + e.elementAt(i).getData().dataToString() +
					" - Hora: " + e.elementAt(i).getHora().horaToString();
				}
			} catch (BancoDeDadosException e1) {
				new TelaConfirmacao(false, e1.getMessage()).setVisible(true);
			}			
		} else {
			try {
				e = this.fachada.listarEventos();
				texto = new String[e.size()];
				
				for(int i = 0; i < e.size(); i++) {
					texto[i] =  ""+e.elementAt(i).getId()+ " - Nome: "+ e.elementAt(i).getNome() +
					" - Sala: "+ e.elementAt(i).getAmbiente().getIdAmbiente() + " - Preo: "+ 
					e.elementAt(i).getPreco() + " - Data: " + e.elementAt(i).getData().dataToString() +
					" - Hora: " + e.elementAt(i).getHora().horaToString();
				}
			} catch (BancoDeDadosException e1) {
				new TelaConfirmacao(false,e1.getMessage()).setVisible(true);
			}
		}
		
		jList2.setModel(new javax.swing.AbstractListModel() {
			/**
			 * 
			 */
			private static final long serialVersionUID = 1L;
			String[] strings = texto;
			public int getSize() { return strings.length; }
			public Object getElementAt(int i) { return strings[i]; }
		});
	}
}//GEN-LAST:event_jLabel4MouseClicked

private void jLabel10MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel10MouseClicked
	if(this.jRadioButton2.isSelected()) {
		
		String id = this.jTextField2.getText();
				
		Evento e;		
		texto = new String[1];
	
		try {
			e = this.fachada.consultarEvento(Integer.valueOf(id));
			texto[0] =  ""+e.getId()+ " - Nome: "+ e.getNome() + " - Sala: "+ e.getAmbiente().getIdAmbiente() +
				" - Preo: "+ e.getPreco() + " - Data: " + e.getData().dataToString() + " - Hora: " +
				e.getHora().horaToString();
		} catch (NumberFormatException e1) {
			new TelaConfirmacao(false, "Digite um valor no formato correto.").setVisible(true);
		} catch (EventoNaoCadastradoException e1) {
			new TelaConfirmacao(false, e1.getMessage()).setVisible(true);
		} catch (AmbienteNaoCadastradoException e1) {
			new TelaConfirmacao(false, e1.getMessage()).setVisible(true);			
		} catch (BancoDeDadosException e1) {
			new TelaConfirmacao(false, e1.getMessage()).setVisible(true);
		}			
		
	
		jList2.setModel(new javax.swing.AbstractListModel() {
			/**
			 * 
			 */
			private static final long serialVersionUID = 1L;			
			public int getSize() { return texto.length; }
			public Object getElementAt(int i) { return texto[i]; }
		});
	}
}//GEN-LAST:event_jLabel10MouseClicked

private void jLabel8MousePressed(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel8MousePressed

}//GEN-LAST:event_jLabel8MousePressed

private void jLabel8MouseReleased(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel8MouseReleased
	System.exit(1);
}//GEN-LAST:event_jLabel8MouseReleased

    /**
    * @param args the command line arguments
    */
   

    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.ButtonGroup buttonGroup1;
    private javax.swing.JLabel jLabel1;
    private javax.swing.JLabel jLabel10;
    private javax.swing.JLabel jLabel2;
    private javax.swing.JLabel jLabel3;
    private javax.swing.JLabel jLabel4;
    private javax.swing.JLabel jLabel5;
    private javax.swing.JLabel jLabel6;
    private javax.swing.JLabel jLabel7;
    private javax.swing.JLabel jLabel8;
    private javax.swing.JLabel jLabel9;
    private javax.swing.JList jList2;
    private javax.swing.JPanel jPanel1;
    private javax.swing.JPanel jPanel2;
    private javax.swing.JPanel jPanel3;
    private javax.swing.JRadioButton jRadioButton1;
    private javax.swing.JRadioButton jRadioButton2;
    private javax.swing.JScrollPane jScrollPane2;
    private javax.swing.JTextField jTextField1;
    private javax.swing.JTextField jTextField2;
    // End of variables declaration//GEN-END:variables

}
