/*
 * TelaPrincipal.java
 *
 * Created on 14 de Novembro de 2009, 19:44
 */

package gui;

import java.awt.Color;
import java.awt.Cursor;
import java.util.Vector;

import javax.swing.ImageIcon;
import javax.swing.table.TableModel;

import dados.base.Endereco;
import dados.base.Evento;
import dados.base.Funcionario;
import dados.base.Telefone;
import exceptions.BancoDeDadosException;
import exceptions.ControleExcepttion;
import exceptions.FuncionarioJahCadastradoException;
import exceptions.FuncionarioNaoCadastradoException;

import fachada.Fachada;

/**
 *
 * @author  palb
 */
public class TelaPrincipal extends javax.swing.JFrame {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	
	private ImageIcon gerenciamento;
	private ImageIcon gerenciamentoPress;
	private ImageIcon vendas;
	private ImageIcon vendasPress;
	private ImageIcon sair;
	private ImageIcon sairPress;
	private ImageIcon funcionarioPress;
	private ImageIcon funcionario;
	private ImageIcon ambiente;
	private ImageIcon ambientePress;
	private ImageIcon evento;
	private ImageIcon eventoPress;
	private ImageIcon adicionarFuncionario;
	private ImageIcon adicionarFuncionarioLight;
	private ImageIcon adicionarFuncionarioPress;
	private ImageIcon removerFuncionario;
	private ImageIcon removerFuncionarioPress;
	private ImageIcon removerFuncionarioLight;
	private ImageIcon alterarFuncionario;
	private ImageIcon alterarFuncionarioPress;
	private ImageIcon ok;
	private ImageIcon okPress;
	private ImageIcon okLight;
	private ImageIcon escolherAssento;
	private ImageIcon escolherAssento_press;
	private ImageIcon escolherAssento_light;
	private ImageIcon limpar;
	private ImageIcon limparPress;
	private ImageIcon voltar;
	private ImageIcon voltarPress;
	private Fachada fachada;
	private String[] texto;
   

	/** Creates new form TelaPrincipal */
	public TelaPrincipal(Fachada fachada) {        
		initComponents();

		this.setLocationRelativeTo(null);
		this.setSize(489, 611);
		this.init_images();
		this.modifica_labels();  
		this.modifica_textfields();

		this.fachada = fachada;
		
	}
	
	private void modifica_textfields(){
		this.jTextField15.setForeground(new Color(0));
	    this.jTextField16.setForeground(new Color(0));
		 this.jTextField17.setForeground(new Color(0));
		 this.jTextField18.setForeground(new Color(0));
		 this.jTextField19.setForeground(new Color(0));
		 this.jTextField20.setForeground(new Color(0));
		 this.jTextField21.setForeground(new Color(0));
		 this.jTextField22.setForeground(new Color(0));
		 this.jTextField23.setForeground(new Color(0));
		 this.jTextField24.setForeground(new Color(0));
		 this.jTextField25.setForeground(new Color(0));
		 this.jTextField26.setForeground(new Color(0));
	}

	private void init_images() {
		
		this.gerenciamento = new ImageIcon(getClass().getResource("/images/gerenciamento.JPG"));
		this.gerenciamentoPress = new ImageIcon(getClass().getResource("/images/gerenciamento_press.JPG"));
		this.vendas = new ImageIcon(getClass().getResource("/images/vendas.JPG"));
		this.vendasPress = new ImageIcon(getClass().getResource("/images/vendas_press.JPG"));

		this.funcionario = new ImageIcon(getClass().getResource("/images/funcionario.jpg"));
		this.funcionarioPress = new ImageIcon(getClass().getResource("/images/funcionario_press.JPG"));
		this.evento = new ImageIcon(getClass().getResource("/images/evento.JPG"));
		this.eventoPress = new ImageIcon(getClass().getResource("/images/evento_press.JPG"));
		this.ambiente = new ImageIcon(getClass().getResource("/images/ambiente.JPG"));
		this.ambientePress = new ImageIcon(getClass().getResource("/images/ambiente_press.JPG"));

		this.sair = new ImageIcon(getClass().getResource("/images/sair.JPG"));
		this.sairPress = new ImageIcon(getClass().getResource("/images/sair_press.JPG"));

		this.adicionarFuncionario = new ImageIcon(getClass().getResource("/images/adicionarFuncionario.JPG"));
		this.adicionarFuncionarioLight = new ImageIcon(getClass().getResource("/images/adicionarFuncionario_light.JPG"));
		this.adicionarFuncionarioPress = new ImageIcon(getClass().getResource("/images/adicionarFuncionario_light.JPG"));
		this.removerFuncionario = new ImageIcon(getClass().getResource("/images/removerFuncionario.JPG"));
		this.removerFuncionarioPress = new ImageIcon(getClass().getResource("/images/removerFuncionario_light.JPG"));
		this.removerFuncionarioLight = new ImageIcon(getClass().getResource("/images/removerFuncionario_light.JPG"));
		this.alterarFuncionario = new ImageIcon(getClass().getResource("/images/alterarFuncionario.JPG"));
		this.alterarFuncionarioPress = new ImageIcon(getClass().getResource("/images/alterarFuncionario_light.JPG"));

		this.voltar = new ImageIcon(getClass().getResource("/images/voltar.JPG"));
		this.voltarPress = new ImageIcon(getClass().getResource("/images/voltar_press.JPG"));

		this.ok = new ImageIcon(getClass().getResource("/images/ok.JPG"));
		this.okPress = new ImageIcon(getClass().getResource("/images/ok_press.JPG"));
		this.okLight = new ImageIcon(getClass().getResource("/images/ok_light.JPG"));
		this.limpar = new ImageIcon(getClass().getResource("/images/limpar.PNG"));
		this.limparPress = new ImageIcon(getClass().getResource("/images/limpar_press.PNG"));

		this.escolherAssento = new ImageIcon(getClass().getResource("/images/escolherAssento.PNG"));
		this.escolherAssento_press = new ImageIcon(getClass().getResource("/images/escolherAssento_press.PNG"));
		this.escolherAssento_light = new ImageIcon(getClass().getResource("/images/escolherAssento_light.PNG"));
                
              /*  this.adicionarAmbiente = new ImageIcon(getClass().getResource("/images/adicionarAmbiente.PNG"));
                this.adicionarAmbientePress = new ImageIcon(getClass().getResource("/images/adicionarAmbiente_light.PNG"));
                this.removerAmbiente = new ImageIcon(getClass().getResource("/images/removerAmbiente.PNG"));
                this.removerAmbientePress = new ImageIcon(getClass().getResource("/images/removerAmbiente_light.PNG"));
                this.alterarAmbiente = new ImageIcon(getClass().getResource("/images/alterarAmbiente.PNG"));
                this.alterarAmbientePress = new ImageIcon(getClass().getResource("/images/alterarAmbiente_light.PNG"));
				*/
	}
	
	private void modifica_labels() {
		this.jLabel1.setCursor(Cursor.getPredefinedCursor(Cursor.HAND_CURSOR));
		this.jLabel2.setCursor(Cursor.getPredefinedCursor(Cursor.HAND_CURSOR));
		this.jLabel3.setCursor(Cursor.getPredefinedCursor(Cursor.HAND_CURSOR));

		this.jLabel6.setCursor(Cursor.getPredefinedCursor(Cursor.HAND_CURSOR));
		this.jLabel7.setCursor(Cursor.getPredefinedCursor(Cursor.HAND_CURSOR));
		this.jLabel8.setCursor(Cursor.getPredefinedCursor(Cursor.HAND_CURSOR));
		this.jLabel9.setCursor(Cursor.getPredefinedCursor(Cursor.HAND_CURSOR));
		this.jLabel10.setCursor(Cursor.getPredefinedCursor(Cursor.HAND_CURSOR));

		this.jLabel3.setToolTipText("Sair");
		this.jLabel10.setToolTipText("Voltar");
		this.jLabel9.setToolTipText("Sair");

		this.jLabel21.setToolTipText("Buscar por nome");
		this.jLabel21.setCursor(Cursor.getPredefinedCursor(Cursor.HAND_CURSOR));

		this.jLabel16.setToolTipText("Novo Funcionrio");
		this.jLabel16.setCursor(Cursor.getPredefinedCursor(Cursor.HAND_CURSOR));

		this.jLabel17.setToolTipText("Remover Funcionrio");
		this.jLabel17.setCursor(Cursor.getPredefinedCursor(Cursor.HAND_CURSOR));

		this.jLabel18.setToolTipText("Alterar Cadastro");
		this.jLabel18.setCursor(Cursor.getPredefinedCursor(Cursor.HAND_CURSOR));

		this.jLabel15.setToolTipText("Voltar");
		this.jLabel15.setCursor(Cursor.getPredefinedCursor(Cursor.HAND_CURSOR));

		this.jLabel14.setToolTipText("Sair");
		this.jLabel14.setCursor(Cursor.getPredefinedCursor(Cursor.HAND_CURSOR));

		this.jLabel22.setToolTipText("Buscar por CPF");
		this.jLabel22.setCursor(Cursor.getPredefinedCursor(Cursor.HAND_CURSOR));

		this.jLabel39.setToolTipText("Sair");
		this.jLabel38.setToolTipText("Voltar");
		this.jLabel40.setToolTipText("Confirmar");
		this.jLabel24.setToolTipText("Limpar");

		this.jLabel39.setCursor(Cursor.getPredefinedCursor(Cursor.HAND_CURSOR));
		this.jLabel38.setCursor(Cursor.getPredefinedCursor(Cursor.HAND_CURSOR));
		this.jLabel40.setCursor(Cursor.getPredefinedCursor(Cursor.HAND_CURSOR));
		this.jLabel24.setCursor(Cursor.getPredefinedCursor(Cursor.HAND_CURSOR));

		this.jLabel57.setToolTipText("Sair");
		this.jLabel56.setToolTipText("Voltar");
		this.jLabel58.setToolTipText("Confirmar");
		this.jLabel42.setToolTipText("Limpar");

		this.jLabel57.setCursor(Cursor.getPredefinedCursor(Cursor.HAND_CURSOR));
		this.jLabel56.setCursor(Cursor.getPredefinedCursor(Cursor.HAND_CURSOR));
		this.jLabel58.setCursor(Cursor.getPredefinedCursor(Cursor.HAND_CURSOR));
		this.jLabel42.setCursor(Cursor.getPredefinedCursor(Cursor.HAND_CURSOR));

		this.jLabel60.setToolTipText("Voltar");
		this.jLabel61.setToolTipText("Sair");
		this.jLabel62.setToolTipText("Escolher Assento");

		this.jLabel60.setCursor(Cursor.getPredefinedCursor(Cursor.HAND_CURSOR));
		this.jLabel61.setCursor(Cursor.getPredefinedCursor(Cursor.HAND_CURSOR));
		this.jLabel62.setCursor(Cursor.getPredefinedCursor(Cursor.HAND_CURSOR));
               
		/*
		//alterando posicoes
		this.jLabel18.setLocation(this.jLabel18.getX()-2, this.jLabel18.getY()-1);
		this.jLabel17.setLocation(this.jLabel18.getX()-2, this.jLabel18.getY()-1);
		this.jLabel16.setLocation(this.jLabel18.getX()-2, this.jLabel18.getY()-1);
		
		this.jLabel15.setLocation(this.jLabel15.getX()-10, this.jLabel15.getY()-10);
		this.jLabel14.setLocation(this.jLabel14.getX()-10, this.jLabel14.getY()-10);
		*/
	}
	/** This method is called from within the constructor to
	 * initialize the form.
	 * WARNING: Do NOT modify this code. The content of this method is
	 * always regenerated by the Form Editor.
	 */
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {
		
		buttonGroup1 = new javax.swing.ButtonGroup();
        jPanel4 = new javax.swing.JPanel();
        jLabel6 = new javax.swing.JLabel();
        jLabel7 = new javax.swing.JLabel();
        jLabel8 = new javax.swing.JLabel();
        jLabel9 = new javax.swing.JLabel();
        jLabel10 = new javax.swing.JLabel();
        jPanel5 = new javax.swing.JPanel();
        jLabel11 = new javax.swing.JLabel();
        jLabel12 = new javax.swing.JLabel();
        jPanel1 = new javax.swing.JPanel();
        jLabel13 = new javax.swing.JLabel();
        jPanel6 = new javax.swing.JPanel();
        jLabel16 = new javax.swing.JLabel();
        jLabel17 = new javax.swing.JLabel();
        jLabel18 = new javax.swing.JLabel();
        jRadioButton1 = new javax.swing.JRadioButton();
        jRadioButton2 = new javax.swing.JRadioButton();
        jLabel19 = new javax.swing.JLabel();
        jLabel20 = new javax.swing.JLabel();
        jTextField2 = new javax.swing.JTextField();
        jTextField1 = new javax.swing.JTextField();
        jPanel7 = new javax.swing.JPanel();
        jScrollPane2 = new javax.swing.JScrollPane();
        jList2 = new javax.swing.JList();
        jLabel21 = new javax.swing.JLabel();
        jLabel22 = new javax.swing.JLabel();
        jLabel15 = new javax.swing.JLabel();
        jLabel14 = new javax.swing.JLabel();
        jPanel8 = new javax.swing.JPanel();
        jLabel23 = new javax.swing.JLabel();
        jLabel24 = new javax.swing.JLabel();
        jPanel9 = new javax.swing.JPanel();
        jLabel25 = new javax.swing.JLabel();
        jTextField3 = new javax.swing.JTextField();
        jLabel26 = new javax.swing.JLabel();
        jPasswordField1 = new javax.swing.JPasswordField();
        jLabel27 = new javax.swing.JLabel();
        jPasswordField2 = new javax.swing.JPasswordField();
        jLabel28 = new javax.swing.JLabel();
        jTextField4 = new javax.swing.JTextField();
        jLabel29 = new javax.swing.JLabel();
        jTextField5 = new javax.swing.JTextField();
        jLabel30 = new javax.swing.JLabel();
        jTextField6 = new javax.swing.JTextField();
        jTextField7 = new javax.swing.JTextField();
        jLabel31 = new javax.swing.JLabel();
        jLabel32 = new javax.swing.JLabel();
        jLabel33 = new javax.swing.JLabel();
        jLabel34 = new javax.swing.JLabel();
        jLabel35 = new javax.swing.JLabel();
        jTextField8 = new javax.swing.JTextField();
        jTextField13 = new javax.swing.JTextField();
        jTextField9 = new javax.swing.JTextField();
        jLabel36 = new javax.swing.JLabel();
        jLabel37 = new javax.swing.JLabel();
        jTextField10 = new javax.swing.JTextField();
        jTextField11 = new javax.swing.JTextField();
        jTextField12 = new javax.swing.JTextField();
        jTextField14 = new javax.swing.JTextField();
        jLabel38 = new javax.swing.JLabel();
        jLabel39 = new javax.swing.JLabel();
        jLabel40 = new javax.swing.JLabel();
        jPanel10 = new javax.swing.JPanel();
        jLabel41 = new javax.swing.JLabel();
        jLabel42 = new javax.swing.JLabel();
        jPanel11 = new javax.swing.JPanel();
        jLabel43 = new javax.swing.JLabel();
        jTextField15 = new javax.swing.JTextField();
        jLabel44 = new javax.swing.JLabel();
        jPasswordField3 = new javax.swing.JPasswordField();
        jLabel45 = new javax.swing.JLabel();
        jPasswordField4 = new javax.swing.JPasswordField();
        jLabel46 = new javax.swing.JLabel();
        jTextField16 = new javax.swing.JTextField();
        jLabel47 = new javax.swing.JLabel();
        jTextField17 = new javax.swing.JTextField();
        jLabel48 = new javax.swing.JLabel();
        jTextField18 = new javax.swing.JTextField();
        jTextField19 = new javax.swing.JTextField();
        jLabel49 = new javax.swing.JLabel();
        jLabel50 = new javax.swing.JLabel();
        jLabel51 = new javax.swing.JLabel();
        jLabel52 = new javax.swing.JLabel();
        jLabel53 = new javax.swing.JLabel();
        jTextField20 = new javax.swing.JTextField();
        jTextField21 = new javax.swing.JTextField();
        jTextField22 = new javax.swing.JTextField();
        jLabel54 = new javax.swing.JLabel();
        jLabel55 = new javax.swing.JLabel();
        jTextField23 = new javax.swing.JTextField();
        jTextField24 = new javax.swing.JTextField();
        jTextField25 = new javax.swing.JTextField();
        jTextField26 = new javax.swing.JTextField();
        jLabel56 = new javax.swing.JLabel();
        jLabel57 = new javax.swing.JLabel();
        jLabel58 = new javax.swing.JLabel();
        jPanel12 = new javax.swing.JPanel();
        jLabel59 = new javax.swing.JLabel();
        jScrollPane1 = new javax.swing.JScrollPane();
        jTable1 = new javax.swing.JTable();
        jLabel60 = new javax.swing.JLabel();
        jLabel61 = new javax.swing.JLabel();
        jLabel62 = new javax.swing.JLabel();
        jPanel2 = new javax.swing.JPanel();
        jLabel3 = new javax.swing.JLabel();
        jLabel1 = new javax.swing.JLabel();
        jLabel2 = new javax.swing.JLabel();
        jLabel4 = new javax.swing.JLabel();
        jPanel3 = new javax.swing.JPanel();
        jLabel5 = new javax.swing.JLabel();

        jPanel4.setBackground(new java.awt.Color(255, 255, 255));

        jLabel6.setIcon(new javax.swing.ImageIcon(getClass().getResource("/images/funcionario.jpg"))); // NOI18N
        jLabel6.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseEntered(java.awt.event.MouseEvent evt) {
                jLabel6MouseEntered(evt);
            }
            public void mouseExited(java.awt.event.MouseEvent evt) {
                jLabel6MouseExited(evt);
            }
            public void mousePressed(java.awt.event.MouseEvent evt) {
                jLabel6MousePressed(evt);
            }
            public void mouseReleased(java.awt.event.MouseEvent evt) {
                jLabel6MouseReleased(evt);
            }
        });

        jLabel7.setIcon(new javax.swing.ImageIcon(getClass().getResource("/images/ambiente.JPG"))); // NOI18N
        jLabel7.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseEntered(java.awt.event.MouseEvent evt) {
                jLabel7MouseEntered(evt);
            }
            public void mouseExited(java.awt.event.MouseEvent evt) {
                jLabel7MouseExited(evt);
            }
            public void mousePressed(java.awt.event.MouseEvent evt) {
                jLabel7MousePressed(evt);
            }
            public void mouseReleased(java.awt.event.MouseEvent evt) {
                jLabel7MouseReleased(evt);
            }
        });

        jLabel8.setIcon(new javax.swing.ImageIcon(getClass().getResource("/images/evento.JPG"))); // NOI18N
        jLabel8.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseEntered(java.awt.event.MouseEvent evt) {
                jLabel8MouseEntered(evt);
            }
            public void mouseExited(java.awt.event.MouseEvent evt) {
                jLabel8MouseExited(evt);
            }
            public void mousePressed(java.awt.event.MouseEvent evt) {
                jLabel8MousePressed(evt);
            }
            public void mouseReleased(java.awt.event.MouseEvent evt) {
                jLabel8MouseReleased(evt);
            }
        });

        jLabel9.setIcon(new javax.swing.ImageIcon(getClass().getResource("/images/sair.JPG"))); // NOI18N
        jLabel9.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseEntered(java.awt.event.MouseEvent evt) {
                jLabel9MouseEntered(evt);
            }
            public void mouseExited(java.awt.event.MouseEvent evt) {
                jLabel9MouseExited(evt);
            }
            public void mousePressed(java.awt.event.MouseEvent evt) {
                jLabel9MousePressed(evt);
            }
            public void mouseReleased(java.awt.event.MouseEvent evt) {
                jLabel9MouseReleased(evt);
            }
        });

        jLabel10.setIcon(new javax.swing.ImageIcon(getClass().getResource("/images/voltar.JPG"))); // NOI18N
        jLabel10.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseEntered(java.awt.event.MouseEvent evt) {
                jLabel10MouseEntered(evt);
            }
            public void mouseExited(java.awt.event.MouseEvent evt) {
                jLabel10MouseExited(evt);
            }
            public void mousePressed(java.awt.event.MouseEvent evt) {
                jLabel10MousePressed(evt);
            }
            public void mouseReleased(java.awt.event.MouseEvent evt) {
                jLabel10MouseReleased(evt);
            }
        });

        jPanel5.setBackground(new java.awt.Color(255, 255, 255));
        jPanel5.setBorder(javax.swing.BorderFactory.createTitledBorder("Descrio"));

        jLabel11.setText("<html>Passe o mouse sobre os botes para ver a descrio.</html>");
        jLabel11.setVerticalAlignment(javax.swing.SwingConstants.TOP);

        javax.swing.GroupLayout jPanel5Layout = new javax.swing.GroupLayout(jPanel5);
        jPanel5.setLayout(jPanel5Layout);
        jPanel5Layout.setHorizontalGroup(
            jPanel5Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addComponent(jLabel11, javax.swing.GroupLayout.DEFAULT_SIZE, 155, Short.MAX_VALUE)
        );
        jPanel5Layout.setVerticalGroup(
            jPanel5Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanel5Layout.createSequentialGroup()
                .addComponent(jLabel11, javax.swing.GroupLayout.PREFERRED_SIZE, 199, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addContainerGap(34, Short.MAX_VALUE))
        );

        jLabel12.setIcon(new javax.swing.ImageIcon(getClass().getResource("/images/logo.PNG"))); // NOI18N
        jLabel12.setVerticalAlignment(javax.swing.SwingConstants.TOP);

        javax.swing.GroupLayout jPanel4Layout = new javax.swing.GroupLayout(jPanel4);
        jPanel4.setLayout(jPanel4Layout);
        jPanel4Layout.setHorizontalGroup(
            jPanel4Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, jPanel4Layout.createSequentialGroup()
                .addGroup(jPanel4Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.TRAILING)
                    .addGroup(jPanel4Layout.createSequentialGroup()
                        .addGap(35, 35, 35)
                        .addGroup(jPanel4Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.TRAILING)
                            .addComponent(jLabel7)
                            .addComponent(jLabel6)
                            .addComponent(jLabel8))
                        .addGap(31, 31, 31)
                        .addComponent(jPanel5, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                    .addGroup(jPanel4Layout.createSequentialGroup()
                        .addGap(36, 36, 36)
                        .addComponent(jLabel10)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED, 333, Short.MAX_VALUE)
                        .addComponent(jLabel9)))
                .addGap(31, 31, 31))
            .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, jPanel4Layout.createSequentialGroup()
                .addContainerGap(195, Short.MAX_VALUE)
                .addComponent(jLabel12)
                .addGap(190, 190, 190))
        );
        jPanel4Layout.setVerticalGroup(
            jPanel4Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanel4Layout.createSequentialGroup()
                .addContainerGap()
                .addComponent(jLabel12)
                .addGap(70, 70, 70)
                .addGroup(jPanel4Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING, false)
                    .addGroup(jPanel4Layout.createSequentialGroup()
                        .addComponent(jLabel6)
                        .addGap(42, 42, 42)
                        .addComponent(jLabel7)
                        .addGap(43, 43, 43)
                        .addComponent(jLabel8))
                    .addComponent(jPanel5, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
                .addGap(121, 121, 121)
                .addGroup(jPanel4Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.TRAILING)
                    .addComponent(jLabel9)
                    .addComponent(jLabel10))
                .addGap(44, 44, 44))
        );

        jPanel1.setBackground(new java.awt.Color(255, 255, 255));
        jPanel1.setSize(498, 611);

        jLabel13.setIcon(new javax.swing.ImageIcon(getClass().getResource("/images/logo.PNG"))); // NOI18N

        jPanel6.setBackground(new java.awt.Color(255, 255, 255));

        jLabel16.setIcon(new javax.swing.ImageIcon(getClass().getResource("/images/adicionarFuncionario.JPG"))); // NOI18N
        jLabel16.setLocation(jLabel16.getX() - 20, jLabel16.getY() + 20);
        jLabel16.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseEntered(java.awt.event.MouseEvent evt) {
                jLabel16MouseEntered(evt);
            }
            public void mouseExited(java.awt.event.MouseEvent evt) {
                jLabel16MouseExited(evt);
            }
            public void mousePressed(java.awt.event.MouseEvent evt) {
                jLabel16MousePressed(evt);
            }
            public void mouseReleased(java.awt.event.MouseEvent evt) {
                jLabel16MouseReleased(evt);
            }
        });

        jLabel17.setIcon(new javax.swing.ImageIcon(getClass().getResource("/images/removerFuncionario.JPG"))); // NOI18N
        jLabel17.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseEntered(java.awt.event.MouseEvent evt) {
                jLabel17MouseEntered(evt);
            }
            public void mouseExited(java.awt.event.MouseEvent evt) {
                jLabel17MouseExited(evt);
            }
            public void mousePressed(java.awt.event.MouseEvent evt) {
                jLabel17MousePressed(evt);
            }
            public void mouseReleased(java.awt.event.MouseEvent evt) {
                jLabel17MouseReleased(evt);
            }
        });

        jLabel18.setIcon(new javax.swing.ImageIcon(getClass().getResource("/images/alterarFuncionario.JPG"))); // NOI18N
        jLabel18.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseEntered(java.awt.event.MouseEvent evt) {
                jLabel18MouseEntered(evt);
            }
            public void mouseExited(java.awt.event.MouseEvent evt) {
                jLabel18MouseExited(evt);
            }
            public void mousePressed(java.awt.event.MouseEvent evt) {
                jLabel18MousePressed(evt);
            }
            public void mouseReleased(java.awt.event.MouseEvent evt) {
                jLabel18MouseReleased(evt);
            }
        });

        jRadioButton1.setBackground(new java.awt.Color(255, 255, 255));
        buttonGroup1.add(jRadioButton1);
        jRadioButton1.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jRadioButton1ActionPerformed(evt);
            }
        });

        jRadioButton2.setBackground(new java.awt.Color(255, 255, 255));
        buttonGroup1.add(jRadioButton2);
        jRadioButton2.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jRadioButton2ActionPerformed(evt);
            }
        });

        jLabel19.setFont(new java.awt.Font("Tahoma", 0, 16));
        jLabel19.setText("Nome");

        jLabel20.setFont(new java.awt.Font("Tahoma", 0, 16));
        jLabel20.setText("CPF");

        jPanel7.setBackground(new java.awt.Color(255, 255, 255));
        jPanel7.setBorder(javax.swing.BorderFactory.createTitledBorder("Funcionrios"));
        
        
        
        jList2.setModel(new javax.swing.AbstractListModel() {
            /**
			 * 
			 */
			private static final long serialVersionUID = 1L;
			String[] strings = { " " };
            public int getSize() { return strings.length; }
            public Object getElementAt(int i) { return strings[i]; }
        });
        jScrollPane2.setViewportView(jList2);

        javax.swing.GroupLayout jPanel7Layout = new javax.swing.GroupLayout(jPanel7);
        jPanel7.setLayout(jPanel7Layout);
        jPanel7Layout.setHorizontalGroup(
            jPanel7Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanel7Layout.createSequentialGroup()
                .addContainerGap()
                .addComponent(jScrollPane2, javax.swing.GroupLayout.PREFERRED_SIZE, 337, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addContainerGap(27, Short.MAX_VALUE))
        );
        jPanel7Layout.setVerticalGroup(
            jPanel7Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanel7Layout.createSequentialGroup()
                .addComponent(jScrollPane2, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addContainerGap(27, Short.MAX_VALUE))
        );

        jLabel21.setIcon(new javax.swing.ImageIcon(getClass().getResource("/images/lupa.PNG"))); // NOI18N
        jLabel21.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                jLabel21MouseReleased(evt);
            }
        });

        jLabel22.setIcon(new javax.swing.ImageIcon(getClass().getResource("/images/lupa.PNG"))); // NOI18N
        jLabel22.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                jLabel22MouseReleased(evt);
            }
        });
        
        javax.swing.GroupLayout jPanel6Layout = new javax.swing.GroupLayout(jPanel6);
        jPanel6.setLayout(jPanel6Layout);
        jPanel6Layout.setHorizontalGroup(
            jPanel6Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanel6Layout.createSequentialGroup()
                .addGap(37, 37, 37)
                .addGroup(jPanel6Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addGroup(jPanel6Layout.createSequentialGroup()
                        .addGroup(jPanel6Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING, false)
                            .addGroup(jPanel6Layout.createSequentialGroup()
                                .addGroup(jPanel6Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.TRAILING)
                                    .addComponent(jRadioButton2)
                                    .addComponent(jRadioButton1))
                                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                                .addGroup(jPanel6Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                                    .addComponent(jLabel19)
                                    .addComponent(jLabel20))
                                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                                .addGroup(jPanel6Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING, false)
                                    .addComponent(jTextField1)
                                    .addComponent(jTextField2, javax.swing.GroupLayout.DEFAULT_SIZE, 293, Short.MAX_VALUE))
                                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                                .addGroup(jPanel6Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                                    .addComponent(jLabel22)
                                    .addComponent(jLabel21)))
                            .addComponent(jPanel7, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
                        .addContainerGap(22, Short.MAX_VALUE))
                    .addGroup(jPanel6Layout.createSequentialGroup()
                        .addComponent(jLabel16)
                        .addGap(51, 51, 51)
                        .addComponent(jLabel17)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED, 58, Short.MAX_VALUE)
                        .addComponent(jLabel18)
                        .addGap(41, 41, 41))))
        );
        jPanel6Layout.setVerticalGroup(
            jPanel6Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanel6Layout.createSequentialGroup()
                .addContainerGap(14, Short.MAX_VALUE)
                .addGroup(jPanel6Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addGroup(jPanel6Layout.createSequentialGroup()
                        .addComponent(jRadioButton1)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(jRadioButton2))
                    .addGroup(jPanel6Layout.createSequentialGroup()
                        .addGroup(jPanel6Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                            .addGroup(jPanel6Layout.createSequentialGroup()
                                .addGap(1, 1, 1)
                                .addGroup(jPanel6Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                                    .addComponent(jLabel19)
                                    .addComponent(jTextField1, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)))
                            .addComponent(jLabel21))
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addGroup(jPanel6Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                            .addComponent(jLabel22)
                            .addGroup(jPanel6Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                                .addComponent(jLabel20)
                                .addComponent(jTextField2, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)))))
                .addGap(8, 8, 8)
                .addComponent(jPanel7, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addGap(13, 13, 13)
                .addGroup(jPanel6Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.TRAILING)
                    .addComponent(jLabel16)
                    .addComponent(jLabel18)
                    .addComponent(jLabel17)))
        );

        jLabel15.setIcon(new javax.swing.ImageIcon(getClass().getResource("/images/voltar.JPG"))); // NOI18N
        jLabel15.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseEntered(java.awt.event.MouseEvent evt) {
                jLabel15MouseEntered(evt);
            }
            public void mouseExited(java.awt.event.MouseEvent evt) {
                jLabel15MouseExited(evt);
            }
            public void mousePressed(java.awt.event.MouseEvent evt) {
                jLabel15MousePressed(evt);
            }
            public void mouseReleased(java.awt.event.MouseEvent evt) {
                jLabel15MouseReleased(evt);
            }
        });

        jLabel14.setIcon(new javax.swing.ImageIcon(getClass().getResource("/images/sair.JPG"))); // NOI18N
        
        jLabel14.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseEntered(java.awt.event.MouseEvent evt) {
                jLabel14MouseEntered(evt);
            }
            public void mouseExited(java.awt.event.MouseEvent evt) {
                jLabel14MouseExited(evt);
            }
            public void mousePressed(java.awt.event.MouseEvent evt) {
                jLabel14MousePressed(evt);
            }
            public void mouseReleased(java.awt.event.MouseEvent evt) {
                jLabel14MouseReleased(evt);
            }
        });

        javax.swing.GroupLayout jPanel1Layout = new javax.swing.GroupLayout(jPanel1);
        jPanel1.setLayout(jPanel1Layout);
        jPanel1Layout.setHorizontalGroup(
            jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, jPanel1Layout.createSequentialGroup()
                .addContainerGap(194, Short.MAX_VALUE)
                .addComponent(jLabel13)
                .addGap(180, 180, 180))
            .addGroup(jPanel1Layout.createSequentialGroup()
                .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.TRAILING, false)
                    .addGroup(jPanel1Layout.createSequentialGroup()
                        .addGap(35, 35, 35)
                        .addComponent(jLabel15)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                        .addComponent(jLabel14))
                    .addGroup(javax.swing.GroupLayout.Alignment.LEADING, jPanel1Layout.createSequentialGroup()
                        .addGap(0,0, 0)
                        .addComponent(jPanel6, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)))
                .addContainerGap(100, Short.MAX_VALUE))
        );
        
        jPanel1Layout.setVerticalGroup(
            jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanel1Layout.createSequentialGroup()
                .addContainerGap()
                .addComponent(jLabel13)
                .addGap(32, 32, 32)
                .addComponent(jPanel6, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addGap(33, 33, 33)
                .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.TRAILING)
                    .addComponent(jLabel14)
                    .addComponent(jLabel15))
                .addGap(0, 0, 0))
        );

        jPanel8.setBackground(new java.awt.Color(255, 255, 255));

        jLabel23.setIcon(new javax.swing.ImageIcon(getClass().getResource("/images/logo.PNG"))); // NOI18N

        jLabel24.setIcon(new javax.swing.ImageIcon(getClass().getResource("/images/limpar.PNG"))); // NOI18N
        jLabel24.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseEntered(java.awt.event.MouseEvent evt) {
                jLabel24MouseEntered(evt);
            }
            public void mouseExited(java.awt.event.MouseEvent evt) {
                jLabel24MouseExited(evt);
            }
            public void mousePressed(java.awt.event.MouseEvent evt) {
                jLabel24MousePressed(evt);
            }
            public void mouseReleased(java.awt.event.MouseEvent evt) {
                jLabel24MouseReleased(evt);
            }
        });

        jPanel9.setBackground(new java.awt.Color(255, 255, 255));
        jPanel9.setBorder(javax.swing.BorderFactory.createTitledBorder("Novo Cadastro"));

        jLabel25.setFont(new java.awt.Font("Tahoma", 0, 16));
        jLabel25.setText("Nome");

        jTextField3.setForeground(new java.awt.Color(0));

        jLabel26.setFont(new java.awt.Font("Tahoma", 0, 16));
        jLabel26.setText("Senha");

        jLabel27.setFont(new java.awt.Font("Tahoma", 0, 16));
        jLabel27.setText("Confirmao");

        jLabel28.setFont(new java.awt.Font("Tahoma", 0, 16));
        jLabel28.setText("CPF");

        jTextField4.setForeground(new java.awt.Color(0));

        jLabel29.setFont(new java.awt.Font("Tahoma", 0, 16));
        jLabel29.setText("E-mail");

        jTextField5.setForeground(new java.awt.Color(0));

        jLabel30.setFont(new java.awt.Font("Tahoma", 0, 16));
        jLabel30.setText("Telefone");

        jTextField6.setForeground(new java.awt.Color(0));

        jTextField7.setForeground(new java.awt.Color(0));
        jTextField7.setHorizontalAlignment(javax.swing.JTextField.CENTER);

        jLabel31.setFont(new java.awt.Font("Tahoma", 0, 16));
        jLabel31.setText("UF");

        jLabel32.setFont(new java.awt.Font("Tahoma", 0, 16));
        jLabel32.setText("Nmero");

        jLabel33.setFont(new java.awt.Font("Tahoma", 0, 16));
        jLabel33.setText("Bairro");

        jLabel34.setFont(new java.awt.Font("Tahoma", 0, 16));
        jLabel34.setText("CEP");

        jLabel35.setFont(new java.awt.Font("Tahoma", 0, 16));
        jLabel35.setText("Complemento");

        jTextField8.setForeground(new java.awt.Color(0));

        jTextField13.setForeground(new java.awt.Color(0));

        jTextField9.setForeground(new java.awt.Color(0));

        jLabel36.setFont(new java.awt.Font("Tahoma", 0, 16));
        jLabel36.setText("Logradouro");

        jLabel37.setFont(new java.awt.Font("Tahoma", 0, 16));
        jLabel37.setText("Cidade");

        jTextField10.setForeground(new java.awt.Color(0));

        jTextField11.setForeground(new java.awt.Color(0));

        jTextField12.setForeground(new java.awt.Color(0));

        jTextField14.setForeground(new java.awt.Color(0));

        javax.swing.GroupLayout jPanel9Layout = new javax.swing.GroupLayout(jPanel9);
        jPanel9.setLayout(jPanel9Layout);
        jPanel9Layout.setHorizontalGroup(
            jPanel9Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanel9Layout.createSequentialGroup()
                .addContainerGap()
                .addGroup(jPanel9Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addComponent(jLabel25, javax.swing.GroupLayout.Alignment.TRAILING)
                    .addComponent(jLabel26, javax.swing.GroupLayout.Alignment.TRAILING)
                    .addComponent(jLabel27, javax.swing.GroupLayout.Alignment.TRAILING)
                    .addComponent(jLabel28, javax.swing.GroupLayout.Alignment.TRAILING)
                    .addComponent(jLabel29, javax.swing.GroupLayout.Alignment.TRAILING)
                    .addComponent(jLabel30, javax.swing.GroupLayout.Alignment.TRAILING)
                    .addComponent(jLabel31, javax.swing.GroupLayout.Alignment.TRAILING)
                    .addComponent(jLabel36, javax.swing.GroupLayout.Alignment.TRAILING)
                    .addComponent(jLabel32, javax.swing.GroupLayout.Alignment.TRAILING)
                    .addComponent(jLabel33, javax.swing.GroupLayout.Alignment.TRAILING))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addGroup(jPanel9Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING, false)
                    .addGroup(jPanel9Layout.createSequentialGroup()
                        .addComponent(jTextField9, javax.swing.GroupLayout.PREFERRED_SIZE, 50, javax.swing.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(jLabel35)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(jTextField14))
                    .addGroup(jPanel9Layout.createSequentialGroup()
                        .addComponent(jTextField10, javax.swing.GroupLayout.PREFERRED_SIZE, 104, javax.swing.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(jLabel34)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(jTextField13))
                    .addComponent(jTextField11)
                    .addGroup(jPanel9Layout.createSequentialGroup()
                        .addComponent(jTextField12, javax.swing.GroupLayout.PREFERRED_SIZE, 27, javax.swing.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(jLabel37)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(jTextField8))
                    .addComponent(jPasswordField2)
                    .addComponent(jPasswordField1)
                    .addGroup(jPanel9Layout.createSequentialGroup()
                        .addComponent(jTextField6, javax.swing.GroupLayout.PREFERRED_SIZE, 35, javax.swing.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(jTextField7, javax.swing.GroupLayout.PREFERRED_SIZE, 76, javax.swing.GroupLayout.PREFERRED_SIZE))
                    .addComponent(jTextField4)
                    .addComponent(jTextField5, javax.swing.GroupLayout.DEFAULT_SIZE, 255, Short.MAX_VALUE)
                    .addComponent(jTextField3, javax.swing.GroupLayout.PREFERRED_SIZE, 254, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addContainerGap(30, Short.MAX_VALUE))
        );
        jPanel9Layout.setVerticalGroup(
            jPanel9Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanel9Layout.createSequentialGroup()
                .addGap(19, 19, 19)
                .addGroup(jPanel9Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addGroup(jPanel9Layout.createSequentialGroup()
                        .addComponent(jLabel25)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(jLabel26)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(jLabel27)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(jLabel28)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(jLabel29)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(jLabel30))
                    .addGroup(jPanel9Layout.createSequentialGroup()
                        .addComponent(jTextField3, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(jPasswordField1, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(jPasswordField2, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(jTextField4, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(jTextField5, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addGroup(jPanel9Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                            .addComponent(jTextField6, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                            .addComponent(jTextField7, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addGroup(jPanel9Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jLabel31)
                    .addComponent(jTextField12, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(jLabel37)
                    .addComponent(jTextField8, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addGroup(jPanel9Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jLabel36)
                    .addComponent(jTextField11, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addGroup(jPanel9Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jLabel32)
                    .addComponent(jLabel35)
                    .addComponent(jTextField14, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(jTextField9, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addGroup(jPanel9Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jLabel33)
                    .addComponent(jLabel34)
                    .addComponent(jTextField10, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(jTextField13, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addContainerGap(javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
        );

        jLabel38.setIcon(new javax.swing.ImageIcon(getClass().getResource("/images/voltar.JPG"))); // NOI18N
        jLabel38.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseEntered(java.awt.event.MouseEvent evt) {
                jLabel38MouseEntered(evt);
            }
            public void mouseExited(java.awt.event.MouseEvent evt) {
                jLabel38MouseExited(evt);
            }
            public void mousePressed(java.awt.event.MouseEvent evt) {
                jLabel38MousePressed(evt);
            }
            public void mouseReleased(java.awt.event.MouseEvent evt) {
                jLabel38MouseReleased(evt);
            }
        });

        jLabel39.setIcon(new javax.swing.ImageIcon(getClass().getResource("/images/sair.JPG"))); // NOI18N
        jLabel39.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseEntered(java.awt.event.MouseEvent evt) {
                jLabel39MouseEntered(evt);
            }
            public void mouseExited(java.awt.event.MouseEvent evt) {
                jLabel39MouseExited(evt);
            }
            public void mousePressed(java.awt.event.MouseEvent evt) {
                jLabel39MousePressed(evt);
            }
            public void mouseReleased(java.awt.event.MouseEvent evt) {
                jLabel39MouseReleased(evt);
            }
        });

        jLabel40.setIcon(new javax.swing.ImageIcon(getClass().getResource("/images/ok.JPG"))); // NOI18N
        jLabel40.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseEntered(java.awt.event.MouseEvent evt) {
                jLabel40MouseEntered(evt);
            }
            public void mouseExited(java.awt.event.MouseEvent evt) {
                jLabel40MouseExited(evt);
            }
            public void mousePressed(java.awt.event.MouseEvent evt) {
                jLabel40MousePressed(evt);
            }
            public void mouseReleased(java.awt.event.MouseEvent evt) {
                jLabel40MouseReleased(evt);
            }
        });

        javax.swing.GroupLayout jPanel8Layout = new javax.swing.GroupLayout(jPanel8);
        jPanel8.setLayout(jPanel8Layout);
        jPanel8Layout.setHorizontalGroup(
            jPanel8Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, jPanel8Layout.createSequentialGroup()
                .addContainerGap(52, Short.MAX_VALUE)
                .addComponent(jPanel9, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addGap(46, 46, 46))
            .addGroup(jPanel8Layout.createSequentialGroup()
                .addGap(34, 34, 34)
                .addComponent(jLabel38)
                .addGap(64, 64, 64)
                .addComponent(jLabel24)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED, 94, Short.MAX_VALUE)
                .addComponent(jLabel39)
                .addGap(83, 83, 83)
                .addComponent(jLabel40)
                .addGap(35, 35, 35))
            .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, jPanel8Layout.createSequentialGroup()
                .addContainerGap(195, Short.MAX_VALUE)
                .addComponent(jLabel23)
                .addGap(190, 190, 190))
        );
        jPanel8Layout.setVerticalGroup(
            jPanel8Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanel8Layout.createSequentialGroup()
                .addContainerGap()
                .addComponent(jLabel23)
                .addGap(46, 46, 46)
                .addComponent(jPanel9, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addGap(69, 69, 69)
                .addGroup(jPanel8Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.TRAILING)
                    .addComponent(jLabel38)
                    .addGroup(jPanel8Layout.createSequentialGroup()
                        .addGroup(jPanel8Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.TRAILING)
                            .addComponent(jLabel24)
                            .addGroup(jPanel8Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                                .addComponent(jLabel39)
                                .addComponent(jLabel40)))
                        .addGap(1, 1, 1)))
                .addContainerGap(58, Short.MAX_VALUE))
        );

        jPanel10.setBackground(new java.awt.Color(255, 255, 255));

        jLabel41.setIcon(new javax.swing.ImageIcon(getClass().getResource("/images/logo.PNG"))); // NOI18N

        jLabel42.setIcon(new javax.swing.ImageIcon(getClass().getResource("/images/limpar.PNG"))); // NOI18N
        jLabel42.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseEntered(java.awt.event.MouseEvent evt) {
                jLabel42MouseEntered(evt);
            }
            public void mouseExited(java.awt.event.MouseEvent evt) {
                jLabel42MouseExited(evt);
            }
            public void mousePressed(java.awt.event.MouseEvent evt) {
                jLabel42MousePressed(evt);
            }
            public void mouseReleased(java.awt.event.MouseEvent evt) {
                jLabel42MouseReleased(evt);
            }
        });

        jPanel11.setBackground(new java.awt.Color(255, 255, 255));
        jPanel11.setBorder(javax.swing.BorderFactory.createTitledBorder("Alterar Cadastro"));

        jLabel43.setFont(new java.awt.Font("Tahoma", 0, 16));
        jLabel43.setText("Nome");

        jTextField15.setForeground(new java.awt.Color(204, 204, 204));

        jLabel44.setFont(new java.awt.Font("Tahoma", 0, 16));
        jLabel44.setText("Senha");

        jLabel45.setFont(new java.awt.Font("Tahoma", 0, 16));
        jLabel45.setText("Confirmao");

        jLabel46.setFont(new java.awt.Font("Tahoma", 0, 16));
        jLabel46.setText("CPF");

        jLabel47.setFont(new java.awt.Font("Tahoma", 0, 16));
        jLabel47.setText("E-mail");

        jLabel48.setFont(new java.awt.Font("Tahoma", 0, 16));
        jLabel48.setText("Telefone");

        jTextField19.setHorizontalAlignment(javax.swing.JTextField.CENTER);

        jLabel49.setFont(new java.awt.Font("Tahoma", 0, 16));
        jLabel49.setText("UF");

        jLabel50.setFont(new java.awt.Font("Tahoma", 0, 16));
        jLabel50.setText("Nmero");

        jLabel51.setFont(new java.awt.Font("Tahoma", 0, 16));
        jLabel51.setText("Bairro");

        jLabel52.setFont(new java.awt.Font("Tahoma", 0, 16));
        jLabel52.setText("CEP");

        jLabel53.setFont(new java.awt.Font("Tahoma", 0, 16));
        jLabel53.setText("Complemento");

        jLabel54.setFont(new java.awt.Font("Tahoma", 0, 16));
        jLabel54.setText("Logradouro");

        jLabel55.setFont(new java.awt.Font("Tahoma", 0, 16));
        jLabel55.setText("Cidade");
        
       
        javax.swing.GroupLayout jPanel11Layout = new javax.swing.GroupLayout(jPanel11);
        jPanel11.setLayout(jPanel11Layout);
        jPanel11Layout.setHorizontalGroup(
            jPanel11Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanel11Layout.createSequentialGroup()
                .addContainerGap()
                .addGroup(jPanel11Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addComponent(jLabel43, javax.swing.GroupLayout.Alignment.TRAILING)
                    .addComponent(jLabel44, javax.swing.GroupLayout.Alignment.TRAILING)
                    .addComponent(jLabel45, javax.swing.GroupLayout.Alignment.TRAILING)
                    .addComponent(jLabel46, javax.swing.GroupLayout.Alignment.TRAILING)
                    .addComponent(jLabel47, javax.swing.GroupLayout.Alignment.TRAILING)
                    .addComponent(jLabel48, javax.swing.GroupLayout.Alignment.TRAILING)
                    .addComponent(jLabel49, javax.swing.GroupLayout.Alignment.TRAILING)
                    .addComponent(jLabel54, javax.swing.GroupLayout.Alignment.TRAILING)
                    .addComponent(jLabel50, javax.swing.GroupLayout.Alignment.TRAILING)
                    .addComponent(jLabel51, javax.swing.GroupLayout.Alignment.TRAILING))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addGroup(jPanel11Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING, false)
                    .addGroup(jPanel11Layout.createSequentialGroup()
                        .addComponent(jTextField22, javax.swing.GroupLayout.PREFERRED_SIZE, 50, javax.swing.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(jLabel53)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(jTextField26))
                    .addGroup(jPanel11Layout.createSequentialGroup()
                        .addComponent(jTextField23, javax.swing.GroupLayout.PREFERRED_SIZE, 104, javax.swing.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(jLabel52)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(jTextField21))
                    .addComponent(jTextField24)
                    .addGroup(jPanel11Layout.createSequentialGroup()
                        .addComponent(jTextField25, javax.swing.GroupLayout.PREFERRED_SIZE, 27, javax.swing.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(jLabel55)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(jTextField20))
                    .addComponent(jPasswordField4)
                    .addComponent(jPasswordField3)
                    .addGroup(jPanel11Layout.createSequentialGroup()
                        .addComponent(jTextField18, javax.swing.GroupLayout.PREFERRED_SIZE, 35, javax.swing.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(jTextField19, javax.swing.GroupLayout.PREFERRED_SIZE, 76, javax.swing.GroupLayout.PREFERRED_SIZE))
                    .addComponent(jTextField16)
                    .addComponent(jTextField17, javax.swing.GroupLayout.DEFAULT_SIZE, 255, Short.MAX_VALUE)
                    .addComponent(jTextField15, javax.swing.GroupLayout.PREFERRED_SIZE, 254, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addContainerGap(30, Short.MAX_VALUE))
        );
        jPanel11Layout.setVerticalGroup(
            jPanel11Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanel11Layout.createSequentialGroup()
                .addGap(19, 19, 19)
                .addGroup(jPanel11Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addGroup(jPanel11Layout.createSequentialGroup()
                        .addComponent(jLabel43)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(jLabel44)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(jLabel45)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(jLabel46)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(jLabel47)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(jLabel48))
                    .addGroup(jPanel11Layout.createSequentialGroup()
                        .addComponent(jTextField15, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(jPasswordField3, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(jPasswordField4, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(jTextField16, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(jTextField17, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addGroup(jPanel11Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                            .addComponent(jTextField18, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                            .addComponent(jTextField19, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addGroup(jPanel11Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jLabel49)
                    .addComponent(jTextField25, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(jLabel55)
                    .addComponent(jTextField20, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addGroup(jPanel11Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jLabel54)
                    .addComponent(jTextField24, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addGroup(jPanel11Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jLabel50)
                    .addComponent(jLabel53)
                    .addComponent(jTextField26, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(jTextField22, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addGroup(jPanel11Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jLabel51)
                    .addComponent(jLabel52)
                    .addComponent(jTextField23, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(jTextField21, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addContainerGap(javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
        );

        jLabel56.setIcon(new javax.swing.ImageIcon(getClass().getResource("/images/voltar.JPG"))); // NOI18N
        jLabel56.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseEntered(java.awt.event.MouseEvent evt) {
                jLabel56MouseEntered(evt);
            }
            public void mouseExited(java.awt.event.MouseEvent evt) {
                jLabel56MouseExited(evt);
            }
            public void mousePressed(java.awt.event.MouseEvent evt) {
                jLabel56MousePressed(evt);
            }
            public void mouseReleased(java.awt.event.MouseEvent evt) {
                jLabel56MouseReleased(evt);
            }
        });

        jLabel57.setIcon(new javax.swing.ImageIcon(getClass().getResource("/images/sair.JPG"))); // NOI18N
        jLabel57.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseEntered(java.awt.event.MouseEvent evt) {
                jLabel57MouseEntered(evt);
            }
            public void mouseExited(java.awt.event.MouseEvent evt) {
                jLabel57MouseExited(evt);
            }
            public void mousePressed(java.awt.event.MouseEvent evt) {
                jLabel57MousePressed(evt);
            }
            public void mouseReleased(java.awt.event.MouseEvent evt) {
                jLabel57MouseReleased(evt);
            }
        });

        jLabel58.setIcon(new javax.swing.ImageIcon(getClass().getResource("/images/ok.JPG"))); // NOI18N
        jLabel58.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseEntered(java.awt.event.MouseEvent evt) {
                jLabel58MouseEntered(evt);
            }
            public void mouseExited(java.awt.event.MouseEvent evt) {
                jLabel58MouseExited(evt);
            }
            public void mousePressed(java.awt.event.MouseEvent evt) {
                jLabel58MousePressed(evt);
            }
            public void mouseReleased(java.awt.event.MouseEvent evt) {
                jLabel58MouseReleased(evt);
            }
        });

        javax.swing.GroupLayout jPanel10Layout = new javax.swing.GroupLayout(jPanel10);
        jPanel10.setLayout(jPanel10Layout);
        jPanel10Layout.setHorizontalGroup(
            jPanel10Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanel10Layout.createSequentialGroup()
                .addGroup(jPanel10Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addGroup(jPanel10Layout.createSequentialGroup()
                        .addGap(188, 188, 188)
                        .addComponent(jLabel41))
                    .addGroup(jPanel10Layout.createSequentialGroup()
                        .addGap(46, 46, 46)
                        .addGroup(jPanel10Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                            .addComponent(jPanel11, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                            .addGroup(jPanel10Layout.createSequentialGroup()
                                .addComponent(jLabel56)
                                .addGap(58, 58, 58)
                                .addComponent(jLabel42)
                                .addGap(92, 92, 92)
                                .addComponent(jLabel57)
                                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED, 70, Short.MAX_VALUE)
                                .addComponent(jLabel58)
                                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)))))
                .addContainerGap(44, javax.swing.GroupLayout.PREFERRED_SIZE))
        );
        jPanel10Layout.setVerticalGroup(
            jPanel10Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanel10Layout.createSequentialGroup()
                .addContainerGap()
                .addComponent(jLabel41)
                .addGap(50, 50, 50)
                .addComponent(jPanel11, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addGap(62, 62, 62)
                .addGroup(jPanel10Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.TRAILING)
                    .addComponent(jLabel42)
                    .addComponent(jLabel56)
                    .addComponent(jLabel57)
                    .addComponent(jLabel58))
                .addGap(62, 62, 62))
        );

        jPanel12.setBackground(new java.awt.Color(255, 255, 255));

        jLabel59.setIcon(new javax.swing.ImageIcon(getClass().getResource("/images/logo.PNG"))); // NOI18N

        jTable1.setModel(new javax.swing.table.DefaultTableModel(
            new Object [][] {
                {null, null, null, null},
                {null, null, null, null},
                {null, null, null, null},
                {null, null, null, null},
                {null, null, null, null},
                {null, null, null, null},
                {null, null, null, null},
                {null, null, null, null},
                {null, null, null, null},
                {null, null, null, null},
                {null, null, null, null}
            },
            new String [] {
                "Evento", "Sala", "Data", "Hora"
            }
        ));
        jScrollPane1.setViewportView(jTable1);

        jLabel60.setIcon(new javax.swing.ImageIcon(getClass().getResource("/images/voltar.JPG"))); // NOI18N
        jLabel60.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseEntered(java.awt.event.MouseEvent evt) {
                jLabel60MouseEntered(evt);
            }
            public void mouseExited(java.awt.event.MouseEvent evt) {
                jLabel60MouseExited(evt);
            }
            public void mousePressed(java.awt.event.MouseEvent evt) {
                jLabel60MousePressed(evt);
            }
            public void mouseReleased(java.awt.event.MouseEvent evt) {
                jLabel60MouseReleased(evt);
            }
        });

        jLabel61.setIcon(new javax.swing.ImageIcon(getClass().getResource("/images/sair.JPG"))); // NOI18N
        jLabel61.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseEntered(java.awt.event.MouseEvent evt) {
                jLabel61MouseEntered(evt);
            }
            public void mouseExited(java.awt.event.MouseEvent evt) {
                jLabel61MouseExited(evt);
            }
            public void mousePressed(java.awt.event.MouseEvent evt) {
                jLabel61MousePressed(evt);
            }
            public void mouseReleased(java.awt.event.MouseEvent evt) {
                jLabel61MouseReleased(evt);
            }
        });

        jLabel62.setIcon(new javax.swing.ImageIcon(getClass().getResource("/images/escolherAssento.PNG"))); // NOI18N
        jLabel62.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseEntered(java.awt.event.MouseEvent evt) {
                jLabel62MouseEntered(evt);
            }
            public void mouseExited(java.awt.event.MouseEvent evt) {
                jLabel62MouseExited(evt);
            }
            public void mousePressed(java.awt.event.MouseEvent evt) {
                jLabel62MousePressed(evt);
            }
            public void mouseReleased(java.awt.event.MouseEvent evt) {
                jLabel62MouseReleased(evt);
            }
        });

        javax.swing.GroupLayout jPanel12Layout = new javax.swing.GroupLayout(jPanel12);
        jPanel12.setLayout(jPanel12Layout);
        jPanel12Layout.setHorizontalGroup(
            jPanel12Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanel12Layout.createSequentialGroup()
                .addGap(38, 38, 38)
                .addComponent(jLabel60)
                .addGap(132, 132, 132)
                .addComponent(jLabel61)
                .addGap(149, 149, 149)
                .addComponent(jLabel62)
                .addContainerGap(37, Short.MAX_VALUE))
            .addGroup(jPanel12Layout.createSequentialGroup()
                .addGap(22, 22, 22)
                .addComponent(jScrollPane1, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addContainerGap(22, Short.MAX_VALUE))
            .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, jPanel12Layout.createSequentialGroup()
                .addGap(196, 196, 196)
                .addComponent(jLabel59)
                .addContainerGap(189, Short.MAX_VALUE))
        );
        jPanel12Layout.setVerticalGroup(
            jPanel12Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanel12Layout.createSequentialGroup()
                .addContainerGap()
                .addComponent(jLabel59)
                .addGap(95, 95, 95)
                .addComponent(jScrollPane1, javax.swing.GroupLayout.PREFERRED_SIZE, 198, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED, 142, Short.MAX_VALUE)
                .addGroup(jPanel12Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.TRAILING)
                    .addComponent(jLabel61)
                    .addComponent(jLabel60)
                    .addComponent(jLabel62))
                .addGap(59, 59, 59))
        );

        setDefaultCloseOperation(javax.swing.WindowConstants.EXIT_ON_CLOSE);

        jPanel2.setBackground(new java.awt.Color(255, 255, 255));

        jLabel3.setIcon(new javax.swing.ImageIcon(getClass().getResource("/images/sair.JPG"))); // NOI18N
        jLabel3.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseEntered(java.awt.event.MouseEvent evt) {
                jLabel3MouseEntered(evt);
            }
            public void mouseExited(java.awt.event.MouseEvent evt) {
                jLabel3MouseExited(evt);
            }
            public void mousePressed(java.awt.event.MouseEvent evt) {
                jLabel3MousePressed(evt);
            }
            public void mouseReleased(java.awt.event.MouseEvent evt) {
                jLabel3MouseReleased(evt);
            }
        });

        jLabel1.setIcon(new javax.swing.ImageIcon(getClass().getResource("/images/gerenciamento.JPG"))); // NOI18N
        jLabel1.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseEntered(java.awt.event.MouseEvent evt) {
                jLabel1MouseEntered(evt);
            }
            public void mouseExited(java.awt.event.MouseEvent evt) {
                jLabel1MouseExited(evt);
            }
            public void mousePressed(java.awt.event.MouseEvent evt) {
                jLabel1MousePressed(evt);
            }
            public void mouseReleased(java.awt.event.MouseEvent evt) {
                jLabel1MouseReleased(evt);
            }
        });

        jLabel2.setIcon(new javax.swing.ImageIcon(getClass().getResource("/images/vendas.JPG"))); // NOI18N
        jLabel2.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseEntered(java.awt.event.MouseEvent evt) {
                jLabel2MouseEntered(evt);
            }
            public void mouseExited(java.awt.event.MouseEvent evt) {
                jLabel2MouseExited(evt);
            }
            public void mousePressed(java.awt.event.MouseEvent evt) {
                jLabel2MousePressed(evt);
            }
            public void mouseReleased(java.awt.event.MouseEvent evt) {
                jLabel2MouseReleased(evt);
            }
        });

        jLabel4.setIcon(new javax.swing.ImageIcon(getClass().getResource("/images/logo.PNG"))); // NOI18N

        jPanel3.setBackground(new java.awt.Color(255, 255, 255));
        jPanel3.setBorder(javax.swing.BorderFactory.createTitledBorder("Descrio"));

        jLabel5.setHorizontalAlignment(javax.swing.SwingConstants.LEFT);
        jLabel5.setText("<html>Passe o mouse sobre os botes para ver a descrio.</html>");
        jLabel5.setVerticalAlignment(javax.swing.SwingConstants.TOP);

        javax.swing.GroupLayout jPanel3Layout = new javax.swing.GroupLayout(jPanel3);
        jPanel3.setLayout(jPanel3Layout);
        jPanel3Layout.setHorizontalGroup(
            jPanel3Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addComponent(jLabel5, javax.swing.GroupLayout.DEFAULT_SIZE, 148, Short.MAX_VALUE)
        );
        jPanel3Layout.setVerticalGroup(
            jPanel3Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanel3Layout.createSequentialGroup()
                .addComponent(jLabel5, javax.swing.GroupLayout.DEFAULT_SIZE, 211, Short.MAX_VALUE)
                .addContainerGap())
        );

        javax.swing.GroupLayout jPanel2Layout = new javax.swing.GroupLayout(jPanel2);
        jPanel2.setLayout(jPanel2Layout);
        jPanel2Layout.setHorizontalGroup(
            jPanel2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, jPanel2Layout.createSequentialGroup()
                .addGap(194, 194, 194)
                .addComponent(jLabel4)
                .addContainerGap(191, Short.MAX_VALUE))
            .addGroup(jPanel2Layout.createSequentialGroup()
                .addGap(22, 22, 22)
                .addGroup(jPanel2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.TRAILING)
                    .addComponent(jLabel3)
                    .addGroup(jPanel2Layout.createSequentialGroup()
                        .addGroup(jPanel2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                            .addComponent(jLabel2)
                            .addComponent(jLabel1))
                        .addGap(35, 35, 35)
                        .addComponent(jPanel3, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                        .addGap(16, 16, 16)))
                .addContainerGap(31, Short.MAX_VALUE))
        );
        jPanel2Layout.setVerticalGroup(
            jPanel2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanel2Layout.createSequentialGroup()
                .addContainerGap()
                .addComponent(jLabel4)
                .addGroup(jPanel2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addGroup(jPanel2Layout.createSequentialGroup()
                        .addGap(124, 124, 124)
                        .addComponent(jLabel1)
                        .addGap(58, 58, 58)
                        .addComponent(jLabel2))
                    .addGroup(jPanel2Layout.createSequentialGroup()
                        .addGap(91, 91, 91)
                        .addComponent(jPanel3, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED, 111, Short.MAX_VALUE)
                .addComponent(jLabel3)
                .addGap(44, 44, 44))
        );

        javax.swing.GroupLayout layout = new javax.swing.GroupLayout(getContentPane());
        getContentPane().setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addComponent(jPanel2, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addComponent(jPanel2, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
        );

        pack();
    }// </editor-fold>//GEN-END:initComponents

	//------------------

	private void jLabel21MouseReleased(java.awt.event.MouseEvent evt) {                                       
		if(jRadioButton1.isSelected()) {
			String nome = jTextField1.getText();
			Vector<Funcionario> f;
			try {
				f = fachada.consultarFuncionarioPeloNome(nome);
				texto = new String[f.size()];
				
				for(int i = 0; i < f.size(); i++) {
					texto[i] =  "CPF : "+f.elementAt(i).getCpf()+ "- Nome: "+ f.elementAt(i).getNome();
				}
			} catch (BancoDeDadosException e) {
				new TelaConfirmacao(false, e.getMessage()).setVisible(true);
			}

			jList2.setModel(new javax.swing.AbstractListModel() {
				/**
				 * 
				 */
				private static final long serialVersionUID = 1L;				
				public int getSize() { return texto.length; }
				public Object getElementAt(int i) { return texto[i]; }
			});

		}
	}                                      

	//--------------------

	private void jLabel22MouseReleased(java.awt.event.MouseEvent evt) {                                       
		if(jRadioButton2.isSelected()) {
			Funcionario f;
			texto = new String[1];
			String CPF = jTextField2.getText();

			try {
				f = fachada.consultarFuncionario(CPF);
				texto[0] = "CPF : "+f.getCpf()+ " - Nome: "+ f.getNome();
			} catch (FuncionarioNaoCadastradoException e) {
				new TelaConfirmacao(false, e.getMessage()).setVisible(true);
			} catch (BancoDeDadosException e) {
				new TelaConfirmacao(false, e.getMessage()).setVisible(true);
			}



			jList2.setModel(new javax.swing.AbstractListModel() {
				/**
				 * 
				 */
				private static final long serialVersionUID = 1L;
				String[] strings = {texto[0]};
				public int getSize() { return strings.length; }
				public Object getElementAt(int i) { return strings[i]; }
			});




		}
	}                                      





	private void jLabel2MouseReleased(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel2MouseReleased
		this.jLabel2.setIcon(vendas);
		this.jPanel2.setVisible(false);
		this.jPanel12.setVisible(true);
		this.setContentPane(this.jPanel12);
		
		try {
			Vector<Evento> eventos = this.fachada.listarEventos();
			
			TableModel tb = jTable1.getModel();
			for(int i = 0; i < eventos.size(); i++) {
				tb.setValueAt(eventos.get(i).getNome(), i, 0);
				tb.setValueAt(eventos.get(i).getAmbiente().getIdAmbiente(), i, 1);
				tb.setValueAt(eventos.get(i).getData().getDia() + "/" + eventos.get(i).getData().getMes() + "/" + eventos.get(i).getData().getAno(), i, 2);
				tb.setValueAt(eventos.get(i).getHora().getHoras() + ":" + eventos.get(i).getHora().getHoras(), i, 3);
			}
			//jTable1.getSelectedColumns()
		} catch (BancoDeDadosException e) {
			new TelaConfirmacao(false, e.getMessage()).setVisible(true);
		}
		
	}//GEN-LAST:event_jLabel2MouseReleased

	private void jLabel2MousePressed(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel2MousePressed
		this.jLabel2.setIcon(vendasPress);
	}//GEN-LAST:event_jLabel2MousePressed

	private void jLabel2MouseExited(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel2MouseExited
		this.jLabel5.setText("<html>Passe o mouse sobre os botes para ver a descrio.</html>");
	}//GEN-LAST:event_jLabel2MouseExited

	private void jLabel2MouseEntered(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel2MouseEntered
		//vendas
		//this.jLabel5.setText("<html>Realizao de reservas, <br> gerao de ingressos, <br>  e visualizao dos assentos <br> para eventos j cadastrados.</html> ");
		this.jLabel5.setText("<html><ul><li>Realizao de reservas</li><p><li>gerao de ingressos<br></li><p><li>visualizao <p>dos assentos</li><p></ul></html>");
	
		
		//this.jLabel5.setText();
	
	}//GEN-LAST:event_jLabel2MouseEntered

	private void jLabel1MouseReleased(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel1MouseReleased
		this.jLabel1.setIcon(gerenciamento);
		this.jPanel2.setVisible(false);
		this.jPanel4.setVisible(true);
		this.setContentPane(this.jPanel4);
	}//GEN-LAST:event_jLabel1MouseReleased

	private void jLabel1MousePressed(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel1MousePressed
		this.jLabel1.setIcon(gerenciamentoPress);
	}//GEN-LAST:event_jLabel1MousePressed

	private void jLabel1MouseExited(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel1MouseExited
		this.jLabel5.setText("<html>Passe o mouse sobre os botes para ver a descrio.</html>");
	}//GEN-LAST:event_jLabel1MouseExited

	private void jLabel1MouseEntered(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel1MouseEntered
		//gerenciamento
		this.jLabel5.setText("<html><ul><li>Gesto de Funcionrios</li><p><li>Gesto de ambientes</li><p><li>Gesto de eventos</li></ul></html>>");
	}//GEN-LAST:event_jLabel1MouseEntered

	private void jLabel3MouseReleased(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel3MouseReleased
		this.jLabel3.setIcon(sair);
		System.exit(1);
	}//GEN-LAST:event_jLabel3MouseReleased

	private void jLabel3MousePressed(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel3MousePressed
		this.jLabel3.setIcon(sairPress);
		//to do
	}//GEN-LAST:event_jLabel3MousePressed

	private void jLabel3MouseExited(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel3MouseExited
		this.jLabel3.setIcon(sair);
	}//GEN-LAST:event_jLabel3MouseExited

	private void jLabel3MouseEntered(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel3MouseEntered
		this.jLabel3.setIcon(sairPress);
	}//GEN-LAST:event_jLabel3MouseEntered

	private void jLabel6MouseEntered(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel6MouseEntered
		//funcionario
		this.jLabel11.setText("<html> <ul> <li> Cadastro</li> <p><li>Alterao de cadastro </li><p><li>Remoo de cadastro</li><p></ul></html>");
	}//GEN-LAST:event_jLabel6MouseEntered

	private void jLabel6MouseExited(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel6MouseExited
		this.jLabel11.setText("<html>Passe o mouse sobre os botes para ver a descrio.</html>");
	}//GEN-LAST:event_jLabel6MouseExited

	private void jLabel6MousePressed(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel6MousePressed
		this.jLabel6.setIcon(this.funcionarioPress);
	}//GEN-LAST:event_jLabel6MousePressed

	private void jLabel6MouseReleased(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel6MouseReleased
		this.jLabel6.setIcon(this.funcionario);
		this.jPanel4.setVisible(false);
		this.jPanel1.setVisible(true);
		this.jPanel1.setSize(498, 611);
		
		this.setContentPane(this.jPanel1);
	}//GEN-LAST:event_jLabel6MouseReleased

	private void jLabel7MouseEntered(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel7MouseEntered
		//ambiente
		this.jLabel11.setText("<html> "+
								      // "<ul>" +
								          " <li>Cadastro</li><p>" +
								        //   "<li>Alterao</li>" +
								        //   "<ul>" + 
								                "<li>Insero e remoo de <p>linhas</li><p>" +
								                "<li>Insero e remoo de colunas </li><p>" +
								       //    "</ul>" +
								           "<li>Remoo</li><p>" + 
								     //  "</ul>" +
								"</html>");
		
	}//GEN-LAST:event_jLabel7MouseEntered

	private void jLabel7MouseExited(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel7MouseExited
		this.jLabel11.setText("<html>Passe o mouse sobre os botes para ver a descrio.</html>");
	}//GEN-LAST:event_jLabel7MouseExited

	private void jLabel7MousePressed(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel7MousePressed
		this.jLabel7.setIcon(ambientePress);
	}//GEN-LAST:event_jLabel7MousePressed

	private void jLabel7MouseReleased(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel7MouseReleased
		this.jLabel7.setIcon(ambiente);
                
		TelaGerenciamentoAmbiente telaAmbiente = new TelaGerenciamentoAmbiente(this.fachada,this);
		telaAmbiente.setVisible(true);
		this.setVisible(false);
			
		
                //jpanel 13, criar
	}//GEN-LAST:event_jLabel7MouseReleased

	private void jLabel8MouseEntered(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel8MouseEntered
		//evento
		this.jLabel11.setText("<html> "+
								      // "<ul>" +
								          " <li>Cadastro de evento</li><p> " +
								           "<li>Alterao de evento </li><p>" +
								           "<li>Remoo de evento </li><p>" + 
								     //  "</ul>" +
								"</html>");
	}//GEN-LAST:event_jLabel8MouseEntered

	private void jLabel8MouseExited(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel8MouseExited
		this.jLabel11.setText("<html>Passe o mouse sobre os botes para ver a descrio.</html>");
	}//GEN-LAST:event_jLabel8MouseExited

	private void jLabel8MousePressed(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel8MousePressed
		this.jLabel8.setIcon(eventoPress);
	}//GEN-LAST:event_jLabel8MousePressed

	private void jLabel8MouseReleased(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel8MouseReleased
		this.jLabel8.setIcon(evento);
		TelaGerenciamentoEvento telaGerenciamentoEvento = new TelaGerenciamentoEvento(this.fachada, this);
		telaGerenciamentoEvento.setVisible(true);
		this.setVisible(false);
	}//GEN-LAST:event_jLabel8MouseReleased

	private void jLabel9MouseEntered(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel9MouseEntered
		this.jLabel9.setIcon(sairPress);
	}//GEN-LAST:event_jLabel9MouseEntered

	private void jLabel9MouseExited(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel9MouseExited
		this.jLabel9.setIcon(sair);
	}//GEN-LAST:event_jLabel9MouseExited

	private void jLabel9MousePressed(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel9MousePressed
		this.jLabel4.setIcon(sairPress);
		//to do
	}//GEN-LAST:event_jLabel9MousePressed

	private void jLabel9MouseReleased(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel9MouseReleased
		this.jLabel4.setIcon(sair);
		System.exit(1);
	}//GEN-LAST:event_jLabel9MouseReleased

	private void jLabel10MouseEntered(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel10MouseEntered
		this.jLabel10.setLocation((this.jLabel10.getLocation().x - 5) , this.jLabel10.getLocation().y);
	}//GEN-LAST:event_jLabel10MouseEntered

	private void jLabel10MouseExited(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel10MouseExited
		this.jLabel10.setLocation((this.jLabel10.getLocation().x + 5) , this.jLabel10.getLocation().y);
	}//GEN-LAST:event_jLabel10MouseExited

	private void jLabel10MousePressed(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel10MousePressed
		this.jLabel10.setIcon(voltarPress);
	}//GEN-LAST:event_jLabel10MousePressed

	private void jLabel10MouseReleased(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel10MouseReleased
		this.jLabel10.setIcon(voltar);
		this.jPanel4.setVisible(false);
		this.jPanel2.setVisible(true);
		this.setContentPane(jPanel2);
	}//GEN-LAST:event_jLabel10MouseReleased

	private void jRadioButton1ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jRadioButton1ActionPerformed
		if (this.jRadioButton1.isSelected()) {
	        this.jTextField1.setEnabled(true);
	        this.jTextField2.setEnabled(false);	        
	    }
	}//GEN-LAST:event_jRadioButton1ActionPerformed

	private void jLabel16MousePressed(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel16MousePressed
		this.jLabel16.setIcon(this.adicionarFuncionarioPress);
	}//GEN-LAST:event_jLabel16MousePressed

	private void jLabel16MouseEntered(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel16MouseEntered
		this.jLabel16.setIcon(this.adicionarFuncionarioLight);
	}//GEN-LAST:event_jLabel16MouseEntered

	private void jLabel16MouseExited(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel16MouseExited
		this.jLabel16.setIcon(this.adicionarFuncionario);
	}//GEN-LAST:event_jLabel16MouseExited

	private void jLabel16MouseReleased(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel16MouseReleased
		this.jLabel16.setIcon(this.adicionarFuncionario);
		this.jPanel1.setVisible(false);
		this.jPanel8.setVisible(true);
		this.setContentPane(this.jPanel8);
	}//GEN-LAST:event_jLabel16MouseReleased

	private void jLabel17MouseEntered(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel17MouseEntered
		this.jLabel17.setIcon(this.removerFuncionarioLight);
	}//GEN-LAST:event_jLabel17MouseEntered

	private void jLabel17MouseExited(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel17MouseExited
		this.jLabel17.setIcon(this.removerFuncionario);
	}//GEN-LAST:event_jLabel17MouseExited

	private void jLabel17MousePressed(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel17MousePressed
		this.jLabel17.setIcon(this.removerFuncionarioPress);
	}//GEN-LAST:event_jLabel17MousePressed





	private void jLabel17MouseReleased(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel17MouseReleased
		this.jLabel17.setIcon(this.removerFuncionario);

		
		try {
			String CPF = ((String)jList2.getSelectedValue()).substring(6, 17); 
			fachada.removerFuncionario(CPF);

			new TelaConfirmacao(true, "Funcionario Removido com Sucesso.").setVisible(true);

		} catch (FuncionarioNaoCadastradoException e) {
			new TelaConfirmacao(false, e.getMessage()).setVisible(true);
		} catch (BancoDeDadosException e) {
			new TelaConfirmacao(false, e.getMessage()).setVisible(true);
		} catch (NullPointerException e) {
			new TelaConfirmacao(false, "Selecione um Funcionario").setVisible(true);
		} catch (ControleExcepttion e) {
			new TelaConfirmacao(false, e.getMessage()).setVisible(true);
		}

		jList2.setModel(new javax.swing.AbstractListModel() {
			/**
			 * 
			 */
			private static final long serialVersionUID = 1L;
			String[] strings = {""};
			public int getSize() { return strings.length; }
			public Object getElementAt(int i) { return strings[i]; }
		});

	}//GEN-LAST:event_jLabel17MouseReleased





	private void jLabel18MouseEntered(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel18MouseEntered
		this.jLabel18.setIcon(this.alterarFuncionarioPress);
	}//GEN-LAST:event_jLabel18MouseEntered

	private void jLabel18MouseExited(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel18MouseExited
		this.jLabel18.setIcon(this.alterarFuncionario);
	}//GEN-LAST:event_jLabel18MouseExited

	private void jLabel18MousePressed(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel18MousePressed
		this.jLabel18.setIcon(this.alterarFuncionarioPress);
	}//GEN-LAST:event_jLabel18MousePressed

	private void jLabel18MouseReleased(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel18MouseReleased
		try {
			String CPF = ((String)jList2.getSelectedValue()).substring(6, 17);
			this.jLabel18.setIcon(this.alterarFuncionario);
			this.jPanel1.setVisible(false);
			this.jPanel10.setVisible(true);
			Funcionario funcionario = this.fachada.consultarFuncionario(CPF);
						
			 this.jTextField15.setText(funcionario.getNome());
			 this.jTextField16.setText(funcionario.getCpf());
			 this.jTextField17.setText(funcionario.getEmail());
			 this.jTextField18.setText(""+funcionario.getTelefone().getDdd());
			 this.jTextField19.setText(""+funcionario.getTelefone().getNumero());
			 this.jTextField20.setText(funcionario.getEndereco().getCidade());
			 this.jTextField21.setText(""+funcionario.getEndereco().getCep());
			 this.jTextField22.setText(funcionario.getEndereco().getNumero()+"");
			 this.jTextField23.setText(funcionario.getEndereco().getBairro());
			 this.jTextField24.setText(funcionario.getEndereco().getLogradouro());
			 this.jTextField25.setText(funcionario.getEndereco().getUf());
			 this.jTextField26.setText(funcionario.getEndereco().getComplemento());
			this.setContentPane(this.jPanel10);			
		}catch (NullPointerException e) {
			new TelaConfirmacao(false, "Selecione um funcionario para alterar.").setVisible(true);
		} catch (FuncionarioNaoCadastradoException e) {
			new TelaConfirmacao(false, e.getMessage()).setVisible(true);
		} catch (BancoDeDadosException e) {
			new TelaConfirmacao(false, e.getMessage()).setVisible(true);
		}
		
		
		
	}//GEN-LAST:event_jLabel18MouseReleased

	private void jLabel15MouseEntered(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel15MouseEntered
		this.jLabel15.setLocation((this.jLabel15.getLocation().x - 5) , this.jLabel15.getLocation().y);
	}//GEN-LAST:event_jLabel15MouseEntered

	private void jLabel15MouseExited(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel15MouseExited
		this.jLabel15.setLocation((this.jLabel15.getLocation().x + 5) , this.jLabel15.getLocation().y);
	}//GEN-LAST:event_jLabel15MouseExited

	private void jLabel15MousePressed(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel15MousePressed
		this.jLabel15.setIcon(this.voltarPress);

	}//GEN-LAST:event_jLabel15MousePressed

	private void jLabel15MouseReleased(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel15MouseReleased
		this.jLabel15.setIcon(this.voltar);
		this.jPanel1.setVisible(false);
		this.jPanel4.setVisible(true);
		this.setContentPane(this.jPanel4);
	}//GEN-LAST:event_jLabel15MouseReleased

	private void jLabel14MouseEntered(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel14MouseEntered
		this.jLabel14.setIcon(this.sairPress);
	}//GEN-LAST:event_jLabel14MouseEntered

	private void jLabel14MouseExited(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel14MouseExited
		this.jLabel14.setIcon(this.sair);
	}//GEN-LAST:event_jLabel14MouseExited

	private void jLabel14MousePressed(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel14MousePressed
		this.jLabel14.setIcon(this.sairPress);
	}//GEN-LAST:event_jLabel14MousePressed

	private void jLabel14MouseReleased(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel14MouseReleased
		this.jLabel14.setIcon(this.sair);
		System.exit(1);
	}//GEN-LAST:event_jLabel14MouseReleased

	private void jRadioButton2ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jRadioButton2ActionPerformed
		if (this.jRadioButton2.isSelected()) {
	        this.jTextField2.setEnabled(true);
	        this.jTextField1.setEnabled(false);
	    }
	}//GEN-LAST:event_jRadioButton2ActionPerformed

	private void jLabel24MouseEntered(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel24MouseEntered
		this.jLabel24.setIcon(limparPress);
	}//GEN-LAST:event_jLabel24MouseEntered

	private void jLabel24MouseExited(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel24MouseExited
		this.jLabel24.setIcon(limpar);
	}//GEN-LAST:event_jLabel24MouseExited

	private void jLabel38MouseEntered(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel38MouseEntered
		this.jLabel38.setLocation(this.jLabel38.getX() - 5, this.jLabel38.getY());
	}//GEN-LAST:event_jLabel38MouseEntered

	private void jLabel38MouseExited(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel38MouseExited
		this.jLabel38.setLocation(this.jLabel38.getX() + 5, this.jLabel38.getY());
	}//GEN-LAST:event_jLabel38MouseExited

	private void jLabel39MouseEntered(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel39MouseEntered
		this.jLabel39.setIcon(sairPress);
	}//GEN-LAST:event_jLabel39MouseEntered

	private void jLabel39MouseExited(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel39MouseExited
		this.jLabel39.setIcon(sair);
	}//GEN-LAST:event_jLabel39MouseExited

	private void jLabel40MouseEntered(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel40MouseEntered
		this.jLabel40.setIcon(okLight);
	}//GEN-LAST:event_jLabel40MouseEntered

	private void jLabel40MouseExited(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel40MouseExited
		this.jLabel40.setIcon(ok);
	}//GEN-LAST:event_jLabel40MouseExited

	private void jLabel40MousePressed(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel40MousePressed
		this.jLabel40.setIcon(okPress);
	}//GEN-LAST:event_jLabel40MousePressed

	private void jLabel40MouseReleased(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel40MouseReleased
		this.jLabel40.setIcon(okLight);
		

		if(String.valueOf(jPasswordField1.getPassword()).equals(String.valueOf(jPasswordField2.getPassword()))) {
			
			try {
				this.fachada.inserirFuncionario(jTextField3.getText(), jTextField5.getText(), String.valueOf(jPasswordField1.getPassword()), jTextField4.getText(), new Endereco(jTextField10.getText(), Integer.valueOf(jTextField9.getText()), jTextField14.getText(), Integer.valueOf(jTextField13.getText()), jTextField8.getText(), jTextField12.getText(), jTextField11.getText()), new Telefone(Integer.valueOf(jTextField6.getText()), Integer.valueOf(jTextField7.getText())));
				new TelaConfirmacao(true, "Funcionario cadastrado com sucesso!").setVisible(true);
			} catch (NumberFormatException e) {
				new TelaConfirmacao(false, e.getMessage()).setVisible(true);
			} catch (FuncionarioJahCadastradoException e) {
				new TelaConfirmacao(false, e.getMessage()).setVisible(true);
			} catch (ControleExcepttion e) {
				new TelaConfirmacao(false, e.getMessage()).setVisible(true);
			}
		}
		else {
			new TelaConfirmacao(false, "Verifique a senha.").setVisible(true);
		}



	}//GEN-LAST:event_jLabel40MouseReleased

	private void jLabel38MousePressed(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel38MousePressed
		this.jLabel38.setIcon(this.voltarPress);
	}//GEN-LAST:event_jLabel38MousePressed

	private void jLabel38MouseReleased(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel38MouseReleased
		this.jLabel38.setIcon(this.voltar);
		this.jPanel8.setVisible(false);
		this.jPanel1.setVisible(true);
		this.setContentPane(this.jPanel1);
	}//GEN-LAST:event_jLabel38MouseReleased

	private void jLabel24MousePressed(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel24MousePressed
		this.jLabel24.setIcon(this.limparPress);
	}//GEN-LAST:event_jLabel24MousePressed

	private void jLabel24MouseReleased(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel24MouseReleased
		this.jLabel24.setIcon(this.limpar);
		this.jTextField3.setText("");
		this.jTextField4.setText("");
		this.jTextField5.setText("");
		this.jTextField6.setText("");
		this.jTextField7.setText("");
		this.jTextField8.setText("");
		this.jTextField9.setText("");
		this.jTextField10.setText("");
		this.jTextField11.setText("");
		this.jTextField12.setText("");
		this.jTextField13.setText("");
		this.jTextField14.setText("");
		this.jPasswordField1.setText("");
		this.jPasswordField2.setText("");
	}//GEN-LAST:event_jLabel24MouseReleased

	private void jLabel39MousePressed(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel39MousePressed
		this.jLabel39.setIcon(this.sairPress);
	}//GEN-LAST:event_jLabel39MousePressed

	private void jLabel39MouseReleased(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel39MouseReleased
		this.jLabel39.setIcon(this.sair);
		System.exit(1);
	}//GEN-LAST:event_jLabel39MouseReleased

	private void jLabel42MouseEntered(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel42MouseEntered
		this.jLabel42.setIcon(limparPress);
	}//GEN-LAST:event_jLabel42MouseEntered

	private void jLabel42MouseExited(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel42MouseExited
		this.jLabel42.setIcon(limpar);
	}//GEN-LAST:event_jLabel42MouseExited

	private void jLabel56MouseEntered(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel56MouseEntered
		this.jLabel56.setLocation(this.jLabel56.getX() - 5, this.jLabel56.getY());
	}//GEN-LAST:event_jLabel56MouseEntered

	private void jLabel56MouseExited(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel56MouseExited
		this.jLabel56.setLocation(this.jLabel56.getX() + 5, this.jLabel56.getY());
	}//GEN-LAST:event_jLabel56MouseExited

	private void jLabel57MouseEntered(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel57MouseEntered
		this.jLabel57.setIcon(sairPress);
	}//GEN-LAST:event_jLabel57MouseEntered

	private void jLabel57MouseExited(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel57MouseExited
		this.jLabel57.setIcon(sair);
	}//GEN-LAST:event_jLabel57MouseExited

	private void jLabel58MouseEntered(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel58MouseEntered
		this.jLabel58.setIcon(okLight);
	}//GEN-LAST:event_jLabel58MouseEntered

	private void jLabel58MouseExited(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel58MouseExited
		this.jLabel58.setIcon(ok);
	}//GEN-LAST:event_jLabel58MouseExited

	private void jLabel58MousePressed(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel58MousePressed
		this.jLabel58.setIcon(okPress);
	}//GEN-LAST:event_jLabel58MousePressed

	private void jLabel58MouseReleased(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel58MouseReleased
		this.jLabel58.setIcon(okLight);
		
		if(String.valueOf(jPasswordField3.getPassword()).equals(String.valueOf(jPasswordField4.getPassword()))) {
			try {				
				this.fachada.atualizarFuncionario(this.fachada.consultarFuncionario(jTextField16.getText()), new Funcionario(jTextField15.getText(), jTextField17.getText(), String.valueOf(jPasswordField3.getPassword()), jTextField16.getText(), new Endereco(jTextField23.getText(), Integer.valueOf(jTextField22.getText()), jTextField26.getText(), Integer.valueOf(jTextField21.getText()), jTextField20.getText(), jTextField25.getText(), jTextField24.getText()), new Telefone(Integer.valueOf(jTextField18.getText()), Integer.valueOf(jTextField19.getText()))));
				new TelaConfirmacao(true, "Funcionario alterado com sucesso!").setVisible(true);
			} catch (NumberFormatException e) {
				new TelaConfirmacao(false, e.getMessage()).setVisible(true);
			} catch (FuncionarioJahCadastradoException e) {
				new TelaConfirmacao(false, e.getMessage()).setVisible(true);
			} catch (FuncionarioNaoCadastradoException e) {
				new TelaConfirmacao(false, e.getMessage()).setVisible(true);
			} catch (BancoDeDadosException e) {
				new TelaConfirmacao(false, e.getMessage()).setVisible(true);
			} catch (ControleExcepttion e) {
				new TelaConfirmacao(false, e.getMessage()).setVisible(true);
			}
		}
		else {
			new TelaConfirmacao(false, "Verifique a senha.").setVisible(true);
		}
		
	}//GEN-LAST:event_jLabel58MouseReleased

	private void jLabel56MousePressed(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel56MousePressed
		this.jLabel56.setIcon(this.voltarPress);
	}//GEN-LAST:event_jLabel56MousePressed

	private void jLabel56MouseReleased(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel56MouseReleased
		this.jLabel56.setIcon(this.voltar);
		this.jPanel10.setVisible(false);
		this.jPanel1.setVisible(true);
		this.setContentPane(this.jPanel1);
	}//GEN-LAST:event_jLabel56MouseReleased

	private void jLabel42MousePressed(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel42MousePressed
		this.jLabel42.setIcon(this.limparPress);
	}//GEN-LAST:event_jLabel42MousePressed

	private void jLabel42MouseReleased(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel42MouseReleased
		this.jLabel42.setIcon(this.limpar);
		this.jTextField15.setText("");
		this.jTextField16.setText("");
		this.jTextField17.setText("");
		this.jTextField18.setText("");
		this.jTextField19.setText("");
		this.jTextField20.setText("");
		this.jTextField21.setText("");
		this.jTextField22.setText("");
		this.jTextField23.setText("");
		this.jTextField24.setText("");
		this.jTextField25.setText("");
		this.jTextField26.setText("");
		this.jPasswordField3.setText("");
		this.jPasswordField4.setText("");
	}//GEN-LAST:event_jLabel42MouseReleased

	private void jLabel57MousePressed(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel57MousePressed
		this.jLabel57.setIcon(this.sairPress);
	}//GEN-LAST:event_jLabel57MousePressed

	private void jLabel57MouseReleased(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel57MouseReleased
		this.jLabel57.setIcon(this.sair);
		System.exit(1);
	}//GEN-LAST:event_jLabel57MouseReleased

	private void jLabel60MouseEntered(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel60MouseEntered
		this.jLabel60.setLocation(this.jLabel60.getX() - 5, this.jLabel60.getY());
	}//GEN-LAST:event_jLabel60MouseEntered

	private void jLabel60MouseExited(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel60MouseExited
		this.jLabel60.setLocation(this.jLabel60.getX() + 5, this.jLabel60.getY());
	}//GEN-LAST:event_jLabel60MouseExited

	private void jLabel61MouseEntered(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel61MouseEntered
		this.jLabel61.setIcon(sairPress);
	}//GEN-LAST:event_jLabel61MouseEntered

	private void jLabel61MouseExited(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel61MouseExited
		this.jLabel61.setIcon(sair);
	}//GEN-LAST:event_jLabel61MouseExited

	private void jLabel62MouseEntered(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel62MouseEntered
		this.jLabel62.setIcon(escolherAssento_light);
	}//GEN-LAST:event_jLabel62MouseEntered

	private void jLabel62MouseExited(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel62MouseExited
		this.jLabel62.setIcon(escolherAssento);
	}//GEN-LAST:event_jLabel62MouseExited

	private void jLabel62MousePressed(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel62MousePressed
		this.jLabel62.setIcon(escolherAssento_press);
	}//GEN-LAST:event_jLabel62MousePressed

	private void jLabel62MouseReleased(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel62MouseReleased
		this.jLabel62.setIcon(escolherAssento_light);
		try {
			String nomeEvento = (String)this.jTable1.getModel().getValueAt(this.jTable1.getSelectedRow(), 0);
			
			Vector<Evento> evento;
			evento = this.fachada.consultarEventosPeloNome(nomeEvento);
			
			int linhasEvento = evento.get(0).getAmbiente().getLinhas();
			int colunasEvento = evento.get(0).getAmbiente().getColunas();
			
			TelaVendas telaVendas = new TelaVendas(linhasEvento,colunasEvento,evento.get(0),this.fachada, this);
			telaVendas.setVisible(true);
			this.setVisible(false);
			
		} catch (BancoDeDadosException e) {
			new TelaConfirmacao(false, e.getMessage()).setVisible(true);
		} catch (ArrayIndexOutOfBoundsException e) {
			new TelaConfirmacao(false, "Selecione um evento.").setVisible(true);
		}
	}//GEN-LAST:event_jLabel62MouseReleased

	private void jLabel60MousePressed(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel60MousePressed
		this.jLabel60.setIcon(this.voltarPress);
	}//GEN-LAST:event_jLabel60MousePressed

	private void jLabel60MouseReleased(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel60MouseReleased
		this.jLabel60.setIcon(this.voltar);
		this.jPanel12.setVisible(false);
		this.jPanel2.setVisible(true);
		this.setContentPane(this.jPanel2);
	}//GEN-LAST:event_jLabel60MouseReleased

	private void jLabel61MousePressed(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel61MousePressed
		this.jLabel61.setIcon(this.sairPress);
	}//GEN-LAST:event_jLabel61MousePressed

	private void jLabel61MouseReleased(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel61MouseReleased
		this.jLabel61.setIcon(this.sair);
		System.exit(1);
	}//GEN-LAST:event_jLabel61MouseReleased

	/*
    public static void main(String args[]) {
        java.awt.EventQueue.invokeLater(new Runnable() {
            public void run() {
                new TelaPrincipal().setVisible(true);
            }
        });
    }
	 */
    // Variables declaration - do not modify//GEN-BEGIN:variables
	private javax.swing.ButtonGroup buttonGroup1;
    private javax.swing.JLabel jLabel1;
    private javax.swing.JLabel jLabel10;
    private javax.swing.JLabel jLabel11;
    private javax.swing.JLabel jLabel12;
    private javax.swing.JLabel jLabel13;
    private javax.swing.JLabel jLabel14;
    private javax.swing.JLabel jLabel15;
    private javax.swing.JLabel jLabel16;
    private javax.swing.JLabel jLabel17;
    private javax.swing.JLabel jLabel18;
    private javax.swing.JLabel jLabel19;
    private javax.swing.JLabel jLabel2;
    private javax.swing.JLabel jLabel20;
    private javax.swing.JLabel jLabel21;
    private javax.swing.JLabel jLabel22;
    private javax.swing.JLabel jLabel23;
    private javax.swing.JLabel jLabel24;
    private javax.swing.JLabel jLabel25;
    private javax.swing.JLabel jLabel26;
    private javax.swing.JLabel jLabel27;
    private javax.swing.JLabel jLabel28;
    private javax.swing.JLabel jLabel29;
    private javax.swing.JLabel jLabel3;
    private javax.swing.JLabel jLabel30;
    private javax.swing.JLabel jLabel31;
    private javax.swing.JLabel jLabel32;
    private javax.swing.JLabel jLabel33;
    private javax.swing.JLabel jLabel34;
    private javax.swing.JLabel jLabel35;
    private javax.swing.JLabel jLabel36;
    private javax.swing.JLabel jLabel37;
    private javax.swing.JLabel jLabel38;
    private javax.swing.JLabel jLabel39;
    private javax.swing.JLabel jLabel4;
    private javax.swing.JLabel jLabel40;
    private javax.swing.JLabel jLabel41;
    private javax.swing.JLabel jLabel42;
    private javax.swing.JLabel jLabel43;
    private javax.swing.JLabel jLabel44;
    private javax.swing.JLabel jLabel45;
    private javax.swing.JLabel jLabel46;
    private javax.swing.JLabel jLabel47;
    private javax.swing.JLabel jLabel48;
    private javax.swing.JLabel jLabel49;
    private javax.swing.JLabel jLabel5;
    private javax.swing.JLabel jLabel50;
    private javax.swing.JLabel jLabel51;
    private javax.swing.JLabel jLabel52;
    private javax.swing.JLabel jLabel53;
    private javax.swing.JLabel jLabel54;
    private javax.swing.JLabel jLabel55;
    private javax.swing.JLabel jLabel56;
    private javax.swing.JLabel jLabel57;
    private javax.swing.JLabel jLabel58;
    private javax.swing.JLabel jLabel59;
    private javax.swing.JLabel jLabel6;
    private javax.swing.JLabel jLabel60;
    private javax.swing.JLabel jLabel61;
    private javax.swing.JLabel jLabel62;
    private javax.swing.JLabel jLabel7;
    private javax.swing.JLabel jLabel8;
    private javax.swing.JLabel jLabel9;
    private javax.swing.JList jList2;
    private javax.swing.JPanel jPanel1;
    private javax.swing.JPanel jPanel10;
    private javax.swing.JPanel jPanel11;
    private javax.swing.JPanel jPanel12;
    private javax.swing.JPanel jPanel2;
    private javax.swing.JPanel jPanel3;
    private javax.swing.JPanel jPanel4;
    private javax.swing.JPanel jPanel5;
    private javax.swing.JPanel jPanel6;
    private javax.swing.JPanel jPanel7;
    private javax.swing.JPanel jPanel8;
    private javax.swing.JPanel jPanel9;
    private javax.swing.JPasswordField jPasswordField1;
    private javax.swing.JPasswordField jPasswordField2;
    private javax.swing.JPasswordField jPasswordField3;
    private javax.swing.JPasswordField jPasswordField4;
    private javax.swing.JRadioButton jRadioButton1;
    private javax.swing.JRadioButton jRadioButton2;
    private javax.swing.JScrollPane jScrollPane1;
    private javax.swing.JScrollPane jScrollPane2;
    private javax.swing.JTable jTable1;
    private javax.swing.JTextField jTextField1;
    private javax.swing.JTextField jTextField10;
    private javax.swing.JTextField jTextField11;
    private javax.swing.JTextField jTextField12;
    private javax.swing.JTextField jTextField13;
    private javax.swing.JTextField jTextField14;
    private javax.swing.JTextField jTextField15;
    private javax.swing.JTextField jTextField16;
    private javax.swing.JTextField jTextField17;
    private javax.swing.JTextField jTextField18;
    private javax.swing.JTextField jTextField19;
    private javax.swing.JTextField jTextField2;
    private javax.swing.JTextField jTextField20;
    private javax.swing.JTextField jTextField21;
    private javax.swing.JTextField jTextField22;
    private javax.swing.JTextField jTextField23;
    private javax.swing.JTextField jTextField24;
    private javax.swing.JTextField jTextField25;
    private javax.swing.JTextField jTextField26;
    private javax.swing.JTextField jTextField3;
    private javax.swing.JTextField jTextField4;
    private javax.swing.JTextField jTextField5;
    private javax.swing.JTextField jTextField6;
    private javax.swing.JTextField jTextField7;
    private javax.swing.JTextField jTextField8;
    private javax.swing.JTextField jTextField9;
    // End of variables declaration//GEN-END:variables

}
