package negocios;

import java.sql.Connection;
import java.util.Vector;

import dados.base.Funcionario;
import dados.repositorio.RepositorioFuncionario;
import exceptions.BancoDeDadosException;
import exceptions.ControleExcepttion;
import exceptions.FuncionarioJahCadastradoException;
import exceptions.FuncionarioNaoCadastradoException;


public class ControleFuncionario {
	private RepositorioFuncionario repositorioFuncionario;
	
	public ControleFuncionario(Connection conexaoBD) {
		this.repositorioFuncionario = new RepositorioFuncionario(conexaoBD);
	}
	
	public void inserirFuncionario(Funcionario funcionario) throws FuncionarioJahCadastradoException, ControleExcepttion {
		if(funcionario.getCpf().length() == 11){
			if(funcionario.getEndereco().getUf().length() == 2){
				if((funcionario.getTelefone().getDdd() + "").length() == 2){
					if((funcionario.getTelefone().getNumero() + "").length() == 8){
						if((funcionario.getEndereco().getCep() + "").length() == 8){
							this.repositorioFuncionario.inserirFuncionario(funcionario);
						}else{
							throw new ControleExcepttion("O campo CEP do endereo deve conter exatamente 8 dgitos!");
						}
					}else{
						throw new ControleExcepttion("O campo nmero de telefone deve conter exatamente 8 dgitos!");
					}
				}else{
					throw new ControleExcepttion("O campo DDD de telefone deve conter exatamente 2 dgitos!");
				}
			}else{
				throw new ControleExcepttion("O campo UF de endereo deve conter exatamente 2 letras!");
			}
		}else{
			throw new ControleExcepttion("O CPF deve conter exatamente 11 dgitos!");
		}
	}
	
	public void removerFuncionario(String CPF) throws FuncionarioNaoCadastradoException, BancoDeDadosException, ControleExcepttion {
		if(CPF.length() == 11){
			this.repositorioFuncionario.removerFuncionario(CPF);
		}else{
			throw new ControleExcepttion("O CPF deve conter 11 dgitos!");
		}
	}
	
	public Funcionario consultarFuncionario(String CPF) throws FuncionarioNaoCadastradoException, BancoDeDadosException {
		return this.repositorioFuncionario.consultarFuncionario(CPF);
	}
	
	public Vector<Funcionario> consultarFuncionariosPeloNome(String nomeDoFuncionario) throws BancoDeDadosException {
		return this.repositorioFuncionario.consultarFuncionariosPeloNome(nomeDoFuncionario);
	}
	

	public boolean verificarSenha(String CPF, String senha) throws FuncionarioNaoCadastradoException, BancoDeDadosException {
		return this.repositorioFuncionario.verificarSenha(CPF, senha);
	}
}
