package testes;

import dados.base.Ambiente;
import dados.base.Data;
import dados.base.Evento;
import dados.base.Hora;
import junit.framework.Test;
import junit.framework.TestCase;
import junit.framework.TestSuite;

public class EventoTest extends TestCase {

	public EventoTest(String stringTest) {
		super(stringTest);
	}
	
	public void testGetNome() {
		Ambiente ambiente = new Ambiente(1, 5, 5);
		Data data = new Data(10,12,2009);
		Hora hora = new Hora(5,30);
		Evento evento = new Evento(1,ambiente,data,hora,"Show", 50);
		assertTrue(evento.getNome() == "Show");
	}
//	public String getNome() {
//		return nome;
//	}
//
	
	public void testSetNome() {
		Ambiente ambiente = new Ambiente(1, 5, 5);
		Data data = new Data(10,12,2009);
		Hora hora = new Hora(5,30);
		Evento evento = new Evento(1,ambiente,data,hora,"Show", 50);
		evento.setNome("Teste");
		assertTrue("Teste" == evento.getNome());
	}
//	public void setNome(String nome) {
//		this.nome = nome;
//	}
//
	
	public void testSetAmbiente() {
		Ambiente ambiente = new Ambiente(1, 5, 5);
		Data data = new Data(10,12,2009);
		Hora hora = new Hora(5,30);
		Evento evento = new Evento(1,ambiente,data,hora,"Show", 50);
		Ambiente ambiente2 = new Ambiente(2, 5, 5);
		evento.setAmbiente(ambiente2);
		assertTrue(2 == evento.getAmbiente().getIdAmbiente());
	}
//	public void setAmbiente(Ambiente ambiente) {
//		this.ambiente = ambiente;
//	}
//
	
	public void testGetAmbiente() {
		Ambiente ambiente = new Ambiente(1, 5, 5);
		Data data = new Data(10,12,2009);
		Hora hora = new Hora(5,30);
		Evento evento = new Evento(1,ambiente,data,hora,"Show", 50);
		assertTrue(evento.getAmbiente().getIdAmbiente() == 1);
	}
//	public Ambiente getAmbiente() {
//		return ambiente;
//	}
//
	
	public void testSetData() {
		Ambiente ambiente = new Ambiente(1, 5, 5);
		Data data = new Data(10,12,2009);
		Hora hora = new Hora(5,30);
		Evento evento = new Evento(1,ambiente,data,hora,"Show", 50);
		Data data2 = new Data(2, 5, 5);
		evento.setData(data2);
		assertTrue(2 == evento.getData().getDia());
	}
//	public void setData(Data data) {
//		this.data = data;
//	}
//
	
	public void testGetData() {
		Ambiente ambiente = new Ambiente(1, 5, 5);
		Data data = new Data(10,12,2009);
		Hora hora = new Hora(5,30);
		Evento evento = new Evento(1,ambiente,data,hora,"Show", 50);
		assertTrue((evento.getData().getDia() == 10) && (evento.getData().getMes() == 12)
				&& (evento.getData().getAno() == 2009));
	}
//	public Data getData() {
//		return data;
//	}
//
	
	public void testSetHora() {
		Ambiente ambiente = new Ambiente(1, 5, 5);
		Data data = new Data(10,12,2009);
		Hora hora = new Hora(5,30);
		Evento evento = new Evento(1,ambiente,data,hora,"Show", 50);
		Hora hora2 = new Hora(2, 5);
		evento.setHora(hora2);
		assertTrue(2 == evento.getHora().getHoras());
	}
//	public void setHora(Hora hora) {
//		this.hora = hora;
//	}
//
	
	public void testGetHora() {
		Ambiente ambiente = new Ambiente(1, 5, 5);
		Data data = new Data(10,12,2009);
		Hora hora = new Hora(5,30);
		Evento evento = new Evento(1,ambiente,data,hora,"Show", 50);
		assertTrue((evento.getHora().getHoras() == 5) && (evento.getHora().getMinutos() == 30));
	}
//	public Hora getHora() {
//		return hora;
//	}
//
	
	public void testSetId() {
		Ambiente ambiente = new Ambiente(1, 5, 5);
		Data data = new Data(10,12,2009);
		Hora hora = new Hora(5,30);
		Evento evento = new Evento(1,ambiente,data,hora,"Show", 50);
		evento.setId(78);
		assertTrue(78 == evento.getId());
	}
//	public void setId(int id) {
//		this.id = id;
//	}
//
	
	public void testGetId() {
		Ambiente ambiente = new Ambiente(1, 5, 5);
		Data data = new Data(10,12,2009);
		Hora hora = new Hora(5,30);
		Evento evento = new Evento(1,ambiente,data,hora,"Show", 50);
		assertTrue(evento.getId() == 1);
	}
//	public int getId() {
//		return id;
//	}
	
	public static Test suite() {
		TestSuite suite = new TestSuite();
		
		suite.addTest(new EventoTest("testGetNome"));
		suite.addTest(new EventoTest("testSetNome"));
		suite.addTest(new EventoTest("testGetAmbiente"));
		suite.addTest(new EventoTest("testSetAmbiente"));
		suite.addTest(new EventoTest("testGetData"));
		suite.addTest(new EventoTest("testSetData"));
		suite.addTest(new EventoTest("testGetHora"));
		suite.addTest(new EventoTest("testSetHora"));
		suite.addTest(new EventoTest("testGetId"));
		suite.addTest(new EventoTest("testSetId"));
		
		return suite;
	}
	
}
