/*
 * TelaVendas.java
 *
 * Created on 17 de Novembro de 2009, 17:47
 */

package gui;

import java.awt.Cursor;
import javax.swing.ImageIcon;
import javax.swing.JLabel;

import dados.base.Evento;
import exceptions.BancoDeDadosException;
import fachada.Fachada;

/**
 *
 * @author  palb
 */
public class TelaVendas extends javax.swing.JFrame {
    
    /**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	private ImageIcon cadeiraOcupada;
    private ImageIcon cadeiraLivre;
    private ImageIcon cadeiraEscolhida;
    private ImageIcon cadeiraBranca;
    private ImageIcon sair;
    private ImageIcon sairPress;
    private ImageIcon voltar;
    private ImageIcon voltarPress;
    private ImageIcon ingresso;
    private ImageIcon ingressoLight;
    private ImageIcon ingressoDisabled;
    private ImageIcon ok;
    private ImageIcon okLight;
    private ImageIcon okPress;
    private ImageIcon okDisabled;
    private JLabel[] labels;
    private boolean[] labelsDesabilitados;
    private int ultimo;
    private boolean ingressoEnabled;
    private boolean okEnabled;
   /* private int linhas;
    private int colunas;
    private GeradorIngresso geradorIngresso;*/
    private Evento evento;
    private Fachada fachada;
    private int linhaCadeira;
    private int colunaCadeira;
    private TelaPrincipal telaPrincipal;
    
    /** Creates new form TelaVendas */
    public TelaVendas(int linhas, int colunas, Evento evento, Fachada fachada, TelaPrincipal telaPrincipal) {
        initComponents();
        
        this.setLocationRelativeTo(null);
        this.telaPrincipal = telaPrincipal;
        
        this.evento = evento;
        this.fachada = fachada;
        
        //Armazenando Labels em array;
        this.labels = new JLabel[150];
        this.setarLabels();        
        int step = 15;        
        
        this.ultimo = -1;
        
        this.ingressoEnabled = false;
        this.okEnabled = true;
        
        this.cadeiraOcupada = new ImageIcon(this.getClass().getResource("/images/cadeira_ocupada.JPG"));
        this.cadeiraLivre = new ImageIcon(this.getClass().getResource("/images/cadeira_livre.JPG"));
        this.cadeiraEscolhida = new ImageIcon(this.getClass().getResource("/images/cadeira_escolhida.JPG"));                    
        this.cadeiraBranca = new ImageIcon(this.getClass().getResource("/images/cadeira_branca.JPG"));      
        this.sair = new ImageIcon(this.getClass().getResource("/images/sair.JPG"));
        this.sairPress = new ImageIcon(this.getClass().getResource("/images/sair_press.JPG"));
        this.voltar = new ImageIcon(this.getClass().getResource("/images/voltar.JPG"));
        this.voltarPress = new ImageIcon(this.getClass().getResource("/images/voltar_press.JPG"));
        this.ingresso = new ImageIcon(this.getClass().getResource("/images/ingresso.PNG"));
        this.ingressoLight = new ImageIcon(this.getClass().getResource("/images/ingresso_light.PNG"));
        this.ingressoDisabled = new ImageIcon(this.getClass().getResource("/images/ingresso_disabled.PNG"));
        this.ok = new ImageIcon(this.getClass().getResource("/images/ok.JPG"));
        this.okLight = new ImageIcon(this.getClass().getResource("/images/ok_light.JPG"));
        this.okPress = new ImageIcon(this.getClass().getResource("/images/ok_press.JPG"));
        this.okDisabled = new ImageIcon(this.getClass().getResource("/images/ok_disabled.JPG"));
        
      
        this.labelsDesabilitados = new boolean[150];
        
        for (int i = 0; i < this.labels.length; i++) {            
            this.labels[i].setIcon(cadeiraBranca);
            this.labelsDesabilitados[i] = true;
        }
        
        for (int i = 0; i < linhas; i++){  
            for (int j = 0; j < colunas; j++){                      
                
				if (this.evento.getAmbiente().getAssentos()[i][j].getStatus(this.evento.getId()) == false) {
					this.labels[(j+(step*i))].setIcon(cadeiraLivre);
				} else {
					this.labels[(j+(step*i))].setIcon(cadeiraOcupada);
					this.labelsDesabilitados[(j+(step*i))] = false;
				}
				
                this.labels[(j+(step*i))].setCursor(Cursor.getPredefinedCursor(Cursor.HAND_CURSOR));            
                this.labels[(j+(step*i))].setToolTipText(this.getNomeCadeira((j+(step*i))));
                
            }
        } 
        
        
        this.jLabel154.setCursor(Cursor.getPredefinedCursor(Cursor.HAND_CURSOR));
        this.jLabel154.setToolTipText("Voltar");
        
        this.jLabel155.setCursor(Cursor.getPredefinedCursor(Cursor.HAND_CURSOR));
        this.jLabel155.setToolTipText("Sair");        
        
       
        
        this.jLabel157.setCursor(Cursor.getPredefinedCursor(Cursor.HAND_CURSOR));
        this.jLabel157.setToolTipText("Confirmar");
    }

    
    /** This method is called from within the constructor to
     * initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is
     * always regenerated by the Form Editor.
     */
    private String getNomeCadeira(int i){
        int linha = (i/15);
        char letra = 'a';
        String retorno = "";
        int coluna = 1;
        if (i < 15) coluna = coluna + i;
        else if (i < 30) coluna = coluna + i - 15;
        else if (i < 45) coluna = coluna + i - 30;
        else if (i < 60) coluna = coluna + i - 45;
        else if (i < 75) coluna = coluna + i - 60;
        else if (i < 90) coluna = coluna + i - 75;
        else if (i < 105) coluna = coluna + i - 90;
        else if (i < 120) coluna = coluna + i - 105;
        else if (i < 135) coluna = coluna + i - 120;
        else if (i < 150) coluna = coluna + i - 135;
        switch(linha){
            case 0:
                letra = 'A';
            break;
            case 1:
                letra = 'B';
            break;
            case 2:
                letra = 'C';
            break;
            case 3:
                letra = 'D';
            break;
            case 4:
                letra = 'E';
            break;
            case 5:
                letra = 'F';
            break;
            case 6:
                letra = 'G';
            break;
            case 7:
                letra = 'H';
            break;
            case 8:
                letra = 'I';
            break;
            case 9:
                letra = 'J';
            break;
                        
        }
        retorno = "" + letra + "" + coluna;
        return retorno;
    }
    
private void setarLabels(){
        this.labels[0] = this.jLabel1;
        this.labels[1] = this.jLabel2;
        this.labels[2] = this.jLabel3;
        this.labels[3] = this.jLabel4;
        this.labels[4] = this.jLabel5;
        this.labels[5] = this.jLabel6;
        this.labels[6] = this.jLabel7;
        this.labels[7] = this.jLabel8;
        this.labels[8] = this.jLabel9;
        this.labels[9] = this.jLabel10;
        this.labels[10] = this.jLabel11;
        this.labels[11] = this.jLabel12;
        this.labels[12] = this.jLabel13;
        this.labels[13] = this.jLabel14;
        this.labels[14] = this.jLabel15;
        this.labels[15] = this.jLabel16;
        this.labels[16] = this.jLabel17;
        this.labels[17] = this.jLabel18;
        this.labels[18] = this.jLabel19;
        this.labels[19] = this.jLabel20;
        this.labels[20] = this.jLabel21;
        this.labels[21] = this.jLabel22;
        this.labels[22] = this.jLabel23;
        this.labels[23] = this.jLabel24;
        this.labels[24] = this.jLabel25;
        this.labels[25] = this.jLabel26;
        this.labels[26] = this.jLabel27;
        this.labels[27] = this.jLabel28;
        this.labels[28] = this.jLabel29;
        this.labels[29] = this.jLabel30;
        this.labels[30] = this.jLabel31;
        this.labels[31] = this.jLabel32;
        this.labels[32] = this.jLabel33;
        this.labels[33] = this.jLabel34;
        this.labels[34] = this.jLabel35;
        this.labels[35] = this.jLabel36;
        this.labels[36] = this.jLabel37;
        this.labels[37] = this.jLabel38;
        this.labels[38] = this.jLabel39;
        this.labels[39] = this.jLabel40;
        this.labels[40] = this.jLabel41;
        this.labels[41] = this.jLabel42;
        this.labels[42] = this.jLabel43;
        this.labels[43] = this.jLabel44;
        this.labels[44] = this.jLabel45;
        this.labels[45] = this.jLabel46;
        this.labels[46] = this.jLabel47;
        this.labels[47] = this.jLabel48;
        this.labels[48] = this.jLabel49;
        this.labels[49] = this.jLabel50;
        this.labels[50] = this.jLabel51;
        this.labels[51] = this.jLabel52;
        this.labels[52] = this.jLabel53;
        this.labels[53] = this.jLabel54;
        this.labels[54] = this.jLabel55;
        this.labels[55] = this.jLabel56;
        this.labels[56] = this.jLabel57;
        this.labels[57] = this.jLabel58;
        this.labels[58] = this.jLabel59;
        this.labels[59] = this.jLabel60;
        this.labels[60] = this.jLabel61;
        this.labels[61] = this.jLabel62;
        this.labels[62] = this.jLabel63;
        this.labels[63] = this.jLabel64;
        this.labels[64] = this.jLabel65;
        this.labels[65] = this.jLabel66;
        this.labels[66] = this.jLabel67;
        this.labels[67] = this.jLabel68;
        this.labels[68] = this.jLabel69;
        this.labels[69] = this.jLabel70;
        this.labels[70] = this.jLabel71;
        this.labels[71] = this.jLabel72;
        this.labels[72] = this.jLabel73;
        this.labels[73] = this.jLabel74;
        this.labels[74] = this.jLabel75;
        this.labels[75] = this.jLabel76;
        this.labels[76] = this.jLabel77;
        this.labels[77] = this.jLabel78;
        this.labels[78] = this.jLabel79;
        this.labels[79] = this.jLabel80;
        this.labels[80] = this.jLabel81;
        this.labels[81] = this.jLabel82;
        this.labels[82] = this.jLabel83;
        this.labels[83] = this.jLabel84;
        this.labels[84] = this.jLabel85;
        this.labels[85] = this.jLabel86;
        this.labels[86] = this.jLabel87;
        this.labels[87] = this.jLabel88;
        this.labels[88] = this.jLabel89;
        this.labels[89] = this.jLabel90;
        this.labels[90] = this.jLabel91;
        this.labels[91] = this.jLabel92;
        this.labels[92] = this.jLabel93;
        this.labels[93] = this.jLabel94;
        this.labels[94] = this.jLabel95;
        this.labels[95] = this.jLabel96;
        this.labels[96] = this.jLabel97;
        this.labels[97] = this.jLabel98;
        this.labels[98] = this.jLabel99;
        this.labels[99] = this.jLabel100;
        this.labels[100] = this.jLabel101;
        this.labels[101] = this.jLabel102;
        this.labels[102] = this.jLabel103;
        this.labels[103] = this.jLabel104;
        this.labels[104] = this.jLabel105;
        this.labels[105] = this.jLabel106;
        this.labels[106] = this.jLabel107;
        this.labels[107] = this.jLabel108;
        this.labels[108] = this.jLabel109;
        this.labels[109] = this.jLabel110;
        this.labels[110] = this.jLabel111;
        this.labels[111] = this.jLabel112;
        this.labels[112] = this.jLabel113;
        this.labels[113] = this.jLabel114;
        this.labels[114] = this.jLabel115;
        this.labels[115] = this.jLabel116;
        this.labels[116] = this.jLabel117;
        this.labels[117] = this.jLabel118;
        this.labels[118] = this.jLabel119;
        this.labels[119] = this.jLabel120;
        this.labels[120] = this.jLabel121;
        this.labels[121] = this.jLabel122;
        this.labels[122] = this.jLabel123;
        this.labels[123] = this.jLabel124;
        this.labels[124] = this.jLabel125;
        this.labels[125] = this.jLabel126;
        this.labels[126] = this.jLabel127;
        this.labels[127] = this.jLabel128;
        this.labels[128] = this.jLabel129;
        this.labels[129] = this.jLabel130;
        this.labels[130] = this.jLabel131;
        this.labels[131] = this.jLabel132;
        this.labels[132] = this.jLabel133;
        this.labels[133] = this.jLabel134;
        this.labels[134] = this.jLabel135;
        this.labels[135] = this.jLabel136;
        this.labels[136] = this.jLabel137;
        this.labels[137] = this.jLabel138;
        this.labels[138] = this.jLabel139;
        this.labels[139] = this.jLabel140;
        this.labels[140] = this.jLabel141;
        this.labels[141] = this.jLabel142;
        this.labels[142] = this.jLabel143;
        this.labels[143] = this.jLabel144;
        this.labels[144] = this.jLabel145;
        this.labels[145] = this.jLabel146;
        this.labels[146] = this.jLabel147;
        this.labels[147] = this.jLabel148;
        this.labels[148] = this.jLabel149;
        this.labels[149] = this.jLabel150;
    }
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        jPanel1 = new javax.swing.JPanel();
        jLabel151 = new javax.swing.JLabel();
        jLabel152 = new javax.swing.JLabel();
        jPanel2 = new javax.swing.JPanel();
        jLabel16 = new javax.swing.JLabel();
        jLabel17 = new javax.swing.JLabel();
        jLabel18 = new javax.swing.JLabel();
        jLabel19 = new javax.swing.JLabel();
        jLabel20 = new javax.swing.JLabel();
        jLabel21 = new javax.swing.JLabel();
        jLabel22 = new javax.swing.JLabel();
        jLabel23 = new javax.swing.JLabel();
        jLabel24 = new javax.swing.JLabel();
        jLabel25 = new javax.swing.JLabel();
        jLabel26 = new javax.swing.JLabel();
        jLabel27 = new javax.swing.JLabel();
        jLabel28 = new javax.swing.JLabel();
        jLabel29 = new javax.swing.JLabel();
        jLabel30 = new javax.swing.JLabel();
        jLabel31 = new javax.swing.JLabel();
        jLabel32 = new javax.swing.JLabel();
        jLabel33 = new javax.swing.JLabel();
        jLabel34 = new javax.swing.JLabel();
        jLabel35 = new javax.swing.JLabel();
        jLabel36 = new javax.swing.JLabel();
        jLabel37 = new javax.swing.JLabel();
        jLabel38 = new javax.swing.JLabel();
        jLabel39 = new javax.swing.JLabel();
        jLabel40 = new javax.swing.JLabel();
        jLabel41 = new javax.swing.JLabel();
        jLabel42 = new javax.swing.JLabel();
        jLabel43 = new javax.swing.JLabel();
        jLabel44 = new javax.swing.JLabel();
        jLabel45 = new javax.swing.JLabel();
        jLabel46 = new javax.swing.JLabel();
        jLabel47 = new javax.swing.JLabel();
        jLabel48 = new javax.swing.JLabel();
        jLabel49 = new javax.swing.JLabel();
        jLabel50 = new javax.swing.JLabel();
        jLabel51 = new javax.swing.JLabel();
        jLabel52 = new javax.swing.JLabel();
        jLabel53 = new javax.swing.JLabel();
        jLabel54 = new javax.swing.JLabel();
        jLabel55 = new javax.swing.JLabel();
        jLabel56 = new javax.swing.JLabel();
        jLabel57 = new javax.swing.JLabel();
        jLabel58 = new javax.swing.JLabel();
        jLabel59 = new javax.swing.JLabel();
        jLabel60 = new javax.swing.JLabel();
        jLabel61 = new javax.swing.JLabel();
        jLabel62 = new javax.swing.JLabel();
        jLabel63 = new javax.swing.JLabel();
        jLabel64 = new javax.swing.JLabel();
        jLabel65 = new javax.swing.JLabel();
        jLabel66 = new javax.swing.JLabel();
        jLabel67 = new javax.swing.JLabel();
        jLabel68 = new javax.swing.JLabel();
        jLabel69 = new javax.swing.JLabel();
        jLabel70 = new javax.swing.JLabel();
        jLabel71 = new javax.swing.JLabel();
        jLabel72 = new javax.swing.JLabel();
        jLabel73 = new javax.swing.JLabel();
        jLabel74 = new javax.swing.JLabel();
        jLabel75 = new javax.swing.JLabel();
        jLabel76 = new javax.swing.JLabel();
        jLabel77 = new javax.swing.JLabel();
        jLabel78 = new javax.swing.JLabel();
        jLabel79 = new javax.swing.JLabel();
        jLabel80 = new javax.swing.JLabel();
        jLabel81 = new javax.swing.JLabel();
        jLabel82 = new javax.swing.JLabel();
        jLabel83 = new javax.swing.JLabel();
        jLabel84 = new javax.swing.JLabel();
        jLabel85 = new javax.swing.JLabel();
        jLabel86 = new javax.swing.JLabel();
        jLabel87 = new javax.swing.JLabel();
        jLabel88 = new javax.swing.JLabel();
        jLabel89 = new javax.swing.JLabel();
        jLabel90 = new javax.swing.JLabel();
        jLabel91 = new javax.swing.JLabel();
        jLabel92 = new javax.swing.JLabel();
        jLabel93 = new javax.swing.JLabel();
        jLabel94 = new javax.swing.JLabel();
        jLabel95 = new javax.swing.JLabel();
        jLabel96 = new javax.swing.JLabel();
        jLabel97 = new javax.swing.JLabel();
        jLabel98 = new javax.swing.JLabel();
        jLabel99 = new javax.swing.JLabel();
        jLabel100 = new javax.swing.JLabel();
        jLabel101 = new javax.swing.JLabel();
        jLabel102 = new javax.swing.JLabel();
        jLabel103 = new javax.swing.JLabel();
        jLabel104 = new javax.swing.JLabel();
        jLabel105 = new javax.swing.JLabel();
        jLabel106 = new javax.swing.JLabel();
        jLabel107 = new javax.swing.JLabel();
        jLabel108 = new javax.swing.JLabel();
        jLabel109 = new javax.swing.JLabel();
        jLabel110 = new javax.swing.JLabel();
        jLabel111 = new javax.swing.JLabel();
        jLabel112 = new javax.swing.JLabel();
        jLabel113 = new javax.swing.JLabel();
        jLabel114 = new javax.swing.JLabel();
        jLabel115 = new javax.swing.JLabel();
        jLabel116 = new javax.swing.JLabel();
        jLabel117 = new javax.swing.JLabel();
        jLabel118 = new javax.swing.JLabel();
        jLabel119 = new javax.swing.JLabel();
        jLabel120 = new javax.swing.JLabel();
        jLabel121 = new javax.swing.JLabel();
        jLabel122 = new javax.swing.JLabel();
        jLabel123 = new javax.swing.JLabel();
        jLabel124 = new javax.swing.JLabel();
        jLabel125 = new javax.swing.JLabel();
        jLabel126 = new javax.swing.JLabel();
        jLabel127 = new javax.swing.JLabel();
        jLabel128 = new javax.swing.JLabel();
        jLabel129 = new javax.swing.JLabel();
        jLabel130 = new javax.swing.JLabel();
        jLabel131 = new javax.swing.JLabel();
        jLabel132 = new javax.swing.JLabel();
        jLabel133 = new javax.swing.JLabel();
        jLabel134 = new javax.swing.JLabel();
        jLabel135 = new javax.swing.JLabel();
        jLabel1 = new javax.swing.JLabel();
        jLabel2 = new javax.swing.JLabel();
        jLabel3 = new javax.swing.JLabel();
        jLabel4 = new javax.swing.JLabel();
        jLabel5 = new javax.swing.JLabel();
        jLabel6 = new javax.swing.JLabel();
        jLabel7 = new javax.swing.JLabel();
        jLabel8 = new javax.swing.JLabel();
        jLabel9 = new javax.swing.JLabel();
        jLabel10 = new javax.swing.JLabel();
        jLabel11 = new javax.swing.JLabel();
        jLabel12 = new javax.swing.JLabel();
        jLabel13 = new javax.swing.JLabel();
        jLabel14 = new javax.swing.JLabel();
        jLabel15 = new javax.swing.JLabel();
        jLabel136 = new javax.swing.JLabel();
        jLabel137 = new javax.swing.JLabel();
        jLabel138 = new javax.swing.JLabel();
        jLabel139 = new javax.swing.JLabel();
        jLabel140 = new javax.swing.JLabel();
        jLabel141 = new javax.swing.JLabel();
        jLabel142 = new javax.swing.JLabel();
        jLabel143 = new javax.swing.JLabel();
        jLabel144 = new javax.swing.JLabel();
        jLabel145 = new javax.swing.JLabel();
        jLabel146 = new javax.swing.JLabel();
        jLabel147 = new javax.swing.JLabel();
        jLabel148 = new javax.swing.JLabel();
        jLabel149 = new javax.swing.JLabel();
        jLabel150 = new javax.swing.JLabel();
        jLabel153 = new javax.swing.JLabel();
        jLabel154 = new javax.swing.JLabel();
        jLabel155 = new javax.swing.JLabel();
        jLabel156 = new javax.swing.JLabel();
        jLabel157 = new javax.swing.JLabel();

        setDefaultCloseOperation(javax.swing.WindowConstants.EXIT_ON_CLOSE);

        jPanel1.setBackground(new java.awt.Color(255, 255, 255));

        jLabel151.setIcon(new javax.swing.ImageIcon(getClass().getResource("/images/numeracao.PNG"))); // NOI18N

        jLabel152.setIcon(new javax.swing.ImageIcon(getClass().getResource("/images/letras.PNG"))); // NOI18N

        jPanel2.setBackground(new java.awt.Color(255, 255, 255));

        jLabel16.setIcon(new javax.swing.ImageIcon(getClass().getResource("/images/cadeira_livre.JPG"))); // NOI18N
        jLabel16.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                jLabel16MouseClicked(evt);
            }
        });

        jLabel17.setIcon(new javax.swing.ImageIcon(getClass().getResource("/images/cadeira_livre.JPG"))); // NOI18N
        jLabel17.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                jLabel17MouseClicked(evt);
            }
        });

        jLabel18.setIcon(new javax.swing.ImageIcon(getClass().getResource("/images/cadeira_livre.JPG"))); // NOI18N
        jLabel18.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                jLabel18MouseClicked(evt);
            }
        });

        jLabel19.setIcon(new javax.swing.ImageIcon(getClass().getResource("/images/cadeira_livre.JPG"))); // NOI18N
        jLabel19.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                jLabel19MouseClicked(evt);
            }
        });

        jLabel20.setIcon(new javax.swing.ImageIcon(getClass().getResource("/images/cadeira_livre.JPG"))); // NOI18N
        jLabel20.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                jLabel20MouseClicked(evt);
            }
        });

        jLabel21.setIcon(new javax.swing.ImageIcon(getClass().getResource("/images/cadeira_livre.JPG"))); // NOI18N
        jLabel21.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                jLabel21MouseClicked(evt);
            }
        });

        jLabel22.setIcon(new javax.swing.ImageIcon(getClass().getResource("/images/cadeira_livre.JPG"))); // NOI18N
        jLabel22.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                jLabel22MouseClicked(evt);
            }
        });

        jLabel23.setIcon(new javax.swing.ImageIcon(getClass().getResource("/images/cadeira_livre.JPG"))); // NOI18N
        jLabel23.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                jLabel23MouseClicked(evt);
            }
        });

        jLabel24.setIcon(new javax.swing.ImageIcon(getClass().getResource("/images/cadeira_livre.JPG"))); // NOI18N
        jLabel24.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                jLabel24MouseClicked(evt);
            }
        });

        jLabel25.setIcon(new javax.swing.ImageIcon(getClass().getResource("/images/cadeira_livre.JPG"))); // NOI18N
        jLabel25.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                jLabel25MouseClicked(evt);
            }
        });

        jLabel26.setIcon(new javax.swing.ImageIcon(getClass().getResource("/images/cadeira_livre.JPG"))); // NOI18N
        jLabel26.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                jLabel26MouseClicked(evt);
            }
        });

        jLabel27.setIcon(new javax.swing.ImageIcon(getClass().getResource("/images/cadeira_livre.JPG"))); // NOI18N
        jLabel27.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                jLabel27MouseClicked(evt);
            }
        });

        jLabel28.setIcon(new javax.swing.ImageIcon(getClass().getResource("/images/cadeira_livre.JPG"))); // NOI18N
        jLabel28.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                jLabel28MouseClicked(evt);
            }
        });

        jLabel29.setIcon(new javax.swing.ImageIcon(getClass().getResource("/images/cadeira_livre.JPG"))); // NOI18N
        jLabel29.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                jLabel29MouseClicked(evt);
            }
        });

        jLabel30.setIcon(new javax.swing.ImageIcon(getClass().getResource("/images/cadeira_livre.JPG"))); // NOI18N
        jLabel30.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                jLabel30MouseClicked(evt);
            }
        });

        jLabel31.setIcon(new javax.swing.ImageIcon(getClass().getResource("/images/cadeira_livre.JPG"))); // NOI18N
        jLabel31.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                jLabel31MouseClicked(evt);
            }
        });

        jLabel32.setIcon(new javax.swing.ImageIcon(getClass().getResource("/images/cadeira_livre.JPG"))); // NOI18N
        jLabel32.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                jLabel32MouseClicked(evt);
            }
        });

        jLabel33.setIcon(new javax.swing.ImageIcon(getClass().getResource("/images/cadeira_livre.JPG"))); // NOI18N
        jLabel33.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                jLabel33MouseClicked(evt);
            }
        });

        jLabel34.setIcon(new javax.swing.ImageIcon(getClass().getResource("/images/cadeira_livre.JPG"))); // NOI18N
        jLabel34.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                jLabel34MouseClicked(evt);
            }
        });

        jLabel35.setIcon(new javax.swing.ImageIcon(getClass().getResource("/images/cadeira_livre.JPG"))); // NOI18N
        jLabel35.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                jLabel35MouseClicked(evt);
            }
        });

        jLabel36.setIcon(new javax.swing.ImageIcon(getClass().getResource("/images/cadeira_livre.JPG"))); // NOI18N
        jLabel36.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                jLabel36MouseClicked(evt);
            }
        });

        jLabel37.setIcon(new javax.swing.ImageIcon(getClass().getResource("/images/cadeira_livre.JPG"))); // NOI18N
        jLabel37.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                jLabel37MouseClicked(evt);
            }
        });

        jLabel38.setIcon(new javax.swing.ImageIcon(getClass().getResource("/images/cadeira_livre.JPG"))); // NOI18N
        jLabel38.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                jLabel38MouseClicked(evt);
            }
        });

        jLabel39.setIcon(new javax.swing.ImageIcon(getClass().getResource("/images/cadeira_livre.JPG"))); // NOI18N
        jLabel39.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                jLabel39MouseClicked(evt);
            }
        });

        jLabel40.setIcon(new javax.swing.ImageIcon(getClass().getResource("/images/cadeira_livre.JPG"))); // NOI18N
        jLabel40.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                jLabel40MouseClicked(evt);
            }
        });

        jLabel41.setIcon(new javax.swing.ImageIcon(getClass().getResource("/images/cadeira_livre.JPG"))); // NOI18N
        jLabel41.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                jLabel41MouseClicked(evt);
            }
        });

        jLabel42.setIcon(new javax.swing.ImageIcon(getClass().getResource("/images/cadeira_livre.JPG"))); // NOI18N
        jLabel42.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                jLabel42MouseClicked(evt);
            }
        });

        jLabel43.setIcon(new javax.swing.ImageIcon(getClass().getResource("/images/cadeira_livre.JPG"))); // NOI18N
        jLabel43.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                jLabel43MouseClicked(evt);
            }
        });

        jLabel44.setIcon(new javax.swing.ImageIcon(getClass().getResource("/images/cadeira_livre.JPG"))); // NOI18N
        jLabel44.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                jLabel44MouseClicked(evt);
            }
        });

        jLabel45.setIcon(new javax.swing.ImageIcon(getClass().getResource("/images/cadeira_livre.JPG"))); // NOI18N
        jLabel45.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                jLabel45MouseClicked(evt);
            }
        });

        jLabel46.setIcon(new javax.swing.ImageIcon(getClass().getResource("/images/cadeira_livre.JPG"))); // NOI18N
        jLabel46.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                jLabel46MouseClicked(evt);
            }
        });

        jLabel47.setIcon(new javax.swing.ImageIcon(getClass().getResource("/images/cadeira_livre.JPG"))); // NOI18N
        jLabel47.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                jLabel47MouseClicked(evt);
            }
        });

        jLabel48.setIcon(new javax.swing.ImageIcon(getClass().getResource("/images/cadeira_livre.JPG"))); // NOI18N
        jLabel48.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                jLabel48MouseClicked(evt);
            }
        });

        jLabel49.setIcon(new javax.swing.ImageIcon(getClass().getResource("/images/cadeira_livre.JPG"))); // NOI18N
        jLabel49.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                jLabel49MouseClicked(evt);
            }
        });

        jLabel50.setIcon(new javax.swing.ImageIcon(getClass().getResource("/images/cadeira_livre.JPG"))); // NOI18N
        jLabel50.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                jLabel50MouseClicked(evt);
            }
        });

        jLabel51.setIcon(new javax.swing.ImageIcon(getClass().getResource("/images/cadeira_livre.JPG"))); // NOI18N
        jLabel51.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                jLabel51MouseClicked(evt);
            }
        });

        jLabel52.setIcon(new javax.swing.ImageIcon(getClass().getResource("/images/cadeira_livre.JPG"))); // NOI18N
        jLabel52.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                jLabel52MouseClicked(evt);
            }
        });

        jLabel53.setIcon(new javax.swing.ImageIcon(getClass().getResource("/images/cadeira_livre.JPG"))); // NOI18N
        jLabel53.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                jLabel53MouseClicked(evt);
            }
        });

        jLabel54.setIcon(new javax.swing.ImageIcon(getClass().getResource("/images/cadeira_livre.JPG"))); // NOI18N
        jLabel54.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                jLabel54MouseClicked(evt);
            }
        });

        jLabel55.setIcon(new javax.swing.ImageIcon(getClass().getResource("/images/cadeira_livre.JPG"))); // NOI18N
        jLabel55.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                jLabel55MouseClicked(evt);
            }
        });

        jLabel56.setIcon(new javax.swing.ImageIcon(getClass().getResource("/images/cadeira_livre.JPG"))); // NOI18N
        jLabel56.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                jLabel56MouseClicked(evt);
            }
        });

        jLabel57.setIcon(new javax.swing.ImageIcon(getClass().getResource("/images/cadeira_livre.JPG"))); // NOI18N
        jLabel57.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                jLabel57MouseClicked(evt);
            }
        });

        jLabel58.setIcon(new javax.swing.ImageIcon(getClass().getResource("/images/cadeira_livre.JPG"))); // NOI18N
        jLabel58.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                jLabel58MouseClicked(evt);
            }
        });

        jLabel59.setIcon(new javax.swing.ImageIcon(getClass().getResource("/images/cadeira_livre.JPG"))); // NOI18N
        jLabel59.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                jLabel59MouseClicked(evt);
            }
        });

        jLabel60.setIcon(new javax.swing.ImageIcon(getClass().getResource("/images/cadeira_livre.JPG"))); // NOI18N
        jLabel60.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                jLabel60MouseClicked(evt);
            }
        });

        jLabel61.setIcon(new javax.swing.ImageIcon(getClass().getResource("/images/cadeira_livre.JPG"))); // NOI18N
        jLabel61.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                jLabel61MouseClicked(evt);
            }
        });

        jLabel62.setIcon(new javax.swing.ImageIcon(getClass().getResource("/images/cadeira_livre.JPG"))); // NOI18N
        jLabel62.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                jLabel62MouseClicked(evt);
            }
        });

        jLabel63.setIcon(new javax.swing.ImageIcon(getClass().getResource("/images/cadeira_livre.JPG"))); // NOI18N
        jLabel63.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                jLabel63MouseClicked(evt);
            }
        });

        jLabel64.setIcon(new javax.swing.ImageIcon(getClass().getResource("/images/cadeira_livre.JPG"))); // NOI18N
        jLabel64.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                jLabel64MouseClicked(evt);
            }
        });

        jLabel65.setIcon(new javax.swing.ImageIcon(getClass().getResource("/images/cadeira_livre.JPG"))); // NOI18N
        jLabel65.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                jLabel65MouseClicked(evt);
            }
        });

        jLabel66.setIcon(new javax.swing.ImageIcon(getClass().getResource("/images/cadeira_livre.JPG"))); // NOI18N
        jLabel66.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                jLabel66MouseClicked(evt);
            }
        });

        jLabel67.setIcon(new javax.swing.ImageIcon(getClass().getResource("/images/cadeira_livre.JPG"))); // NOI18N
        jLabel67.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                jLabel67MouseClicked(evt);
            }
        });

        jLabel68.setIcon(new javax.swing.ImageIcon(getClass().getResource("/images/cadeira_livre.JPG"))); // NOI18N
        jLabel68.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                jLabel68MouseClicked(evt);
            }
        });

        jLabel69.setIcon(new javax.swing.ImageIcon(getClass().getResource("/images/cadeira_livre.JPG"))); // NOI18N
        jLabel69.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                jLabel69MouseClicked(evt);
            }
        });

        jLabel70.setIcon(new javax.swing.ImageIcon(getClass().getResource("/images/cadeira_livre.JPG"))); // NOI18N
        jLabel70.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                jLabel70MouseClicked(evt);
            }
        });

        jLabel71.setIcon(new javax.swing.ImageIcon(getClass().getResource("/images/cadeira_livre.JPG"))); // NOI18N
        jLabel71.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                jLabel71MouseClicked(evt);
            }
        });

        jLabel72.setIcon(new javax.swing.ImageIcon(getClass().getResource("/images/cadeira_livre.JPG"))); // NOI18N
        jLabel72.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                jLabel72MouseClicked(evt);
            }
        });

        jLabel73.setIcon(new javax.swing.ImageIcon(getClass().getResource("/images/cadeira_livre.JPG"))); // NOI18N
        jLabel73.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                jLabel73MouseClicked(evt);
            }
        });

        jLabel74.setIcon(new javax.swing.ImageIcon(getClass().getResource("/images/cadeira_livre.JPG"))); // NOI18N
        jLabel74.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                jLabel74MouseClicked(evt);
            }
        });

        jLabel75.setIcon(new javax.swing.ImageIcon(getClass().getResource("/images/cadeira_livre.JPG"))); // NOI18N
        jLabel75.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                jLabel75MouseClicked(evt);
            }
        });

        jLabel76.setIcon(new javax.swing.ImageIcon(getClass().getResource("/images/cadeira_livre.JPG"))); // NOI18N
        jLabel76.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                jLabel76MouseClicked(evt);
            }
        });

        jLabel77.setIcon(new javax.swing.ImageIcon(getClass().getResource("/images/cadeira_livre.JPG"))); // NOI18N
        jLabel77.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                jLabel77MouseClicked(evt);
            }
        });

        jLabel78.setIcon(new javax.swing.ImageIcon(getClass().getResource("/images/cadeira_livre.JPG"))); // NOI18N
        jLabel78.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                jLabel78MouseClicked(evt);
            }
        });

        jLabel79.setIcon(new javax.swing.ImageIcon(getClass().getResource("/images/cadeira_livre.JPG"))); // NOI18N
        jLabel79.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                jLabel79MouseClicked(evt);
            }
        });

        jLabel80.setIcon(new javax.swing.ImageIcon(getClass().getResource("/images/cadeira_livre.JPG"))); // NOI18N
        jLabel80.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                jLabel80MouseClicked(evt);
            }
        });

        jLabel81.setIcon(new javax.swing.ImageIcon(getClass().getResource("/images/cadeira_livre.JPG"))); // NOI18N
        jLabel81.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                jLabel81MouseClicked(evt);
            }
        });

        jLabel82.setIcon(new javax.swing.ImageIcon(getClass().getResource("/images/cadeira_livre.JPG"))); // NOI18N
        jLabel82.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                jLabel82MouseClicked(evt);
            }
        });

        jLabel83.setIcon(new javax.swing.ImageIcon(getClass().getResource("/images/cadeira_livre.JPG"))); // NOI18N
        jLabel83.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                jLabel83MouseClicked(evt);
            }
        });

        jLabel84.setIcon(new javax.swing.ImageIcon(getClass().getResource("/images/cadeira_livre.JPG"))); // NOI18N
        jLabel84.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                jLabel84MouseClicked(evt);
            }
        });

        jLabel85.setIcon(new javax.swing.ImageIcon(getClass().getResource("/images/cadeira_livre.JPG"))); // NOI18N
        jLabel85.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                jLabel85MouseClicked(evt);
            }
        });

        jLabel86.setIcon(new javax.swing.ImageIcon(getClass().getResource("/images/cadeira_livre.JPG"))); // NOI18N
        jLabel86.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                jLabel86MouseClicked(evt);
            }
        });

        jLabel87.setIcon(new javax.swing.ImageIcon(getClass().getResource("/images/cadeira_livre.JPG"))); // NOI18N
        jLabel87.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                jLabel87MouseClicked(evt);
            }
        });

        jLabel88.setIcon(new javax.swing.ImageIcon(getClass().getResource("/images/cadeira_livre.JPG"))); // NOI18N
        jLabel88.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                jLabel88MouseClicked(evt);
            }
        });

        jLabel89.setIcon(new javax.swing.ImageIcon(getClass().getResource("/images/cadeira_livre.JPG"))); // NOI18N
        jLabel89.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                jLabel89MouseClicked(evt);
            }
        });

        jLabel90.setIcon(new javax.swing.ImageIcon(getClass().getResource("/images/cadeira_livre.JPG"))); // NOI18N
        jLabel90.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                jLabel90MouseClicked(evt);
            }
        });

        jLabel91.setIcon(new javax.swing.ImageIcon(getClass().getResource("/images/cadeira_livre.JPG"))); // NOI18N
        jLabel91.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                jLabel91MouseClicked(evt);
            }
        });

        jLabel92.setIcon(new javax.swing.ImageIcon(getClass().getResource("/images/cadeira_livre.JPG"))); // NOI18N
        jLabel92.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                jLabel92MouseClicked(evt);
            }
        });

        jLabel93.setIcon(new javax.swing.ImageIcon(getClass().getResource("/images/cadeira_livre.JPG"))); // NOI18N
        jLabel93.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                jLabel93MouseClicked(evt);
            }
        });

        jLabel94.setIcon(new javax.swing.ImageIcon(getClass().getResource("/images/cadeira_livre.JPG"))); // NOI18N
        jLabel94.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                jLabel94MouseClicked(evt);
            }
        });

        jLabel95.setIcon(new javax.swing.ImageIcon(getClass().getResource("/images/cadeira_livre.JPG"))); // NOI18N
        jLabel95.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                jLabel95MouseClicked(evt);
            }
        });

        jLabel96.setIcon(new javax.swing.ImageIcon(getClass().getResource("/images/cadeira_livre.JPG"))); // NOI18N
        jLabel96.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                jLabel96MouseClicked(evt);
            }
        });

        jLabel97.setIcon(new javax.swing.ImageIcon(getClass().getResource("/images/cadeira_livre.JPG"))); // NOI18N
        jLabel97.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                jLabel97MouseClicked(evt);
            }
        });

        jLabel98.setIcon(new javax.swing.ImageIcon(getClass().getResource("/images/cadeira_livre.JPG"))); // NOI18N
        jLabel98.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                jLabel98MouseClicked(evt);
            }
        });

        jLabel99.setIcon(new javax.swing.ImageIcon(getClass().getResource("/images/cadeira_livre.JPG"))); // NOI18N
        jLabel99.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                jLabel99MouseClicked(evt);
            }
        });

        jLabel100.setIcon(new javax.swing.ImageIcon(getClass().getResource("/images/cadeira_livre.JPG"))); // NOI18N
        jLabel100.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                jLabel100MouseClicked(evt);
            }
        });

        jLabel101.setIcon(new javax.swing.ImageIcon(getClass().getResource("/images/cadeira_livre.JPG"))); // NOI18N
        jLabel101.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                jLabel101MouseClicked(evt);
            }
        });

        jLabel102.setIcon(new javax.swing.ImageIcon(getClass().getResource("/images/cadeira_livre.JPG"))); // NOI18N
        jLabel102.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                jLabel102MouseClicked(evt);
            }
        });

        jLabel103.setIcon(new javax.swing.ImageIcon(getClass().getResource("/images/cadeira_livre.JPG"))); // NOI18N
        jLabel103.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                jLabel103MouseClicked(evt);
            }
        });

        jLabel104.setIcon(new javax.swing.ImageIcon(getClass().getResource("/images/cadeira_livre.JPG"))); // NOI18N
        jLabel104.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                jLabel104MouseClicked(evt);
            }
        });

        jLabel105.setIcon(new javax.swing.ImageIcon(getClass().getResource("/images/cadeira_livre.JPG"))); // NOI18N
        jLabel105.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                jLabel105MouseClicked(evt);
            }
        });

        jLabel106.setIcon(new javax.swing.ImageIcon(getClass().getResource("/images/cadeira_livre.JPG"))); // NOI18N
        jLabel106.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                jLabel106MouseClicked(evt);
            }
        });

        jLabel107.setIcon(new javax.swing.ImageIcon(getClass().getResource("/images/cadeira_livre.JPG"))); // NOI18N
        jLabel107.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                jLabel107MouseClicked(evt);
            }
        });

        jLabel108.setIcon(new javax.swing.ImageIcon(getClass().getResource("/images/cadeira_livre.JPG"))); // NOI18N
        jLabel108.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                jLabel108MouseClicked(evt);
            }
        });

        jLabel109.setIcon(new javax.swing.ImageIcon(getClass().getResource("/images/cadeira_livre.JPG"))); // NOI18N
        jLabel109.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                jLabel109MouseClicked(evt);
            }
        });

        jLabel110.setIcon(new javax.swing.ImageIcon(getClass().getResource("/images/cadeira_livre.JPG"))); // NOI18N
        jLabel110.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                jLabel110MouseClicked(evt);
            }
        });

        jLabel111.setIcon(new javax.swing.ImageIcon(getClass().getResource("/images/cadeira_livre.JPG"))); // NOI18N
        jLabel111.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                jLabel111MouseClicked(evt);
            }
        });

        jLabel112.setIcon(new javax.swing.ImageIcon(getClass().getResource("/images/cadeira_livre.JPG"))); // NOI18N
        jLabel112.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                jLabel112MouseClicked(evt);
            }
        });

        jLabel113.setIcon(new javax.swing.ImageIcon(getClass().getResource("/images/cadeira_livre.JPG"))); // NOI18N
        jLabel113.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                jLabel113MouseClicked(evt);
            }
        });

        jLabel114.setIcon(new javax.swing.ImageIcon(getClass().getResource("/images/cadeira_livre.JPG"))); // NOI18N
        jLabel114.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                jLabel114MouseClicked(evt);
            }
        });

        jLabel115.setIcon(new javax.swing.ImageIcon(getClass().getResource("/images/cadeira_livre.JPG"))); // NOI18N
        jLabel115.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                jLabel115MouseClicked(evt);
            }
        });

        jLabel116.setIcon(new javax.swing.ImageIcon(getClass().getResource("/images/cadeira_livre.JPG"))); // NOI18N
        jLabel116.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                jLabel116MouseClicked(evt);
            }
        });

        jLabel117.setIcon(new javax.swing.ImageIcon(getClass().getResource("/images/cadeira_livre.JPG"))); // NOI18N
        jLabel117.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                jLabel117MouseClicked(evt);
            }
        });

        jLabel118.setIcon(new javax.swing.ImageIcon(getClass().getResource("/images/cadeira_livre.JPG"))); // NOI18N
        jLabel118.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                jLabel118MouseClicked(evt);
            }
        });

        jLabel119.setIcon(new javax.swing.ImageIcon(getClass().getResource("/images/cadeira_livre.JPG"))); // NOI18N
        jLabel119.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                jLabel119MouseClicked(evt);
            }
        });

        jLabel120.setIcon(new javax.swing.ImageIcon(getClass().getResource("/images/cadeira_livre.JPG"))); // NOI18N
        jLabel120.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                jLabel120MouseClicked(evt);
            }
        });

        jLabel121.setIcon(new javax.swing.ImageIcon(getClass().getResource("/images/cadeira_livre.JPG"))); // NOI18N
        jLabel121.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                jLabel121MouseClicked(evt);
            }
        });

        jLabel122.setIcon(new javax.swing.ImageIcon(getClass().getResource("/images/cadeira_livre.JPG"))); // NOI18N
        jLabel122.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                jLabel122MouseClicked(evt);
            }
        });

        jLabel123.setIcon(new javax.swing.ImageIcon(getClass().getResource("/images/cadeira_livre.JPG"))); // NOI18N
        jLabel123.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                jLabel123MouseClicked(evt);
            }
        });

        jLabel124.setIcon(new javax.swing.ImageIcon(getClass().getResource("/images/cadeira_livre.JPG"))); // NOI18N
        jLabel124.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                jLabel124MouseClicked(evt);
            }
        });

        jLabel125.setIcon(new javax.swing.ImageIcon(getClass().getResource("/images/cadeira_livre.JPG"))); // NOI18N
        jLabel125.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                jLabel125MouseClicked(evt);
            }
        });

        jLabel126.setIcon(new javax.swing.ImageIcon(getClass().getResource("/images/cadeira_livre.JPG"))); // NOI18N
        jLabel126.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                jLabel126MouseClicked(evt);
            }
        });

        jLabel127.setIcon(new javax.swing.ImageIcon(getClass().getResource("/images/cadeira_livre.JPG"))); // NOI18N
        jLabel127.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                jLabel127MouseClicked(evt);
            }
        });

        jLabel128.setIcon(new javax.swing.ImageIcon(getClass().getResource("/images/cadeira_livre.JPG"))); // NOI18N
        jLabel128.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                jLabel128MouseClicked(evt);
            }
        });

        jLabel129.setIcon(new javax.swing.ImageIcon(getClass().getResource("/images/cadeira_livre.JPG"))); // NOI18N
        jLabel129.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                jLabel129MouseClicked(evt);
            }
        });

        jLabel130.setIcon(new javax.swing.ImageIcon(getClass().getResource("/images/cadeira_livre.JPG"))); // NOI18N
        jLabel130.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                jLabel130MouseClicked(evt);
            }
        });

        jLabel131.setIcon(new javax.swing.ImageIcon(getClass().getResource("/images/cadeira_livre.JPG"))); // NOI18N
        jLabel131.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                jLabel131MouseClicked(evt);
            }
        });

        jLabel132.setIcon(new javax.swing.ImageIcon(getClass().getResource("/images/cadeira_livre.JPG"))); // NOI18N
        jLabel132.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                jLabel132MouseClicked(evt);
            }
        });

        jLabel133.setIcon(new javax.swing.ImageIcon(getClass().getResource("/images/cadeira_livre.JPG"))); // NOI18N
        jLabel133.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                jLabel133MouseClicked(evt);
            }
        });

        jLabel134.setIcon(new javax.swing.ImageIcon(getClass().getResource("/images/cadeira_livre.JPG"))); // NOI18N
        jLabel134.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                jLabel134MouseClicked(evt);
            }
        });

        jLabel135.setIcon(new javax.swing.ImageIcon(getClass().getResource("/images/cadeira_livre.JPG"))); // NOI18N
        jLabel135.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                jLabel135MouseClicked(evt);
            }
        });

        jLabel1.setIcon(new javax.swing.ImageIcon(getClass().getResource("/images/cadeira_livre.JPG"))); // NOI18N
        jLabel1.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                jLabel1MouseClicked(evt);
            }
        });

        jLabel2.setIcon(new javax.swing.ImageIcon(getClass().getResource("/images/cadeira_livre.JPG"))); // NOI18N
        jLabel2.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                jLabel2MouseClicked(evt);
            }
        });

        jLabel3.setIcon(new javax.swing.ImageIcon(getClass().getResource("/images/cadeira_livre.JPG"))); // NOI18N
        jLabel3.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                jLabel3MouseClicked(evt);
            }
        });

        jLabel4.setIcon(new javax.swing.ImageIcon(getClass().getResource("/images/cadeira_livre.JPG"))); // NOI18N
        jLabel4.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                jLabel4MouseClicked(evt);
            }
        });

        jLabel5.setIcon(new javax.swing.ImageIcon(getClass().getResource("/images/cadeira_livre.JPG"))); // NOI18N
        jLabel5.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                jLabel5MouseClicked(evt);
            }
        });

        jLabel6.setIcon(new javax.swing.ImageIcon(getClass().getResource("/images/cadeira_livre.JPG"))); // NOI18N
        jLabel6.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                jLabel6MouseClicked(evt);
            }
        });

        jLabel7.setIcon(new javax.swing.ImageIcon(getClass().getResource("/images/cadeira_livre.JPG"))); // NOI18N
        jLabel7.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                jLabel7MouseClicked(evt);
            }
        });

        jLabel8.setIcon(new javax.swing.ImageIcon(getClass().getResource("/images/cadeira_livre.JPG"))); // NOI18N
        jLabel8.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                jLabel8MouseClicked(evt);
            }
        });

        jLabel9.setIcon(new javax.swing.ImageIcon(getClass().getResource("/images/cadeira_livre.JPG"))); // NOI18N
        jLabel9.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                jLabel9MouseClicked(evt);
            }
        });

        jLabel10.setIcon(new javax.swing.ImageIcon(getClass().getResource("/images/cadeira_livre.JPG"))); // NOI18N
        jLabel10.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                jLabel10MouseClicked(evt);
            }
        });

        jLabel11.setIcon(new javax.swing.ImageIcon(getClass().getResource("/images/cadeira_livre.JPG"))); // NOI18N
        jLabel11.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                jLabel11MouseClicked(evt);
            }
        });

        jLabel12.setIcon(new javax.swing.ImageIcon(getClass().getResource("/images/cadeira_livre.JPG"))); // NOI18N
        jLabel12.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                jLabel12MouseClicked(evt);
            }
        });

        jLabel13.setIcon(new javax.swing.ImageIcon(getClass().getResource("/images/cadeira_livre.JPG"))); // NOI18N
        jLabel13.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                jLabel13MouseClicked(evt);
            }
        });

        jLabel14.setIcon(new javax.swing.ImageIcon(getClass().getResource("/images/cadeira_livre.JPG"))); // NOI18N
        jLabel14.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                jLabel14MouseClicked(evt);
            }
        });

        jLabel15.setIcon(new javax.swing.ImageIcon(getClass().getResource("/images/cadeira_livre.JPG"))); // NOI18N
        jLabel15.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                jLabel15MouseClicked(evt);
            }
        });

        jLabel136.setIcon(new javax.swing.ImageIcon(getClass().getResource("/images/cadeira_livre.JPG"))); // NOI18N
        jLabel136.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                jLabel136MouseClicked(evt);
            }
        });

        jLabel137.setIcon(new javax.swing.ImageIcon(getClass().getResource("/images/cadeira_livre.JPG"))); // NOI18N
        jLabel137.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                jLabel137MouseClicked(evt);
            }
        });

        jLabel138.setIcon(new javax.swing.ImageIcon(getClass().getResource("/images/cadeira_livre.JPG"))); // NOI18N
        jLabel138.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                jLabel138MouseClicked(evt);
            }
        });

        jLabel139.setIcon(new javax.swing.ImageIcon(getClass().getResource("/images/cadeira_livre.JPG"))); // NOI18N
        jLabel139.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                jLabel139MouseClicked(evt);
            }
        });

        jLabel140.setIcon(new javax.swing.ImageIcon(getClass().getResource("/images/cadeira_livre.JPG"))); // NOI18N
        jLabel140.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                jLabel140MouseClicked(evt);
            }
        });

        jLabel141.setIcon(new javax.swing.ImageIcon(getClass().getResource("/images/cadeira_livre.JPG"))); // NOI18N
        jLabel141.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                jLabel141MouseClicked(evt);
            }
        });

        jLabel142.setIcon(new javax.swing.ImageIcon(getClass().getResource("/images/cadeira_livre.JPG"))); // NOI18N
        jLabel142.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                jLabel142MouseClicked(evt);
            }
        });

        jLabel143.setIcon(new javax.swing.ImageIcon(getClass().getResource("/images/cadeira_livre.JPG"))); // NOI18N
        jLabel143.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                jLabel143MouseClicked(evt);
            }
        });

        jLabel144.setIcon(new javax.swing.ImageIcon(getClass().getResource("/images/cadeira_livre.JPG"))); // NOI18N
        jLabel144.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                jLabel144MouseClicked(evt);
            }
        });

        jLabel145.setIcon(new javax.swing.ImageIcon(getClass().getResource("/images/cadeira_livre.JPG"))); // NOI18N
        jLabel145.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                jLabel145MouseClicked(evt);
            }
        });

        jLabel146.setIcon(new javax.swing.ImageIcon(getClass().getResource("/images/cadeira_livre.JPG"))); // NOI18N
        jLabel146.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                jLabel146MouseClicked(evt);
            }
        });

        jLabel147.setIcon(new javax.swing.ImageIcon(getClass().getResource("/images/cadeira_livre.JPG"))); // NOI18N
        jLabel147.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                jLabel147MouseClicked(evt);
            }
        });

        jLabel148.setIcon(new javax.swing.ImageIcon(getClass().getResource("/images/cadeira_livre.JPG"))); // NOI18N
        jLabel148.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                jLabel148MouseClicked(evt);
            }
        });

        jLabel149.setIcon(new javax.swing.ImageIcon(getClass().getResource("/images/cadeira_livre.JPG"))); // NOI18N
        jLabel149.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                jLabel149MouseClicked(evt);
            }
        });

        jLabel150.setIcon(new javax.swing.ImageIcon(getClass().getResource("/images/cadeira_livre.JPG"))); // NOI18N
        jLabel150.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                jLabel150MouseClicked(evt);
            }
        });

        javax.swing.GroupLayout jPanel2Layout = new javax.swing.GroupLayout(jPanel2);
        jPanel2.setLayout(jPanel2Layout);
        jPanel2Layout.setHorizontalGroup(
            jPanel2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanel2Layout.createSequentialGroup()
                .addContainerGap()
                .addGroup(jPanel2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addGroup(jPanel2Layout.createSequentialGroup()
                        .addComponent(jLabel16)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(jLabel17)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(jLabel18)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(jLabel19)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(jLabel20)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(jLabel21)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(jLabel22)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(jLabel23)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(jLabel24)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(jLabel25)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(jLabel26)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(jLabel27)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(jLabel28)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(jLabel29)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(jLabel30))
                    .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, jPanel2Layout.createSequentialGroup()
                        .addComponent(jLabel31)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(jLabel32)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(jLabel33)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(jLabel34)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(jLabel35)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(jLabel36)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(jLabel37)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(jLabel38)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(jLabel39)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(jLabel40)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(jLabel41)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(jLabel42)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(jLabel43)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(jLabel44)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(jLabel45))
                    .addGroup(jPanel2Layout.createSequentialGroup()
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(jLabel46)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(jLabel47)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(jLabel48)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(jLabel49)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(jLabel50)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(jLabel51)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(jLabel52)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(jLabel53)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(jLabel54)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(jLabel55)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(jLabel56)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(jLabel57)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(jLabel58)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(jLabel59)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(jLabel60))
                    .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, jPanel2Layout.createSequentialGroup()
                        .addComponent(jLabel61)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(jLabel62)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(jLabel63)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(jLabel64)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(jLabel65)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(jLabel66)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(jLabel67)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(jLabel68)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(jLabel69)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(jLabel70)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(jLabel71)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(jLabel72)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(jLabel73)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(jLabel74)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(jLabel75))
                    .addGroup(jPanel2Layout.createSequentialGroup()
                        .addComponent(jLabel76)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(jLabel77)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(jLabel78)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(jLabel79)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(jLabel80)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(jLabel81)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(jLabel82)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(jLabel83)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(jLabel84)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(jLabel85)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(jLabel86)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(jLabel87)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(jLabel88)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(jLabel89)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(jLabel90))
                    .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, jPanel2Layout.createSequentialGroup()
                        .addComponent(jLabel91)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(jLabel92)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(jLabel93)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(jLabel94)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(jLabel95)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(jLabel96)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(jLabel97)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(jLabel98)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(jLabel99)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(jLabel100)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(jLabel101)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(jLabel102)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(jLabel103)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(jLabel104)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(jLabel105))
                    .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, jPanel2Layout.createSequentialGroup()
                        .addComponent(jLabel106)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(jLabel107)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(jLabel108)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(jLabel109)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(jLabel110)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(jLabel111)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(jLabel112)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(jLabel113)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(jLabel114)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(jLabel115)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(jLabel116)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(jLabel117)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(jLabel118)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(jLabel119)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(jLabel120))
                    .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, jPanel2Layout.createSequentialGroup()
                        .addComponent(jLabel121)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(jLabel122)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(jLabel123)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(jLabel124)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(jLabel125)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(jLabel126)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(jLabel127)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(jLabel128)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(jLabel129)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(jLabel130)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(jLabel131)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(jLabel132)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(jLabel133)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(jLabel134)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(jLabel135))
                    .addGroup(jPanel2Layout.createSequentialGroup()
                        .addComponent(jLabel1)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(jLabel2)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(jLabel3)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(jLabel4)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(jLabel5)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(jLabel6)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(jLabel7)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(jLabel8)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(jLabel9)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(jLabel10)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(jLabel11)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(jLabel12)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(jLabel13)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(jLabel14)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(jLabel15))
                    .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, jPanel2Layout.createSequentialGroup()
                        .addComponent(jLabel136)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(jLabel137)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(jLabel138)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(jLabel139)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(jLabel140)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(jLabel141)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(jLabel142)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(jLabel143)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(jLabel144)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(jLabel145)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(jLabel146)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(jLabel147)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(jLabel148)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(jLabel149)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(jLabel150)))
                .addContainerGap(javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
        );
        jPanel2Layout.setVerticalGroup(
            jPanel2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanel2Layout.createSequentialGroup()
                .addContainerGap()
                .addGroup(jPanel2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addComponent(jLabel2)
                    .addComponent(jLabel1)
                    .addComponent(jLabel3)
                    .addComponent(jLabel4)
                    .addComponent(jLabel5)
                    .addComponent(jLabel6)
                    .addComponent(jLabel7)
                    .addComponent(jLabel8)
                    .addComponent(jLabel9)
                    .addComponent(jLabel10)
                    .addComponent(jLabel11)
                    .addComponent(jLabel12)
                    .addComponent(jLabel13)
                    .addComponent(jLabel14)
                    .addComponent(jLabel15))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addGroup(jPanel2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addComponent(jLabel17)
                    .addComponent(jLabel16)
                    .addComponent(jLabel18)
                    .addComponent(jLabel19)
                    .addComponent(jLabel20)
                    .addComponent(jLabel21)
                    .addComponent(jLabel22)
                    .addComponent(jLabel23)
                    .addComponent(jLabel24)
                    .addComponent(jLabel25)
                    .addComponent(jLabel26)
                    .addComponent(jLabel27)
                    .addComponent(jLabel28)
                    .addComponent(jLabel29)
                    .addComponent(jLabel30))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addGroup(jPanel2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addComponent(jLabel32)
                    .addComponent(jLabel31)
                    .addComponent(jLabel33)
                    .addComponent(jLabel34)
                    .addComponent(jLabel35)
                    .addComponent(jLabel36)
                    .addComponent(jLabel37)
                    .addComponent(jLabel38)
                    .addComponent(jLabel39)
                    .addComponent(jLabel40)
                    .addComponent(jLabel41)
                    .addComponent(jLabel42)
                    .addComponent(jLabel43)
                    .addComponent(jLabel44)
                    .addComponent(jLabel45))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addGroup(jPanel2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addComponent(jLabel47)
                    .addComponent(jLabel48)
                    .addComponent(jLabel49)
                    .addComponent(jLabel50)
                    .addComponent(jLabel51)
                    .addComponent(jLabel52)
                    .addComponent(jLabel53)
                    .addComponent(jLabel54)
                    .addComponent(jLabel55)
                    .addComponent(jLabel56)
                    .addComponent(jLabel57)
                    .addComponent(jLabel58)
                    .addComponent(jLabel59)
                    .addComponent(jLabel60)
                    .addComponent(jLabel46))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addGroup(jPanel2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addComponent(jLabel62)
                    .addComponent(jLabel61)
                    .addComponent(jLabel63)
                    .addComponent(jLabel64)
                    .addComponent(jLabel65)
                    .addComponent(jLabel66)
                    .addComponent(jLabel67)
                    .addComponent(jLabel68)
                    .addComponent(jLabel69)
                    .addComponent(jLabel70)
                    .addComponent(jLabel71)
                    .addComponent(jLabel72)
                    .addComponent(jLabel73)
                    .addComponent(jLabel74)
                    .addComponent(jLabel75))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addGroup(jPanel2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addComponent(jLabel77)
                    .addComponent(jLabel76)
                    .addComponent(jLabel78)
                    .addComponent(jLabel79)
                    .addComponent(jLabel80)
                    .addComponent(jLabel81)
                    .addComponent(jLabel82)
                    .addComponent(jLabel83)
                    .addComponent(jLabel84)
                    .addComponent(jLabel85)
                    .addComponent(jLabel86)
                    .addComponent(jLabel87)
                    .addComponent(jLabel88)
                    .addComponent(jLabel89)
                    .addComponent(jLabel90))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addGroup(jPanel2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addComponent(jLabel92)
                    .addComponent(jLabel91)
                    .addComponent(jLabel93)
                    .addComponent(jLabel94)
                    .addComponent(jLabel95)
                    .addComponent(jLabel96)
                    .addComponent(jLabel97)
                    .addComponent(jLabel98)
                    .addComponent(jLabel99)
                    .addComponent(jLabel100)
                    .addComponent(jLabel101)
                    .addComponent(jLabel102)
                    .addComponent(jLabel103)
                    .addComponent(jLabel104)
                    .addComponent(jLabel105))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addGroup(jPanel2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addComponent(jLabel107)
                    .addComponent(jLabel106)
                    .addComponent(jLabel108)
                    .addComponent(jLabel109)
                    .addComponent(jLabel110)
                    .addComponent(jLabel111)
                    .addComponent(jLabel112)
                    .addComponent(jLabel113)
                    .addComponent(jLabel114)
                    .addComponent(jLabel115)
                    .addComponent(jLabel116)
                    .addComponent(jLabel117)
                    .addComponent(jLabel118)
                    .addComponent(jLabel119)
                    .addComponent(jLabel120))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addGroup(jPanel2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addComponent(jLabel122)
                    .addComponent(jLabel121)
                    .addComponent(jLabel123)
                    .addComponent(jLabel124)
                    .addComponent(jLabel125)
                    .addComponent(jLabel126)
                    .addComponent(jLabel127)
                    .addComponent(jLabel128)
                    .addComponent(jLabel129)
                    .addComponent(jLabel130)
                    .addComponent(jLabel131)
                    .addComponent(jLabel132)
                    .addComponent(jLabel133)
                    .addComponent(jLabel134)
                    .addComponent(jLabel135))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addGroup(jPanel2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addComponent(jLabel137)
                    .addComponent(jLabel136)
                    .addComponent(jLabel138)
                    .addComponent(jLabel139)
                    .addComponent(jLabel140)
                    .addComponent(jLabel141)
                    .addComponent(jLabel142)
                    .addComponent(jLabel143)
                    .addComponent(jLabel144)
                    .addComponent(jLabel145)
                    .addComponent(jLabel146)
                    .addComponent(jLabel147)
                    .addComponent(jLabel148)
                    .addComponent(jLabel149)
                    .addComponent(jLabel150))
                .addContainerGap(javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
        );

        jLabel153.setIcon(new javax.swing.ImageIcon(getClass().getResource("/images/logo.PNG"))); // NOI18N

        jLabel154.setIcon(new javax.swing.ImageIcon(getClass().getResource("/images/voltar.JPG"))); // NOI18N
        jLabel154.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseEntered(java.awt.event.MouseEvent evt) {
                jLabel154MouseEntered(evt);
            }
            public void mouseExited(java.awt.event.MouseEvent evt) {
                jLabel154MouseExited(evt);
            }
            public void mousePressed(java.awt.event.MouseEvent evt) {
                jLabel154MousePressed(evt);
            }
            public void mouseReleased(java.awt.event.MouseEvent evt) {
                jLabel154MouseReleased(evt);
            }
        });

        jLabel155.setIcon(new javax.swing.ImageIcon(getClass().getResource("/images/sair.JPG"))); // NOI18N
        jLabel155.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseEntered(java.awt.event.MouseEvent evt) {
                jLabel155MouseEntered(evt);
            }
            public void mouseExited(java.awt.event.MouseEvent evt) {
                jLabel155MouseExited(evt);
            }
            public void mousePressed(java.awt.event.MouseEvent evt) {
                jLabel155MousePressed(evt);
            }
            public void mouseReleased(java.awt.event.MouseEvent evt) {
                jLabel155MouseReleased(evt);
            }
        });

        jLabel156.setIcon(new javax.swing.ImageIcon(getClass().getResource("/images/ingresso_disabled.PNG"))); // NOI18N
        jLabel156.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                jLabel156MouseClicked(evt);
            }
            public void mouseEntered(java.awt.event.MouseEvent evt) {
                jLabel156MouseEntered(evt);
            }
            public void mouseExited(java.awt.event.MouseEvent evt) {
                jLabel156MouseExited(evt);
            }
        });

        jLabel157.setIcon(new javax.swing.ImageIcon(getClass().getResource("/images/ok.JPG"))); // NOI18N
        jLabel157.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseEntered(java.awt.event.MouseEvent evt) {
                jLabel157MouseEntered(evt);
            }
            public void mouseExited(java.awt.event.MouseEvent evt) {
                jLabel157MouseExited(evt);
            }
            public void mousePressed(java.awt.event.MouseEvent evt) {
                jLabel157MousePressed(evt);
            }
            public void mouseReleased(java.awt.event.MouseEvent evt) {
                jLabel157MouseReleased(evt);
            }
        });

        javax.swing.GroupLayout jPanel1Layout = new javax.swing.GroupLayout(jPanel1);
        jPanel1.setLayout(jPanel1Layout);
        jPanel1Layout.setHorizontalGroup(
            jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanel1Layout.createSequentialGroup()
                .addGap(25, 25, 25)
                .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING, false)
                    .addGroup(jPanel1Layout.createSequentialGroup()
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(jLabel152)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                        .addComponent(jPanel2, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                    .addGroup(jPanel1Layout.createSequentialGroup()
                        .addComponent(jLabel154)
                        .addGap(105, 105, 105)
                        .addComponent(jLabel156)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                        .addComponent(jLabel155)
                        .addGap(111, 111, 111)
                        .addComponent(jLabel157)))
                .addContainerGap(63, Short.MAX_VALUE))
            .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, jPanel1Layout.createSequentialGroup()
                .addContainerGap(255, Short.MAX_VALUE)
                .addComponent(jLabel153)
                .addGap(255, 255, 255))
            .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, jPanel1Layout.createSequentialGroup()
                .addContainerGap(76, Short.MAX_VALUE)
                .addComponent(jLabel151)
                .addGap(68, 68, 68))
        );
        jPanel1Layout.setVerticalGroup(
            jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, jPanel1Layout.createSequentialGroup()
                .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addGroup(jPanel1Layout.createSequentialGroup()
                        .addContainerGap()
                        .addComponent(jLabel153)
                        .addGap(71, 71, 71)
                        .addComponent(jLabel151)
                        .addGap(8, 8, 8)
                        .addComponent(jPanel2, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED))
                    .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, jPanel1Layout.createSequentialGroup()
                        .addContainerGap(187, Short.MAX_VALUE)
                        .addComponent(jLabel152)
                        .addGap(52, 52, 52)))
                .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                        .addComponent(jLabel154)
                        .addComponent(jLabel155, javax.swing.GroupLayout.Alignment.TRAILING))
                    .addComponent(jLabel157)
                    .addComponent(jLabel156))
                .addGap(29, 29, 29))
        );

        javax.swing.GroupLayout layout = new javax.swing.GroupLayout(getContentPane());
        getContentPane().setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addComponent(jPanel1, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addComponent(jPanel1, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
        );

        pack();
    }// </editor-fold>//GEN-END:initComponents

    
    
    
    
    
    
    
    
    
    
    
    
private void jLabel1MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel1MouseClicked
     
		if (!this.jLabel1.getIcon().equals(cadeiraBranca) && (this.labelsDesabilitados[0])) { 
		    	if (this.ultimo != 0) {
		        this.jLabel1.setIcon(cadeiraEscolhida);
		        if (this.ultimo != -1 && (this.labelsDesabilitados[ultimo])) {
		            this.labels[ultimo].setIcon(cadeiraLivre);
		        }        
		        ultimo = 0;		        
		        //this.linhas = 0;
		        //this.colunas = 0;
		    }
		}
}//GEN-LAST:event_jLabel1MouseClicked

private void jLabel2MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel2MouseClicked
     
		if (!this.jLabel2.getIcon().equals(cadeiraBranca) && (this.labelsDesabilitados[1])) {
		    if (this.ultimo != 1) {        
		        this.jLabel2.setIcon(cadeiraEscolhida);
		        if (this.ultimo != -1 && (this.labelsDesabilitados[ultimo])) {
		            this.labels[ultimo].setIcon(cadeiraLivre);
		        }
		        ultimo = 1;
		    }
		}
}//GEN-LAST:event_jLabel2MouseClicked

private void jLabel3MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel3MouseClicked
     
		if (!this.jLabel3.getIcon().equals(cadeiraBranca) && (this.labelsDesabilitados[2])) {
		    if (this.ultimo != 2) {        
		        this.jLabel3.setIcon(cadeiraEscolhida);
		        if (this.ultimo != -1 && (this.labelsDesabilitados[ultimo])) {
		            this.labels[ultimo].setIcon(cadeiraLivre);
		        }
		        ultimo = 2;
		    }
		}
}//GEN-LAST:event_jLabel3MouseClicked

private void jLabel4MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel4MouseClicked
     
		if (!this.jLabel4.getIcon().equals(cadeiraBranca) && (this.labelsDesabilitados[3])) {
		    if (this.ultimo != 3) {        
		        this.jLabel4.setIcon(cadeiraEscolhida);
		        if (this.ultimo != -1 && (this.labelsDesabilitados[ultimo])) {
		            this.labels[ultimo].setIcon(cadeiraLivre);
		        }
		        ultimo = 3;
		    }
		}
}//GEN-LAST:event_jLabel4MouseClicked

private void jLabel5MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel5MouseClicked
     
		if (!this.jLabel5.getIcon().equals(cadeiraBranca) && (this.labelsDesabilitados[4])) {
		    if (this.ultimo != 4) {        
		        this.jLabel5.setIcon(cadeiraEscolhida);
		        if (this.ultimo != -1 && (this.labelsDesabilitados[ultimo])) {
		            this.labels[ultimo].setIcon(cadeiraLivre);
		        }
		        ultimo = 4;
		    }
		}
}//GEN-LAST:event_jLabel5MouseClicked

private void jLabel6MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel6MouseClicked
     
		if (!this.jLabel6.getIcon().equals(cadeiraBranca) && (this.labelsDesabilitados[5])) {
		    if (this.ultimo != 5) {        
		        this.jLabel6.setIcon(cadeiraEscolhida);
		        if (this.ultimo != -1 && (this.labelsDesabilitados[ultimo])) {
		            this.labels[ultimo].setIcon(cadeiraLivre);
		        }
		        ultimo = 5;
		    }
		}
}//GEN-LAST:event_jLabel6MouseClicked

private void jLabel7MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel7MouseClicked
     
		if (!this.jLabel7.getIcon().equals(cadeiraBranca) && (this.labelsDesabilitados[6])) {
		    if (this.ultimo != 6) {        
		        this.jLabel7.setIcon(cadeiraEscolhida);
		        if (this.ultimo != -1 && (this.labelsDesabilitados[ultimo])) {
		            this.labels[ultimo].setIcon(cadeiraLivre);
		        }
		        ultimo = 6;
		    }
		}
}//GEN-LAST:event_jLabel7MouseClicked

private void jLabel8MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel8MouseClicked
     
		if (!this.jLabel8.getIcon().equals(cadeiraBranca) && (this.labelsDesabilitados[7])) {
		    if (this.ultimo != 7) {        
		        this.jLabel8.setIcon(cadeiraEscolhida);
		        if (this.ultimo != -1 && (this.labelsDesabilitados[ultimo])) {
		            this.labels[ultimo].setIcon(cadeiraLivre);
		        }
		        ultimo = 7;
		    }
		}
}//GEN-LAST:event_jLabel8MouseClicked

private void jLabel9MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel9MouseClicked
     
		if (!this.jLabel9.getIcon().equals(cadeiraBranca) && (this.labelsDesabilitados[8])) {
		    if (this.ultimo != 8) {        
		        this.jLabel9.setIcon(cadeiraEscolhida);
		        if (this.ultimo != -1 && (this.labelsDesabilitados[ultimo])) {
		            this.labels[ultimo].setIcon(cadeiraLivre);
		        }
		        ultimo = 8;
		    }
		}
}//GEN-LAST:event_jLabel9MouseClicked

private void jLabel10MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel10MouseClicked
     
		if (!this.jLabel10.getIcon().equals(cadeiraBranca) && (this.labelsDesabilitados[9])) {
		    if (this.ultimo != 9) {        
		        this.jLabel10.setIcon(cadeiraEscolhida);
		        if (this.ultimo != -1 && (this.labelsDesabilitados[ultimo])) {
		            this.labels[ultimo].setIcon(cadeiraLivre);
		        }
		        ultimo = 9;
		    }
		}
}//GEN-LAST:event_jLabel10MouseClicked

private void jLabel11MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel11MouseClicked
     
		if (!this.jLabel11.getIcon().equals(cadeiraBranca) && (this.labelsDesabilitados[10])) {
		    if (this.ultimo != 10) {        
		        this.jLabel11.setIcon(cadeiraEscolhida);
		        if (this.ultimo != -1 && (this.labelsDesabilitados[ultimo])) {
		            this.labels[ultimo].setIcon(cadeiraLivre);
		        }
		        ultimo = 10;
		    }
		}
}//GEN-LAST:event_jLabel11MouseClicked

private void jLabel12MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel12MouseClicked
     
		if (!this.jLabel12.getIcon().equals(cadeiraBranca) && (this.labelsDesabilitados[11])) {    
		    if (this.ultimo != 11) {        
		        this.jLabel12.setIcon(cadeiraEscolhida);
		        if (this.ultimo != -1 && (this.labelsDesabilitados[ultimo])) {
		            this.labels[ultimo].setIcon(cadeiraLivre);
		        }
		        ultimo = 11;
		    }
		}
}//GEN-LAST:event_jLabel12MouseClicked

private void jLabel13MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel13MouseClicked
      
		if (!this.jLabel13.getIcon().equals(cadeiraBranca) && (this.labelsDesabilitados[12])) {
		    if (this.ultimo != 12) {        
		        this.jLabel13.setIcon(cadeiraEscolhida);
		        if (this.ultimo != -1 && (this.labelsDesabilitados[ultimo])) {
		            this.labels[ultimo].setIcon(cadeiraLivre);
		        }
		        ultimo = 12;
		    }
		 }
}//GEN-LAST:event_jLabel13MouseClicked

private void jLabel14MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel14MouseClicked
      
		if (!this.jLabel14.getIcon().equals(cadeiraBranca) && (this.labelsDesabilitados[13])) {
		    if (this.ultimo != 13) {        
		        this.jLabel14.setIcon(cadeiraEscolhida);
		        if (this.ultimo != -1 && (this.labelsDesabilitados[ultimo])) {
		            this.labels[ultimo].setIcon(cadeiraLivre);
		        }
		        ultimo = 13;
		    }
		 }
}//GEN-LAST:event_jLabel14MouseClicked

private void jLabel15MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel15MouseClicked
      
		if (!this.jLabel15.getIcon().equals(cadeiraBranca) && (this.labelsDesabilitados[14])) {
		    if (this.ultimo != 14) {        
		        this.jLabel15.setIcon(cadeiraEscolhida);
		        if (this.ultimo != -1 && (this.labelsDesabilitados[ultimo])) {
		            this.labels[ultimo].setIcon(cadeiraLivre);
		        }
		        ultimo = 14;
		    }
		 }
}//GEN-LAST:event_jLabel15MouseClicked

private void jLabel16MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel16MouseClicked
      
		if (!this.jLabel16.getIcon().equals(cadeiraBranca) && (this.labelsDesabilitados[15])) {
		    if (this.ultimo != 15) {        
		        this.jLabel16.setIcon(cadeiraEscolhida);
		        if (this.ultimo != -1 && (this.labelsDesabilitados[ultimo])) {
		            this.labels[ultimo].setIcon(cadeiraLivre);
		        }
		        ultimo = 15;
		    }
		 }
}//GEN-LAST:event_jLabel16MouseClicked

private void jLabel17MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel17MouseClicked
     
		if (!this.jLabel17.getIcon().equals(cadeiraBranca) && (this.labelsDesabilitados[16])) {
		    if (this.ultimo != 16) {        
		        this.jLabel17.setIcon(cadeiraEscolhida);
		        if (this.ultimo != -1 && (this.labelsDesabilitados[ultimo])) {
		            this.labels[ultimo].setIcon(cadeiraLivre);
		        }
		        ultimo = 16;
		    }
		}
}//GEN-LAST:event_jLabel17MouseClicked

private void jLabel18MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel18MouseClicked
      
		if (!this.jLabel18.getIcon().equals(cadeiraBranca) && (this.labelsDesabilitados[17])) {
		    if (this.ultimo != 17) {        
		        this.jLabel18.setIcon(cadeiraEscolhida);
		        if (this.ultimo != -1 && (this.labelsDesabilitados[ultimo])) {
		            this.labels[ultimo].setIcon(cadeiraLivre);
		        }
		        ultimo = 17;
		    }
		 }
}//GEN-LAST:event_jLabel18MouseClicked

private void jLabel19MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel19MouseClicked
      
		if (!this.jLabel19.getIcon().equals(cadeiraBranca) && (this.labelsDesabilitados[18])) {
		    if (this.ultimo != 18) {        
		        this.jLabel19.setIcon(cadeiraEscolhida);
		        if (this.ultimo != -1 && (this.labelsDesabilitados[ultimo])) {
		            this.labels[ultimo].setIcon(cadeiraLivre);
		        }
		        ultimo = 18;
		    }
		 }
}//GEN-LAST:event_jLabel19MouseClicked

private void jLabel20MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel20MouseClicked
      
		if (!this.jLabel20.getIcon().equals(cadeiraBranca) && (this.labelsDesabilitados[19])) {
		    if (this.ultimo != 19) {        
		        this.jLabel20.setIcon(cadeiraEscolhida);
		        if (this.ultimo != -1 && (this.labelsDesabilitados[ultimo])) {
		            this.labels[ultimo].setIcon(cadeiraLivre);
		        }
		        ultimo = 19;
		    }
		 }
}//GEN-LAST:event_jLabel20MouseClicked

private void jLabel21MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel21MouseClicked
    
	if (!this.jLabel21.getIcon().equals(cadeiraBranca) && (this.labelsDesabilitados[20])) {
	        if (this.ultimo != 20) {        
	            this.jLabel21.setIcon(cadeiraEscolhida);
	            if (this.ultimo != -1 && (this.labelsDesabilitados[ultimo])) {
	                this.labels[ultimo].setIcon(cadeiraLivre);
	            }
	            ultimo = 20;
	        }
	   }
}//GEN-LAST:event_jLabel21MouseClicked

private void jLabel22MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel22MouseClicked
     
		if (!this.jLabel22.getIcon().equals(cadeiraBranca) && (this.labelsDesabilitados[21])) {
		    if (this.ultimo != 21) {        
		        this.jLabel22.setIcon(cadeiraEscolhida);
		        if (this.ultimo != -1 && (this.labelsDesabilitados[ultimo])) {
		            this.labels[ultimo].setIcon(cadeiraLivre);
		        }
		        ultimo = 21;
		    }
		}
}//GEN-LAST:event_jLabel22MouseClicked

private void jLabel23MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel23MouseClicked
    
	if (!this.jLabel23.getIcon().equals(cadeiraBranca) && (this.labelsDesabilitados[22])) {
	        if (this.ultimo != 22) {        
	            this.jLabel23.setIcon(cadeiraEscolhida);
	            if (this.ultimo != -1 && (this.labelsDesabilitados[ultimo])) {
	                this.labels[ultimo].setIcon(cadeiraLivre);
	            }
	            ultimo = 22;
	        }
	   }
}//GEN-LAST:event_jLabel23MouseClicked

private void jLabel24MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel24MouseClicked
     
		if (!this.jLabel24.getIcon().equals(cadeiraBranca) && (this.labelsDesabilitados[23])) {
		    if (this.ultimo != 23) {        
		        this.jLabel24.setIcon(cadeiraEscolhida);
		        if (this.ultimo != -1 && (this.labelsDesabilitados[ultimo])) {
		            this.labels[ultimo].setIcon(cadeiraLivre);
		        }
		        ultimo = 23;
		    }
		}
}//GEN-LAST:event_jLabel24MouseClicked

private void jLabel25MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel25MouseClicked
    
	if (!this.jLabel25.getIcon().equals(cadeiraBranca) && (this.labelsDesabilitados[24])) {
	        if (this.ultimo != 24) {        
	            this.jLabel25.setIcon(cadeiraEscolhida);
	            if (this.ultimo != -1 && (this.labelsDesabilitados[ultimo])) {
	                this.labels[ultimo].setIcon(cadeiraLivre);
	            }
	            ultimo = 24;
	        }
	   }
}//GEN-LAST:event_jLabel25MouseClicked

private void jLabel26MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel26MouseClicked
     
		if (!this.jLabel26.getIcon().equals(cadeiraBranca) && (this.labelsDesabilitados[25])) {
		    if (this.ultimo != 25) {        
		        this.jLabel26.setIcon(cadeiraEscolhida);
		        if (this.ultimo != -1 && (this.labelsDesabilitados[ultimo])) {
		            this.labels[ultimo].setIcon(cadeiraLivre);
		        }
		        ultimo = 25;
		    }
		}
}//GEN-LAST:event_jLabel26MouseClicked

private void jLabel27MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel27MouseClicked
     
		if (!this.jLabel27.getIcon().equals(cadeiraBranca) && (this.labelsDesabilitados[26])) {
		    if (this.ultimo != 26) {        
		        this.jLabel27.setIcon(cadeiraEscolhida);
		        if (this.ultimo != -1 && (this.labelsDesabilitados[ultimo])) {
		            this.labels[ultimo].setIcon(cadeiraLivre);
		        }
		        ultimo = 26;
		    }
		}
}//GEN-LAST:event_jLabel27MouseClicked

private void jLabel28MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel28MouseClicked
    
	if (!this.jLabel28.getIcon().equals(cadeiraBranca) && (this.labelsDesabilitados[27])) {
	        if (this.ultimo != 27) {        
	            this.jLabel28.setIcon(cadeiraEscolhida);
	            if (this.ultimo != -1 && (this.labelsDesabilitados[ultimo])) {
	                this.labels[ultimo].setIcon(cadeiraLivre);
	            }
	            ultimo = 27;
	        }
	   }
}//GEN-LAST:event_jLabel28MouseClicked

private void jLabel29MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel29MouseClicked
     
		if (!this.jLabel29.getIcon().equals(cadeiraBranca) && (this.labelsDesabilitados[28])) {
		    if (this.ultimo != 28) {        
		        this.jLabel29.setIcon(cadeiraEscolhida);
		        if (this.ultimo != -1 && (this.labelsDesabilitados[ultimo])) {
		            this.labels[ultimo].setIcon(cadeiraLivre);
		        }
		        ultimo = 28;
		    }
		}
}//GEN-LAST:event_jLabel29MouseClicked

private void jLabel30MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel30MouseClicked
     
		if (!this.jLabel30.getIcon().equals(cadeiraBranca) && (this.labelsDesabilitados[29])) {
		    if (this.ultimo != 29) {        
		        this.jLabel30.setIcon(cadeiraEscolhida);
		        if (this.ultimo != -1 && (this.labelsDesabilitados[ultimo])) {
		            this.labels[ultimo].setIcon(cadeiraLivre);
		        }
		        ultimo = 29;
		    }
		}
}//GEN-LAST:event_jLabel30MouseClicked

private void jLabel31MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel31MouseClicked
     
		if (!this.jLabel31.getIcon().equals(cadeiraBranca) && (this.labelsDesabilitados[30])) {
		    if (this.ultimo != 30) {        
		        this.jLabel31.setIcon(cadeiraEscolhida);
		        if (this.ultimo != -1 && (this.labelsDesabilitados[ultimo])) {
		            this.labels[ultimo].setIcon(cadeiraLivre);
		        }
		        ultimo = 30;
		    }
		}
}//GEN-LAST:event_jLabel31MouseClicked

private void jLabel32MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel32MouseClicked
    
	if (!this.jLabel32.getIcon().equals(cadeiraBranca) && (this.labelsDesabilitados[31])) {
	        if (this.ultimo != 31) {        
	            this.jLabel32.setIcon(cadeiraEscolhida);
	            if (this.ultimo != -1 && (this.labelsDesabilitados[ultimo])) {
	                this.labels[ultimo].setIcon(cadeiraLivre);
	            }
	            ultimo = 31;
	        }
	   }
}//GEN-LAST:event_jLabel32MouseClicked

private void jLabel33MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel33MouseClicked
    
	if (!this.jLabel33.getIcon().equals(cadeiraBranca) && (this.labelsDesabilitados[32])) {
	        if (this.ultimo != 32) {        
	            this.jLabel33.setIcon(cadeiraEscolhida);
	            if (this.ultimo != -1 && (this.labelsDesabilitados[ultimo])) {
	                this.labels[ultimo].setIcon(cadeiraLivre);
	            }
	            ultimo = 32;
	        }
	   }
}//GEN-LAST:event_jLabel33MouseClicked

private void jLabel34MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel34MouseClicked
    
	if (!this.jLabel34.getIcon().equals(cadeiraBranca) && (this.labelsDesabilitados[33])) {
	        if (this.ultimo != 33) {        
	            this.jLabel34.setIcon(cadeiraEscolhida);
	            if (this.ultimo != -1 && (this.labelsDesabilitados[ultimo])) {
	                this.labels[ultimo].setIcon(cadeiraLivre);
	            }
	            ultimo = 33;
	        }
	   }
}//GEN-LAST:event_jLabel34MouseClicked

private void jLabel35MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel35MouseClicked
    
	if (!this.jLabel35.getIcon().equals(cadeiraBranca) && (this.labelsDesabilitados[34])) {
	        if (this.ultimo != 34) {        
	            this.jLabel35.setIcon(cadeiraEscolhida);
	            if (this.ultimo != -1 && (this.labelsDesabilitados[ultimo])) {
	                this.labels[ultimo].setIcon(cadeiraLivre);
	            }
	            ultimo = 34;
	        }
	   }
}//GEN-LAST:event_jLabel35MouseClicked

private void jLabel36MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel36MouseClicked
      
		if (!this.jLabel36.getIcon().equals(cadeiraBranca) && (this.labelsDesabilitados[35])) {
		    if (this.ultimo != 35) {        
		        this.jLabel36.setIcon(cadeiraEscolhida);
		        if (this.ultimo != -1 && (this.labelsDesabilitados[ultimo])) {
		            this.labels[ultimo].setIcon(cadeiraLivre);
		        }
		        ultimo = 35;
		    }
		 }
}//GEN-LAST:event_jLabel36MouseClicked

private void jLabel37MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel37MouseClicked
  
	if (!this.jLabel37.getIcon().equals(cadeiraBranca) && (this.labelsDesabilitados[36])) {
	        if (this.ultimo != 36) {        
	            this.jLabel37.setIcon(cadeiraEscolhida);
	            if (this.ultimo != -1 && (this.labelsDesabilitados[ultimo])) {
	                this.labels[ultimo].setIcon(cadeiraLivre);
	            }
	            ultimo = 36;
	        }
	 }
}//GEN-LAST:event_jLabel37MouseClicked

private void jLabel38MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel38MouseClicked
     
		if (!this.jLabel38.getIcon().equals(cadeiraBranca) && (this.labelsDesabilitados[37])) {
		    if (this.ultimo != 37) {        
		        this.jLabel38.setIcon(cadeiraEscolhida);
		        if (this.ultimo != -1 && (this.labelsDesabilitados[ultimo])) {
		            this.labels[ultimo].setIcon(cadeiraLivre);
		        }
		        ultimo = 37;
		    }
		}
}//GEN-LAST:event_jLabel38MouseClicked

private void jLabel39MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel39MouseClicked
     
		if (!this.jLabel39.getIcon().equals(cadeiraBranca) && (this.labelsDesabilitados[38])) {
		    if (this.ultimo != 38) {        
		        this.jLabel39.setIcon(cadeiraEscolhida);
		        if (this.ultimo != -1 && (this.labelsDesabilitados[ultimo])) {
		            this.labels[ultimo].setIcon(cadeiraLivre);
		        }
		        ultimo = 38;
		    }
		}
}//GEN-LAST:event_jLabel39MouseClicked

private void jLabel40MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel40MouseClicked
     
		if (!this.jLabel40.getIcon().equals(cadeiraBranca) && (this.labelsDesabilitados[39])) {
		    if (this.ultimo != 39) {        
		        this.jLabel40.setIcon(cadeiraEscolhida);
		        if (this.ultimo != -1 && (this.labelsDesabilitados[ultimo])) {
		            this.labels[ultimo].setIcon(cadeiraLivre);
		        }
		        ultimo = 39;
		    }
		}
}//GEN-LAST:event_jLabel40MouseClicked

private void jLabel41MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel41MouseClicked
     
		if (!this.jLabel41.getIcon().equals(cadeiraBranca) && (this.labelsDesabilitados[40])) {
		    if (this.ultimo != 40) {        
		        this.jLabel41.setIcon(cadeiraEscolhida);
		        if (this.ultimo != -1 && (this.labelsDesabilitados[ultimo])) {
		            this.labels[ultimo].setIcon(cadeiraLivre);
		        }
		        ultimo = 40;
		    }
		}
}//GEN-LAST:event_jLabel41MouseClicked

private void jLabel42MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel42MouseClicked
     
		if (!this.jLabel42.getIcon().equals(cadeiraBranca) && (this.labelsDesabilitados[41])) {
		    if (this.ultimo != 41) {        
		        this.jLabel42.setIcon(cadeiraEscolhida);
		        if (this.ultimo != -1 && (this.labelsDesabilitados[ultimo])) {
		            this.labels[ultimo].setIcon(cadeiraLivre);
		        }
		        ultimo = 41;
		    }
		}
}//GEN-LAST:event_jLabel42MouseClicked

private void jLabel43MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel43MouseClicked
     
		if (!this.jLabel43.getIcon().equals(cadeiraBranca) && (this.labelsDesabilitados[42])) {
		    if (this.ultimo != 42) {        
		        this.jLabel43.setIcon(cadeiraEscolhida);
		        if (this.ultimo != -1 && (this.labelsDesabilitados[ultimo])) {
		            this.labels[ultimo].setIcon(cadeiraLivre);
		        }
		        ultimo = 42;
		    }
		}
}//GEN-LAST:event_jLabel43MouseClicked

private void jLabel44MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel44MouseClicked
     
		if (!this.jLabel44.getIcon().equals(cadeiraBranca) && (this.labelsDesabilitados[43])) {
		    if (this.ultimo != 43) {        
		        this.jLabel44.setIcon(cadeiraEscolhida);
		        if (this.ultimo != -1 && (this.labelsDesabilitados[ultimo])) {
		            this.labels[ultimo].setIcon(cadeiraLivre);
		        }
		        ultimo = 43;
		    }
		}
}//GEN-LAST:event_jLabel44MouseClicked

private void jLabel45MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel45MouseClicked
    
	if (!this.jLabel45.getIcon().equals(cadeiraBranca) && (this.labelsDesabilitados[44])) {
	        if (this.ultimo != 44) {        
	            this.jLabel45.setIcon(cadeiraEscolhida);
	            if (this.ultimo != -1 && (this.labelsDesabilitados[ultimo])) {
	                this.labels[ultimo].setIcon(cadeiraLivre);
	            }
	            ultimo = 44;
	        }
	   }
}//GEN-LAST:event_jLabel45MouseClicked

private void jLabel46MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel46MouseClicked
    
	if (!this.jLabel46.getIcon().equals(cadeiraBranca) && (this.labelsDesabilitados[45])) {
	        if (this.ultimo != 45) {        
	            this.jLabel46.setIcon(cadeiraEscolhida);
	            if (this.ultimo != -1 && (this.labelsDesabilitados[ultimo])) {
	                this.labels[ultimo].setIcon(cadeiraLivre);
	            }
	            ultimo = 45;
	        }
	   }
}//GEN-LAST:event_jLabel46MouseClicked

private void jLabel47MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel47MouseClicked
    
	if (!this.jLabel47.getIcon().equals(cadeiraBranca) && (this.labelsDesabilitados[46])) {
	        if (this.ultimo != 46) {        
	            this.jLabel47.setIcon(cadeiraEscolhida);
	            if (this.ultimo != -1 && (this.labelsDesabilitados[ultimo])) {
	                this.labels[ultimo].setIcon(cadeiraLivre);
	            }
	            ultimo = 46;
	        }
	   }
}//GEN-LAST:event_jLabel47MouseClicked

private void jLabel48MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel48MouseClicked
    
	if (!this.jLabel48.getIcon().equals(cadeiraBranca) && (this.labelsDesabilitados[47])) {
	        if (this.ultimo != 47) {        
	            this.jLabel48.setIcon(cadeiraEscolhida);
	            if (this.ultimo != -1 && (this.labelsDesabilitados[ultimo])) {
	                this.labels[ultimo].setIcon(cadeiraLivre);
	            }
	            ultimo = 47;
	        }
	   }
}//GEN-LAST:event_jLabel48MouseClicked

private void jLabel49MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel49MouseClicked
   
	if (!this.jLabel49.getIcon().equals(cadeiraBranca) && (this.labelsDesabilitados[48])) {
	        if (this.ultimo != 48) {        
	            this.jLabel49.setIcon(cadeiraEscolhida);
	            if (this.ultimo != -1 && (this.labelsDesabilitados[ultimo])) {
	                this.labels[ultimo].setIcon(cadeiraLivre);
	            }
	            ultimo = 48;
	        }
	  }
}//GEN-LAST:event_jLabel49MouseClicked

private void jLabel50MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel50MouseClicked
    
	if (!this.jLabel50.getIcon().equals(cadeiraBranca) && (this.labelsDesabilitados[49])) {
	        if (this.ultimo != 49) {        
	            this.jLabel50.setIcon(cadeiraEscolhida);
	            if (this.ultimo != -1 && (this.labelsDesabilitados[ultimo])) {
	                this.labels[ultimo].setIcon(cadeiraLivre);
	            }
	            ultimo = 49;
	        }
	   }
}//GEN-LAST:event_jLabel50MouseClicked

private void jLabel51MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel51MouseClicked
     
		if (!this.jLabel51.getIcon().equals(cadeiraBranca) && (this.labelsDesabilitados[50])) {
		    if (this.ultimo != 50) {        
		        this.jLabel51.setIcon(cadeiraEscolhida);
		        if (this.ultimo != -1 && (this.labelsDesabilitados[ultimo])) {
		            this.labels[ultimo].setIcon(cadeiraLivre);
		        }
		        ultimo = 50;
		    }
		}
}//GEN-LAST:event_jLabel51MouseClicked

private void jLabel52MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel52MouseClicked
     
		if (!this.jLabel52.getIcon().equals(cadeiraBranca) && (this.labelsDesabilitados[51])) {
		    if (this.ultimo != 51) {        
		        this.jLabel52.setIcon(cadeiraEscolhida);
		        if (this.ultimo != -1 && (this.labelsDesabilitados[ultimo])) {
		            this.labels[ultimo].setIcon(cadeiraLivre);
		        }
		        ultimo = 51;
		    }
		}
}//GEN-LAST:event_jLabel52MouseClicked

private void jLabel53MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel53MouseClicked
     
		if (!this.jLabel53.getIcon().equals(cadeiraBranca) && (this.labelsDesabilitados[52])) {
		    if (this.ultimo != 52) {        
		        this.jLabel53.setIcon(cadeiraEscolhida);
		        if (this.ultimo != -1 && (this.labelsDesabilitados[ultimo])) {
		            this.labels[ultimo].setIcon(cadeiraLivre);
		        }
		        ultimo = 52;
		    }
		}
}//GEN-LAST:event_jLabel53MouseClicked

private void jLabel54MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel54MouseClicked
     
		if (!this.jLabel54.getIcon().equals(cadeiraBranca) && (this.labelsDesabilitados[53])) {
		    if (this.ultimo != 53) {        
		        this.jLabel54.setIcon(cadeiraEscolhida);
		        if (this.ultimo != -1 && (this.labelsDesabilitados[ultimo])) {
		            this.labels[ultimo].setIcon(cadeiraLivre);
		        }
		        ultimo = 53;
		    }
		}
}//GEN-LAST:event_jLabel54MouseClicked

private void jLabel55MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel55MouseClicked
    
	if (!this.jLabel55.getIcon().equals(cadeiraBranca) && (this.labelsDesabilitados[54])) {
	        if (this.ultimo != 54) {        
	            this.jLabel55.setIcon(cadeiraEscolhida);
	            if (this.ultimo != -1 && (this.labelsDesabilitados[ultimo])) {
	                this.labels[ultimo].setIcon(cadeiraLivre);
	            }
	            ultimo = 54;
	        }
	   }
}//GEN-LAST:event_jLabel55MouseClicked

private void jLabel56MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel56MouseClicked
     
		if (!this.jLabel56.getIcon().equals(cadeiraBranca) && (this.labelsDesabilitados[55])) {
		    if (this.ultimo != 55) {        
		        this.jLabel56.setIcon(cadeiraEscolhida);
		        if (this.ultimo != -1 && (this.labelsDesabilitados[ultimo])) {
		            this.labels[ultimo].setIcon(cadeiraLivre);
		        }
		        ultimo = 55;
		    }
		}
}//GEN-LAST:event_jLabel56MouseClicked

private void jLabel57MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel57MouseClicked
     
		if (!this.jLabel57.getIcon().equals(cadeiraBranca) && (this.labelsDesabilitados[56])) {
		    if (this.ultimo != 56) {        
		        this.jLabel57.setIcon(cadeiraEscolhida);
		        if (this.ultimo != -1 && (this.labelsDesabilitados[ultimo])) {
		            this.labels[ultimo].setIcon(cadeiraLivre);
		        }
		        ultimo = 56;
		    }
		}
}//GEN-LAST:event_jLabel57MouseClicked

private void jLabel58MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel58MouseClicked
     
		if (!this.jLabel58.getIcon().equals(cadeiraBranca) && (this.labelsDesabilitados[57])) {
		    if (this.ultimo != 57) {        
		        this.jLabel58.setIcon(cadeiraEscolhida);
		        if (this.ultimo != -1 && (this.labelsDesabilitados[ultimo])) {
		            this.labels[ultimo].setIcon(cadeiraLivre);
		        }
		        ultimo = 57;
		    }
		}
}//GEN-LAST:event_jLabel58MouseClicked

private void jLabel59MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel59MouseClicked
     
		if (!this.jLabel59.getIcon().equals(cadeiraBranca) && (this.labelsDesabilitados[58])) {
		    if (this.ultimo != 58) {        
		        this.jLabel59.setIcon(cadeiraEscolhida);
		        if (this.ultimo != -1 && (this.labelsDesabilitados[ultimo])) {
		            this.labels[ultimo].setIcon(cadeiraLivre);
		        }
		        ultimo = 58;
		    }
		}
}//GEN-LAST:event_jLabel59MouseClicked

private void jLabel60MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel60MouseClicked
    
	if (!this.jLabel60.getIcon().equals(cadeiraBranca) && (this.labelsDesabilitados[59])) {
	        if (this.ultimo != 59) {        
	            this.jLabel60.setIcon(cadeiraEscolhida);
	            if (this.ultimo != -1 && (this.labelsDesabilitados[ultimo])) {
	                this.labels[ultimo].setIcon(cadeiraLivre);
	            }
	            ultimo = 59;
	        }
	   }
}//GEN-LAST:event_jLabel60MouseClicked

private void jLabel61MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel61MouseClicked
     
		if (!this.jLabel61.getIcon().equals(cadeiraBranca) && (this.labelsDesabilitados[60])) {
		    if (this.ultimo != 60) {        
		        this.jLabel61.setIcon(cadeiraEscolhida);
		        if (this.ultimo != -1 && (this.labelsDesabilitados[ultimo])) {
		            this.labels[ultimo].setIcon(cadeiraLivre);
		        }
		        ultimo = 60;
		    }
		}
}//GEN-LAST:event_jLabel61MouseClicked

private void jLabel62MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel62MouseClicked
      
		if (!this.jLabel62.getIcon().equals(cadeiraBranca) && (this.labelsDesabilitados[61])) {
		    if (this.ultimo != 61) {        
		        this.jLabel62.setIcon(cadeiraEscolhida);
		        if (this.ultimo != -1 && (this.labelsDesabilitados[ultimo])) {
		            this.labels[ultimo].setIcon(cadeiraLivre);
		        }
		        ultimo = 61;
		    }
		 }
}//GEN-LAST:event_jLabel62MouseClicked

private void jLabel63MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel63MouseClicked
      
		if (!this.jLabel63.getIcon().equals(cadeiraBranca) && (this.labelsDesabilitados[62])) {
		    if (this.ultimo != 62) {        
		        this.jLabel63.setIcon(cadeiraEscolhida);
		        if (this.ultimo != -1 && (this.labelsDesabilitados[ultimo])) {
		            this.labels[ultimo].setIcon(cadeiraLivre);
		        }
		        ultimo = 62;
		    }
		 }
}//GEN-LAST:event_jLabel63MouseClicked

private void jLabel64MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel64MouseClicked
     
		if (!this.jLabel64.getIcon().equals(cadeiraBranca) && (this.labelsDesabilitados[53])) {
		    if (this.ultimo != 63) {        
		        this.jLabel64.setIcon(cadeiraEscolhida);
		        if (this.ultimo != -1 && (this.labelsDesabilitados[ultimo])) {
		            this.labels[ultimo].setIcon(cadeiraLivre);
		        }
		        ultimo = 63;
		    }
		}
}//GEN-LAST:event_jLabel64MouseClicked

private void jLabel65MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel65MouseClicked
      
		if (!this.jLabel65.getIcon().equals(cadeiraBranca) && (this.labelsDesabilitados[64])) { 
		    if (this.ultimo != 64) {        
		        this.jLabel65.setIcon(cadeiraEscolhida);
		        if (this.ultimo != -1 && (this.labelsDesabilitados[ultimo])) {
		            this.labels[ultimo].setIcon(cadeiraLivre);
		        }
		        ultimo = 64;
		    }
		 }
}//GEN-LAST:event_jLabel65MouseClicked

private void jLabel66MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel66MouseClicked
      
		if (!this.jLabel66.getIcon().equals(cadeiraBranca) && (this.labelsDesabilitados[65])) {
		    if (this.ultimo != 65) {        
		        this.jLabel66.setIcon(cadeiraEscolhida);
		        if (this.ultimo != -1 && (this.labelsDesabilitados[ultimo])) {
		            this.labels[ultimo].setIcon(cadeiraLivre);
		        }
		        ultimo = 65;
		    }
		 }
}//GEN-LAST:event_jLabel66MouseClicked

private void jLabel67MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel67MouseClicked
       
		if (!this.jLabel67.getIcon().equals(cadeiraBranca) && (this.labelsDesabilitados[66])) {
		    if (this.ultimo != 66) {        
		        this.jLabel67.setIcon(cadeiraEscolhida);
		        if (this.ultimo != -1 && (this.labelsDesabilitados[ultimo])) {
		            this.labels[ultimo].setIcon(cadeiraLivre);
		        }
		        ultimo = 66;
		    }
		  }
}//GEN-LAST:event_jLabel67MouseClicked

private void jLabel68MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel68MouseClicked
    
	if (!this.jLabel68.getIcon().equals(cadeiraBranca) && (this.labelsDesabilitados[67])) {
	        if (this.ultimo != 67) {        
	            this.jLabel68.setIcon(cadeiraEscolhida);
	            if (this.ultimo != -1 && (this.labelsDesabilitados[ultimo])) {
	                this.labels[ultimo].setIcon(cadeiraLivre);
	            }
	            ultimo = 67;
	        }
	   }
}//GEN-LAST:event_jLabel68MouseClicked

private void jLabel69MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel69MouseClicked
    
	if (!this.jLabel69.getIcon().equals(cadeiraBranca) && (this.labelsDesabilitados[68])) {
	        if (this.ultimo != 68) {        
	            this.jLabel69.setIcon(cadeiraEscolhida);
	            if (this.ultimo != -1 && (this.labelsDesabilitados[ultimo])) {
	                this.labels[ultimo].setIcon(cadeiraLivre);
	            }
	            ultimo = 68;
	        }
	   }
}//GEN-LAST:event_jLabel69MouseClicked

private void jLabel70MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel70MouseClicked
     
		if (!this.jLabel70.getIcon().equals(cadeiraBranca) && (this.labelsDesabilitados[69])) {
		    if (this.ultimo != 69) {        
		        this.jLabel70.setIcon(cadeiraEscolhida);
		        if (this.ultimo != -1 && (this.labelsDesabilitados[ultimo])) {
		            this.labels[ultimo].setIcon(cadeiraLivre);
		        }
		        ultimo = 69;
		    }
		}
}//GEN-LAST:event_jLabel70MouseClicked

private void jLabel71MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel71MouseClicked
     
		if (!this.jLabel71.getIcon().equals(cadeiraBranca) && (this.labelsDesabilitados[70])) {
		    if (this.ultimo != 70) {        
		        this.jLabel71.setIcon(cadeiraEscolhida);
		        if (this.ultimo != -1 && (this.labelsDesabilitados[ultimo])) {
		            this.labels[ultimo].setIcon(cadeiraLivre);
		        }
		        ultimo = 70;
		    }
		}
}//GEN-LAST:event_jLabel71MouseClicked

private void jLabel72MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel72MouseClicked
     
		if (!this.jLabel72.getIcon().equals(cadeiraBranca) && (this.labelsDesabilitados[71])) {
		    if (this.ultimo != 71) {        
		        this.jLabel72.setIcon(cadeiraEscolhida);
		        if (this.ultimo != -1 && (this.labelsDesabilitados[ultimo])) {
		            this.labels[ultimo].setIcon(cadeiraLivre);
		        }
		        ultimo = 71;
		    }
		}
}//GEN-LAST:event_jLabel72MouseClicked

private void jLabel73MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel73MouseClicked
     
		if (!this.jLabel73.getIcon().equals(cadeiraBranca) && (this.labelsDesabilitados[72])) {
		    if (this.ultimo != 72) {        
		        this.jLabel73.setIcon(cadeiraEscolhida);
		        if (this.ultimo != -1 && (this.labelsDesabilitados[ultimo])) {
		            this.labels[ultimo].setIcon(cadeiraLivre);
		        }
		        ultimo = 72;
		    }
		}
}//GEN-LAST:event_jLabel73MouseClicked

private void jLabel74MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel74MouseClicked
   
	if (!this.jLabel74.getIcon().equals(cadeiraBranca) && (this.labelsDesabilitados[73])) {
	        if (this.ultimo != 73) {        
	            this.jLabel74.setIcon(cadeiraEscolhida);
	            if (this.ultimo != -1 && (this.labelsDesabilitados[ultimo])) {
	                this.labels[ultimo].setIcon(cadeiraLivre);
	            }
	            ultimo = 73;
	        }
	  }
}//GEN-LAST:event_jLabel74MouseClicked

private void jLabel75MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel75MouseClicked
    
	if (!this.jLabel75.getIcon().equals(cadeiraBranca) && (this.labelsDesabilitados[74])) {
	        if (this.ultimo != 74) {        
	            this.jLabel75.setIcon(cadeiraEscolhida);
	            if (this.ultimo != -1 && (this.labelsDesabilitados[ultimo])) {
	                this.labels[ultimo].setIcon(cadeiraLivre);
	            }
	            ultimo = 74;
	        }
	   }
}//GEN-LAST:event_jLabel75MouseClicked

private void jLabel76MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel76MouseClicked
     
		if (!this.jLabel76.getIcon().equals(cadeiraBranca) && (this.labelsDesabilitados[75])) {
		    if (this.ultimo != 75) {        
		        this.jLabel76.setIcon(cadeiraEscolhida);
		        if (this.ultimo != -1 && (this.labelsDesabilitados[ultimo])) {
		            this.labels[ultimo].setIcon(cadeiraLivre);
		        }
		        ultimo = 75;
		    }
		}
}//GEN-LAST:event_jLabel76MouseClicked

private void jLabel77MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel77MouseClicked
    
	if (!this.jLabel77.getIcon().equals(cadeiraBranca) && (this.labelsDesabilitados[76])) {
	        if (this.ultimo != 76) {        
	            this.jLabel77.setIcon(cadeiraEscolhida);
	            if (this.ultimo != -1 && (this.labelsDesabilitados[ultimo])) {
	                this.labels[ultimo].setIcon(cadeiraLivre);
	            }
	            ultimo = 76;
	        }
	   }
}//GEN-LAST:event_jLabel77MouseClicked

private void jLabel78MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel78MouseClicked
     
		if (!this.jLabel78.getIcon().equals(cadeiraBranca) && (this.labelsDesabilitados[77])) {
		    if (this.ultimo != 77) {        
		        this.jLabel78.setIcon(cadeiraEscolhida);
		        if (this.ultimo != -1 && (this.labelsDesabilitados[ultimo])) {
		            this.labels[ultimo].setIcon(cadeiraLivre);
		        }
		        ultimo = 77;
		    }
		}
}//GEN-LAST:event_jLabel78MouseClicked

private void jLabel79MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel79MouseClicked
     
		if (!this.jLabel79.getIcon().equals(cadeiraBranca) && (this.labelsDesabilitados[78])) {
		    if (this.ultimo != 78) {        
		        this.jLabel79.setIcon(cadeiraEscolhida);
		        if (this.ultimo != -1 && (this.labelsDesabilitados[ultimo])) {
		            this.labels[ultimo].setIcon(cadeiraLivre);
		        }
		        ultimo = 78;
		    }
		}
}//GEN-LAST:event_jLabel79MouseClicked

private void jLabel80MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel80MouseClicked
     
		if (!this.jLabel80.getIcon().equals(cadeiraBranca) && (this.labelsDesabilitados[79])) {
		    if (this.ultimo != 79) {        
		        this.jLabel80.setIcon(cadeiraEscolhida);
		        if (this.ultimo != -1 && (this.labelsDesabilitados[ultimo])) {
		            this.labels[ultimo].setIcon(cadeiraLivre);
		        }
		        ultimo = 79;
		    }
		}
}//GEN-LAST:event_jLabel80MouseClicked

private void jLabel81MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel81MouseClicked
     
		if (!this.jLabel81.getIcon().equals(cadeiraBranca) && (this.labelsDesabilitados[80])) {
		    if (this.ultimo != 80) {        
		        this.jLabel81.setIcon(cadeiraEscolhida);
		        if (this.ultimo != -1 && (this.labelsDesabilitados[ultimo])) {
		            this.labels[ultimo].setIcon(cadeiraLivre);
		        }
		        ultimo = 80;
		    }
		}
}//GEN-LAST:event_jLabel81MouseClicked

private void jLabel82MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel82MouseClicked
    
	if (!this.jLabel82.getIcon().equals(cadeiraBranca) && (this.labelsDesabilitados[81])) {
	        if (this.ultimo != 81) {        
	            this.jLabel82.setIcon(cadeiraEscolhida);
	            if (this.ultimo != -1 && (this.labelsDesabilitados[ultimo])) {
	                this.labels[ultimo].setIcon(cadeiraLivre);
	            }
	            ultimo = 81;
	        }
	   }
}//GEN-LAST:event_jLabel82MouseClicked

private void jLabel83MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel83MouseClicked
   
	if (!this.jLabel83.getIcon().equals(cadeiraBranca) && (this.labelsDesabilitados[82])) {
	        if (this.ultimo != 82) {        
	            this.jLabel83.setIcon(cadeiraEscolhida);
	            if (this.ultimo != -1 && (this.labelsDesabilitados[ultimo])) {
	                this.labels[ultimo].setIcon(cadeiraLivre);
	            }
	            ultimo = 82;
	        }
	  }
}//GEN-LAST:event_jLabel83MouseClicked

private void jLabel84MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel84MouseClicked
    
	if (!this.jLabel84.getIcon().equals(cadeiraBranca) && (this.labelsDesabilitados[83])) {
	        if (this.ultimo != 83) {        
	            this.jLabel84.setIcon(cadeiraEscolhida);
	            if (this.ultimo != -1 && (this.labelsDesabilitados[ultimo])) {
	                this.labels[ultimo].setIcon(cadeiraLivre);
	            }
	            ultimo = 83;
	        }
	   }
}//GEN-LAST:event_jLabel84MouseClicked

private void jLabel85MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel85MouseClicked
     
		if (!this.jLabel85.getIcon().equals(cadeiraBranca) && (this.labelsDesabilitados[84])) {
		    if (this.ultimo != 84) {        
		        this.jLabel85.setIcon(cadeiraEscolhida);
		        if (this.ultimo != -1 && (this.labelsDesabilitados[ultimo])) {
		            this.labels[ultimo].setIcon(cadeiraLivre);
		        }
		        ultimo = 84;
		    }
		}
}//GEN-LAST:event_jLabel85MouseClicked

private void jLabel86MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel86MouseClicked
    
	if (!this.jLabel86.getIcon().equals(cadeiraBranca) && (this.labelsDesabilitados[85])) {
	        if (this.ultimo != 85) {        
	            this.jLabel86.setIcon(cadeiraEscolhida);
	            if (this.ultimo != -1 && (this.labelsDesabilitados[ultimo])) {
	                this.labels[ultimo].setIcon(cadeiraLivre);
	            }
	            ultimo = 85;
	        }
	   }
}//GEN-LAST:event_jLabel86MouseClicked

private void jLabel87MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel87MouseClicked
    
	if (!this.jLabel87.getIcon().equals(cadeiraBranca) && (this.labelsDesabilitados[86])) {
	        if (this.ultimo != 86) {        
	            this.jLabel87.setIcon(cadeiraEscolhida);
	            if (this.ultimo != -1 && (this.labelsDesabilitados[ultimo])) {
	                this.labels[ultimo].setIcon(cadeiraLivre);
	            }
	            ultimo = 86;
	        }
	   }
}//GEN-LAST:event_jLabel87MouseClicked

private void jLabel88MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel88MouseClicked
    
	if (!this.jLabel88.getIcon().equals(cadeiraBranca) && (this.labelsDesabilitados[87])) {
	        if (this.ultimo != 87) {        
	            this.jLabel88.setIcon(cadeiraEscolhida);
	            if (this.ultimo != -1 && (this.labelsDesabilitados[ultimo])) {
	                this.labels[ultimo].setIcon(cadeiraLivre);
	            }
	            ultimo = 87;
	        }
	   }
}//GEN-LAST:event_jLabel88MouseClicked

private void jLabel89MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel89MouseClicked
    
	if (!this.jLabel89.getIcon().equals(cadeiraBranca) && (this.labelsDesabilitados[88])) {
	        if (this.ultimo != 88) {        
	            this.jLabel89.setIcon(cadeiraEscolhida);
	            if (this.ultimo != -1 && (this.labelsDesabilitados[ultimo])) {
	                this.labels[ultimo].setIcon(cadeiraLivre);
	            }
	            ultimo = 88;
	        }
	   }
}//GEN-LAST:event_jLabel89MouseClicked

private void jLabel90MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel90MouseClicked
    
	if (!this.jLabel90.getIcon().equals(cadeiraBranca) && (this.labelsDesabilitados[89])) {
	        if (this.ultimo != 89) {        
	            this.jLabel90.setIcon(cadeiraEscolhida);
	            if (this.ultimo != -1 && (this.labelsDesabilitados[ultimo])) {
	                this.labels[ultimo].setIcon(cadeiraLivre);
	            }
	            ultimo = 89;
	        }
	   }
}//GEN-LAST:event_jLabel90MouseClicked

private void jLabel91MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel91MouseClicked
    
	if (!this.jLabel91.getIcon().equals(cadeiraBranca) && (this.labelsDesabilitados[90])) {
	        if (this.ultimo != 90) {        
	            this.jLabel91.setIcon(cadeiraEscolhida);
	            if (this.ultimo != -1 && (this.labelsDesabilitados[ultimo])) {
	                this.labels[ultimo].setIcon(cadeiraLivre);
	            }
	            ultimo = 90;
	        }
	   }
}//GEN-LAST:event_jLabel91MouseClicked

private void jLabel92MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel92MouseClicked
    
	if (!this.jLabel92.getIcon().equals(cadeiraBranca) && (this.labelsDesabilitados[91])) {
	        if (this.ultimo != 91) {        
	            this.jLabel92.setIcon(cadeiraEscolhida);
	            if (this.ultimo != -1 && (this.labelsDesabilitados[ultimo])) {
	                this.labels[ultimo].setIcon(cadeiraLivre);
	            }
	            ultimo = 91;
	        }
	   }
}//GEN-LAST:event_jLabel92MouseClicked

private void jLabel93MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel93MouseClicked
    
	if (!this.jLabel93.getIcon().equals(cadeiraBranca) && (this.labelsDesabilitados[92])) {
	        if (this.ultimo != 92) {        
	            this.jLabel93.setIcon(cadeiraEscolhida);
	            if (this.ultimo != -1 && (this.labelsDesabilitados[ultimo])) {
	                this.labels[ultimo].setIcon(cadeiraLivre);
	            }
	            ultimo = 92;
	        }
	   }
}//GEN-LAST:event_jLabel93MouseClicked

private void jLabel94MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel94MouseClicked
    
	if (!this.jLabel94.getIcon().equals(cadeiraBranca) && (this.labelsDesabilitados[93])) {
	        if (this.ultimo != 93) {        
	            this.jLabel94.setIcon(cadeiraEscolhida);
	            if (this.ultimo != -1 && (this.labelsDesabilitados[ultimo])) {
	                this.labels[ultimo].setIcon(cadeiraLivre);
	            }
	            ultimo = 93;
	        }
	   }
}//GEN-LAST:event_jLabel94MouseClicked

private void jLabel95MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel95MouseClicked
    
	if (!this.jLabel95.getIcon().equals(cadeiraBranca) && (this.labelsDesabilitados[94])) {
	        if (this.ultimo != 94) {        
	            this.jLabel95.setIcon(cadeiraEscolhida);
	            if (this.ultimo != -1 && (this.labelsDesabilitados[ultimo])) {
	                this.labels[ultimo].setIcon(cadeiraLivre);
	            }
	            ultimo = 94;
	        }
	   }
}//GEN-LAST:event_jLabel95MouseClicked

private void jLabel96MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel96MouseClicked
     
		if (!this.jLabel96.getIcon().equals(cadeiraBranca) && (this.labelsDesabilitados[95])) {
		    if (this.ultimo != 95) {        
		        this.jLabel96.setIcon(cadeiraEscolhida);
		        if (this.ultimo != -1 && (this.labelsDesabilitados[ultimo])) {
		            this.labels[ultimo].setIcon(cadeiraLivre);
		        }
		        ultimo = 95;
		    }
		}
}//GEN-LAST:event_jLabel96MouseClicked

private void jLabel97MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel97MouseClicked
     
		if (!this.jLabel97.getIcon().equals(cadeiraBranca) && (this.labelsDesabilitados[96])) {
		    if (this.ultimo != 96) {        
		        this.jLabel97.setIcon(cadeiraEscolhida);
		        if (this.ultimo != -1 && (this.labelsDesabilitados[ultimo])) {
		            this.labels[ultimo].setIcon(cadeiraLivre);
		        }
		        ultimo = 96;
		    }
		}
}//GEN-LAST:event_jLabel97MouseClicked

private void jLabel98MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel98MouseClicked
     
		if (!this.jLabel98.getIcon().equals(cadeiraBranca) && (this.labelsDesabilitados[97])) {
		    if (this.ultimo != 97) {        
		        this.jLabel98.setIcon(cadeiraEscolhida);
		        if (this.ultimo != -1 && (this.labelsDesabilitados[ultimo])) {
		            this.labels[ultimo].setIcon(cadeiraLivre);
		        }
		        ultimo = 97;
		    }
		}
}//GEN-LAST:event_jLabel98MouseClicked

private void jLabel99MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel99MouseClicked
     
		if (!this.jLabel99.getIcon().equals(cadeiraBranca) && (this.labelsDesabilitados[98])) {
		    if (this.ultimo != 98) {        
		        this.jLabel99.setIcon(cadeiraEscolhida);
		        if (this.ultimo != -1 && (this.labelsDesabilitados[ultimo])) {
		            this.labels[ultimo].setIcon(cadeiraLivre);
		        }
		        ultimo = 98;
		    }
		}
}//GEN-LAST:event_jLabel99MouseClicked

private void jLabel100MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel100MouseClicked
     
		if (!this.jLabel100.getIcon().equals(cadeiraBranca) && (this.labelsDesabilitados[99])) {
		    if (this.ultimo != 99) {        
		        this.jLabel100.setIcon(cadeiraEscolhida);
		        if (this.ultimo != -1 && (this.labelsDesabilitados[ultimo])) {
		            this.labels[ultimo].setIcon(cadeiraLivre);
		        }
		        ultimo = 99;
		    }
		}
}//GEN-LAST:event_jLabel100MouseClicked

private void jLabel101MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel101MouseClicked
    
	if (!this.jLabel101.getIcon().equals(cadeiraBranca) && (this.labelsDesabilitados[100])) {
	        if (this.ultimo != 100) {        
	            this.jLabel101.setIcon(cadeiraEscolhida);
	            if (this.ultimo != -1 && (this.labelsDesabilitados[ultimo])) {
	                this.labels[ultimo].setIcon(cadeiraLivre);
	            }
	            ultimo = 100;
	        }
	   }
}//GEN-LAST:event_jLabel101MouseClicked

private void jLabel102MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel102MouseClicked
    
	if (!this.jLabel102.getIcon().equals(cadeiraBranca) && (this.labelsDesabilitados[101])) {
	        if (this.ultimo != 101) {        
	            this.jLabel102.setIcon(cadeiraEscolhida);
	            if (this.ultimo != -1 && (this.labelsDesabilitados[ultimo])) {
	                this.labels[ultimo].setIcon(cadeiraLivre);
	            }
	            ultimo = 101;
	        }
	   }
}//GEN-LAST:event_jLabel102MouseClicked

private void jLabel103MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel103MouseClicked
    
	if (!this.jLabel103.getIcon().equals(cadeiraBranca) && (this.labelsDesabilitados[102])) {
	        if (this.ultimo != 102) {        
	            this.jLabel103.setIcon(cadeiraEscolhida);
	            if (this.ultimo != -1 && (this.labelsDesabilitados[ultimo])) {
	                this.labels[ultimo].setIcon(cadeiraLivre);
	            }
	            ultimo = 102;
	        }
	   }
}//GEN-LAST:event_jLabel103MouseClicked

private void jLabel104MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel104MouseClicked
     
		if (!this.jLabel104.getIcon().equals(cadeiraBranca) && (this.labelsDesabilitados[103])) {
		    if (this.ultimo != 103) {        
		        this.jLabel104.setIcon(cadeiraEscolhida);
		        if (this.ultimo != -1 && (this.labelsDesabilitados[ultimo])) {
		            this.labels[ultimo].setIcon(cadeiraLivre);
		        }
		        ultimo = 103;
		    }
		}
}//GEN-LAST:event_jLabel104MouseClicked

private void jLabel105MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel105MouseClicked
   
	if (!this.jLabel105.getIcon().equals(cadeiraBranca) && (this.labelsDesabilitados[104])) {
	        if (this.ultimo != 104) {        
	            this.jLabel105.setIcon(cadeiraEscolhida);
	            if (this.ultimo != -1 && (this.labelsDesabilitados[ultimo])) {
	                this.labels[ultimo].setIcon(cadeiraLivre);
	            }
	            ultimo = 104;
	        }
	  }
}//GEN-LAST:event_jLabel105MouseClicked

private void jLabel106MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel106MouseClicked
     
		if (!this.jLabel106.getIcon().equals(cadeiraBranca) && (this.labelsDesabilitados[105])) {
		    if (this.ultimo != 105) {        
		        this.jLabel106.setIcon(cadeiraEscolhida);
		        if (this.ultimo != -1 && (this.labelsDesabilitados[ultimo])) {
		            this.labels[ultimo].setIcon(cadeiraLivre);
		        }
		        ultimo = 105;
		    }
		}
}//GEN-LAST:event_jLabel106MouseClicked

private void jLabel107MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel107MouseClicked
     
		if (!this.jLabel107.getIcon().equals(cadeiraBranca) && (this.labelsDesabilitados[106])) {
		    if (this.ultimo != 106) {        
		        this.jLabel107.setIcon(cadeiraEscolhida);
		        if (this.ultimo != -1 && (this.labelsDesabilitados[ultimo])) {
		            this.labels[ultimo].setIcon(cadeiraLivre);
		        }
		        ultimo = 106;
		    }
		}
}//GEN-LAST:event_jLabel107MouseClicked

private void jLabel108MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel108MouseClicked
    
	if (!this.jLabel108.getIcon().equals(cadeiraBranca) && (this.labelsDesabilitados[107])) {
	        if (this.ultimo != 107) {        
	            this.jLabel108.setIcon(cadeiraEscolhida);
	            if (this.ultimo != -1 && (this.labelsDesabilitados[ultimo])) {
	                this.labels[ultimo].setIcon(cadeiraLivre);
	            }
	            ultimo = 107;
	        }
	   }
}//GEN-LAST:event_jLabel108MouseClicked

private void jLabel109MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel109MouseClicked
    
	if (!this.jLabel109.getIcon().equals(cadeiraBranca) && (this.labelsDesabilitados[108])) {
	        if (this.ultimo != 108) {        
	            this.jLabel109.setIcon(cadeiraEscolhida);
	            if (this.ultimo != -1 && (this.labelsDesabilitados[ultimo])) {
	                this.labels[ultimo].setIcon(cadeiraLivre);
	            }
	            ultimo = 108;
	        }
	   }
}//GEN-LAST:event_jLabel109MouseClicked

private void jLabel110MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel110MouseClicked
    
	if (!this.jLabel110.getIcon().equals(cadeiraBranca) && (this.labelsDesabilitados[109])) {
	        if (this.ultimo != 109) {        
	            this.jLabel110.setIcon(cadeiraEscolhida);
	            if (this.ultimo != -1 && (this.labelsDesabilitados[ultimo])) {
	                this.labels[ultimo].setIcon(cadeiraLivre);
	            }
	            ultimo = 109;
	        }
	   }
}//GEN-LAST:event_jLabel110MouseClicked

private void jLabel111MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel111MouseClicked
    
	if (!this.jLabel111.getIcon().equals(cadeiraBranca) && (this.labelsDesabilitados[110])) {
	        if (this.ultimo != 110) {        
	            this.jLabel111.setIcon(cadeiraEscolhida);
	            if (this.ultimo != -1 && (this.labelsDesabilitados[ultimo])) {
	                this.labels[ultimo].setIcon(cadeiraLivre);
	            }
	            ultimo = 110;
	        }
	   }
}//GEN-LAST:event_jLabel111MouseClicked

private void jLabel112MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel112MouseClicked
    
	if (!this.jLabel112.getIcon().equals(cadeiraBranca) && (this.labelsDesabilitados[111])) {
	        if (this.ultimo != 111) {        
	            this.jLabel112.setIcon(cadeiraEscolhida);
	            if (this.ultimo != -1 && (this.labelsDesabilitados[ultimo])) {
	                this.labels[ultimo].setIcon(cadeiraLivre);
	            }
	            ultimo = 111;
	        }
	   }
}//GEN-LAST:event_jLabel112MouseClicked

private void jLabel113MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel113MouseClicked
     
		if (!this.jLabel113.getIcon().equals(cadeiraBranca) && (this.labelsDesabilitados[112])) {
		    if (this.ultimo != 112) {        
		        this.jLabel113.setIcon(cadeiraEscolhida);
		        if (this.ultimo != -1 && (this.labelsDesabilitados[ultimo])) {
		            this.labels[ultimo].setIcon(cadeiraLivre);
		        }
		        ultimo = 112;
		    }
		}
}//GEN-LAST:event_jLabel113MouseClicked

private void jLabel114MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel114MouseClicked
     
		if (!this.jLabel114.getIcon().equals(cadeiraBranca) && (this.labelsDesabilitados[113])) {
		    if (this.ultimo != 113) {        
		        this.jLabel114.setIcon(cadeiraEscolhida);
		        if (this.ultimo != -1 && (this.labelsDesabilitados[ultimo])) {
		            this.labels[ultimo].setIcon(cadeiraLivre);
		        }
		        ultimo = 113;
		    }
		}
}//GEN-LAST:event_jLabel114MouseClicked

private void jLabel115MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel115MouseClicked
     
		if (!this.jLabel115.getIcon().equals(cadeiraBranca) && (this.labelsDesabilitados[114])) {
		    if (this.ultimo != 114) {        
		        this.jLabel115.setIcon(cadeiraEscolhida);
		        if (this.ultimo != -1 && (this.labelsDesabilitados[ultimo])) {
		            this.labels[ultimo].setIcon(cadeiraLivre);
		        }
		        ultimo = 114;
		    }
		}
}//GEN-LAST:event_jLabel115MouseClicked

private void jLabel116MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel116MouseClicked
     
		if (!this.jLabel116.getIcon().equals(cadeiraBranca) && (this.labelsDesabilitados[115])) {
		    if (this.ultimo != 115) {        
		        this.jLabel116.setIcon(cadeiraEscolhida);
		        if (this.ultimo != -1 && (this.labelsDesabilitados[ultimo])) {
		            this.labels[ultimo].setIcon(cadeiraLivre);
		        }
		        ultimo = 115;
		    }
		}
}//GEN-LAST:event_jLabel116MouseClicked

private void jLabel117MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel117MouseClicked
    
	if (!this.jLabel117.getIcon().equals(cadeiraBranca) && (this.labelsDesabilitados[116])) {
	        if (this.ultimo != 116) {        
	            this.jLabel117.setIcon(cadeiraEscolhida);
	            if (this.ultimo != -1 && (this.labelsDesabilitados[ultimo])) {
	                this.labels[ultimo].setIcon(cadeiraLivre);
	            }
	            ultimo = 116;
	        }
	   }
}//GEN-LAST:event_jLabel117MouseClicked

private void jLabel118MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel118MouseClicked
    
	if (!this.jLabel118.getIcon().equals(cadeiraBranca) && (this.labelsDesabilitados[117])) {
	        if (this.ultimo != 117) {        
	            this.jLabel118.setIcon(cadeiraEscolhida);
	            if (this.ultimo != -1 && (this.labelsDesabilitados[ultimo])) {
	                this.labels[ultimo].setIcon(cadeiraLivre);
	            }
	            ultimo = 117;
	        }
	   }
}//GEN-LAST:event_jLabel118MouseClicked

private void jLabel119MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel119MouseClicked
    
	if (!this.jLabel119.getIcon().equals(cadeiraBranca) && (this.labelsDesabilitados[118])) {
	        if (this.ultimo != 118) {        
	            this.jLabel119.setIcon(cadeiraEscolhida);
	            if (this.ultimo != -1 && (this.labelsDesabilitados[ultimo])) {
	                this.labels[ultimo].setIcon(cadeiraLivre);
	            }
	            ultimo = 118;
	        }
	   }
}//GEN-LAST:event_jLabel119MouseClicked

private void jLabel120MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel120MouseClicked
    
	if (!this.jLabel120.getIcon().equals(cadeiraBranca) && (this.labelsDesabilitados[119])) {
	        if (this.ultimo != 119) {        
	            this.jLabel120.setIcon(cadeiraEscolhida);
	            if (this.ultimo != -1 && (this.labelsDesabilitados[ultimo])) {
	                this.labels[ultimo].setIcon(cadeiraLivre);
	            }
	            ultimo = 119;
	        }
	   }
}//GEN-LAST:event_jLabel120MouseClicked

private void jLabel121MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel121MouseClicked
     
		if (!this.jLabel121.getIcon().equals(cadeiraBranca) && (this.labelsDesabilitados[120])) {
		    if (this.ultimo != 120) {        
		        this.jLabel121.setIcon(cadeiraEscolhida);
		        if (this.ultimo != -1 && (this.labelsDesabilitados[ultimo])) {
		            this.labels[ultimo].setIcon(cadeiraLivre);
		        }
		        ultimo = 120;
		    }
		}
}//GEN-LAST:event_jLabel121MouseClicked

private void jLabel122MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel122MouseClicked
    
	if (!this.jLabel122.getIcon().equals(cadeiraBranca) && (this.labelsDesabilitados[121])) {
	        if (this.ultimo != 121) {        
	            this.jLabel122.setIcon(cadeiraEscolhida);
	            if (this.ultimo != -1 && (this.labelsDesabilitados[ultimo])) {
	                this.labels[ultimo].setIcon(cadeiraLivre);
	            }
	            ultimo = 121;
	        }
	   }
}//GEN-LAST:event_jLabel122MouseClicked

private void jLabel123MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel123MouseClicked
    
	if (!this.jLabel123.getIcon().equals(cadeiraBranca) && (this.labelsDesabilitados[122])) {
	        if (this.ultimo != 122) {        
	            this.jLabel123.setIcon(cadeiraEscolhida);
	            if (this.ultimo != -1 && (this.labelsDesabilitados[ultimo])) {
	                this.labels[ultimo].setIcon(cadeiraLivre);
	            }
	            ultimo = 122;
	        }
	   }
}//GEN-LAST:event_jLabel123MouseClicked

private void jLabel124MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel124MouseClicked
    
	if (!this.jLabel124.getIcon().equals(cadeiraBranca) && (this.labelsDesabilitados[123])) {
	        if (this.ultimo != 123) {        
	            this.jLabel124.setIcon(cadeiraEscolhida);
	            if (this.ultimo != -1 && (this.labelsDesabilitados[ultimo])) {
	                this.labels[ultimo].setIcon(cadeiraLivre);
	            }
	            ultimo = 123;
	        }
	   }
}//GEN-LAST:event_jLabel124MouseClicked

private void jLabel125MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel125MouseClicked
     
		if (!this.jLabel125.getIcon().equals(cadeiraBranca) && (this.labelsDesabilitados[124])) {
		    if (this.ultimo != 124) {        
		        this.jLabel125.setIcon(cadeiraEscolhida);
		        if (this.ultimo != -1 && (this.labelsDesabilitados[ultimo])) {
		            this.labels[ultimo].setIcon(cadeiraLivre);
		        }
		        ultimo = 124;
		    }
		}
}//GEN-LAST:event_jLabel125MouseClicked

private void jLabel126MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel126MouseClicked
   
	if (!this.jLabel126.getIcon().equals(cadeiraBranca) && (this.labelsDesabilitados[125])) {
	        if (this.ultimo != 125) {        
	            this.jLabel126.setIcon(cadeiraEscolhida);
	            if (this.ultimo != -1 && (this.labelsDesabilitados[ultimo])) {
	                this.labels[ultimo].setIcon(cadeiraLivre);
	            }
	            ultimo = 125;
	        }
	  }
}//GEN-LAST:event_jLabel126MouseClicked

private void jLabel127MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel127MouseClicked
    
	if (!this.jLabel127.getIcon().equals(cadeiraBranca) && (this.labelsDesabilitados[126])) {
	        if (this.ultimo != 126) {        
	            this.jLabel127.setIcon(cadeiraEscolhida);
	            if (this.ultimo != -1 && (this.labelsDesabilitados[ultimo])) {
	                this.labels[ultimo].setIcon(cadeiraLivre);
	            }
	            ultimo = 126;
	        }
	   }
}//GEN-LAST:event_jLabel127MouseClicked

private void jLabel128MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel128MouseClicked
    
	if (!this.jLabel128.getIcon().equals(cadeiraBranca) && (this.labelsDesabilitados[127])) {
	        if (this.ultimo != 127) {        
	            this.jLabel128.setIcon(cadeiraEscolhida);
	            if (this.ultimo != -1 && (this.labelsDesabilitados[ultimo])) {
	                this.labels[ultimo].setIcon(cadeiraLivre);
	            }
	            ultimo = 127;
	        }
	   }
}//GEN-LAST:event_jLabel128MouseClicked

private void jLabel129MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel129MouseClicked
    
	if (!this.jLabel129.getIcon().equals(cadeiraBranca) && (this.labelsDesabilitados[128])) {
	        if (this.ultimo != 128) {        
	            this.jLabel129.setIcon(cadeiraEscolhida);
	            if (this.ultimo != -1 && (this.labelsDesabilitados[ultimo])) {
	                this.labels[ultimo].setIcon(cadeiraLivre);
	            }
	            ultimo = 128;
	        }
	   }
}//GEN-LAST:event_jLabel129MouseClicked

private void jLabel130MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel130MouseClicked
       
		if (!this.jLabel130.getIcon().equals(cadeiraBranca) && (this.labelsDesabilitados[129])) {
		    if (this.ultimo != 129) {        
		        this.jLabel130.setIcon(cadeiraEscolhida);
		        if (this.ultimo != -1 && (this.labelsDesabilitados[ultimo])) {
		            this.labels[ultimo].setIcon(cadeiraLivre);
		        }
		        ultimo = 129;
		    }
		  }
}//GEN-LAST:event_jLabel130MouseClicked

private void jLabel131MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel131MouseClicked
    
	if (!this.jLabel131.getIcon().equals(cadeiraBranca) && (this.labelsDesabilitados[130])) {
	        if (this.ultimo != 130) {        
	            this.jLabel131.setIcon(cadeiraEscolhida);
	            if (this.ultimo != -1 && (this.labelsDesabilitados[ultimo])) {
	                this.labels[ultimo].setIcon(cadeiraLivre);
	            }
	            ultimo = 130;
	        }
	   }
}//GEN-LAST:event_jLabel131MouseClicked

private void jLabel132MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel132MouseClicked
    
	if (!this.jLabel132.getIcon().equals(cadeiraBranca) && (this.labelsDesabilitados[131])) {
	        if (this.ultimo != 131) {        
	            this.jLabel132.setIcon(cadeiraEscolhida);
	            if (this.ultimo != -1 && (this.labelsDesabilitados[ultimo])) {
	                this.labels[ultimo].setIcon(cadeiraLivre);
	            }
	            ultimo = 131;
	        }
	   }
}//GEN-LAST:event_jLabel132MouseClicked

private void jLabel133MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel133MouseClicked
   
	if (!this.jLabel133.getIcon().equals(cadeiraBranca) && (this.labelsDesabilitados[132])) {
	        if (this.ultimo != 132) {        
	            this.jLabel133.setIcon(cadeiraEscolhida);
	            if (this.ultimo != -1 && (this.labelsDesabilitados[ultimo])) {
	                this.labels[ultimo].setIcon(cadeiraLivre);
	            }
	            ultimo = 132;
	        }
	  }
}//GEN-LAST:event_jLabel133MouseClicked

private void jLabel134MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel134MouseClicked
     
		if (!this.jLabel134.getIcon().equals(cadeiraBranca) && (this.labelsDesabilitados[133])) {
		    if (this.ultimo != 133) {        
		        this.jLabel134.setIcon(cadeiraEscolhida);
		        if (this.ultimo != -1 && (this.labelsDesabilitados[ultimo])) {
		            this.labels[ultimo].setIcon(cadeiraLivre);
		        }
		        ultimo = 133;
		    }
		}
}//GEN-LAST:event_jLabel134MouseClicked

private void jLabel135MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel135MouseClicked
    
	if (!this.jLabel135.getIcon().equals(cadeiraBranca) && (this.labelsDesabilitados[134])) {
	        if (this.ultimo != 134) {        
	            this.jLabel135.setIcon(cadeiraEscolhida);
	            if (this.ultimo != -1 && (this.labelsDesabilitados[ultimo])) {
	                this.labels[ultimo].setIcon(cadeiraLivre);
	            }
	            ultimo = 134;
	        }
	   }
}//GEN-LAST:event_jLabel135MouseClicked

private void jLabel136MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel136MouseClicked
    
	if (!this.jLabel136.getIcon().equals(cadeiraBranca) && (this.labelsDesabilitados[135])) {
	        if (this.ultimo != 135) {        
	            this.jLabel136.setIcon(cadeiraEscolhida);
	            if (this.ultimo != -1 && (this.labelsDesabilitados[ultimo])) {
	                this.labels[ultimo].setIcon(cadeiraLivre);
	            }
	            ultimo = 135;
	        }
	   }
}//GEN-LAST:event_jLabel136MouseClicked

private void jLabel137MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel137MouseClicked
    
	if (!this.jLabel137.getIcon().equals(cadeiraBranca) && (this.labelsDesabilitados[136])) {
	        if (this.ultimo != 136) {        
	            this.jLabel137.setIcon(cadeiraEscolhida);
	            if (this.ultimo != -1 && (this.labelsDesabilitados[ultimo])) {
	                this.labels[ultimo].setIcon(cadeiraLivre);
	            }
	            ultimo = 136;
	        }
	   }
}//GEN-LAST:event_jLabel137MouseClicked

private void jLabel138MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel138MouseClicked
    
	if (!this.jLabel138.getIcon().equals(cadeiraBranca) && (this.labelsDesabilitados[137])) {
	        if (this.ultimo != 137) {        
	            this.jLabel138.setIcon(cadeiraEscolhida);
	            if (this.ultimo != -1 && (this.labelsDesabilitados[ultimo])) {
	                this.labels[ultimo].setIcon(cadeiraLivre);
	            }
	            ultimo = 137;
	        }
	   }
}//GEN-LAST:event_jLabel138MouseClicked

private void jLabel139MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel139MouseClicked
     
		if (!this.jLabel139.getIcon().equals(cadeiraBranca) && (this.labelsDesabilitados[138])) {
		    if (this.ultimo != 138) {        
		        this.jLabel139.setIcon(cadeiraEscolhida);
		        if (this.ultimo != -1 && (this.labelsDesabilitados[ultimo])) {
		            this.labels[ultimo].setIcon(cadeiraLivre);
		        }
		        ultimo = 138;
		    }
		}
}//GEN-LAST:event_jLabel139MouseClicked

private void jLabel140MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel140MouseClicked
     
		if (!this.jLabel140.getIcon().equals(cadeiraBranca) && (this.labelsDesabilitados[139])) {
		    if (this.ultimo != 139) {        
		        this.jLabel140.setIcon(cadeiraEscolhida);
		        if (this.ultimo != -1 && (this.labelsDesabilitados[ultimo])) {
		            this.labels[ultimo].setIcon(cadeiraLivre);
		        }
		        ultimo = 139;
		    }
		}
}//GEN-LAST:event_jLabel140MouseClicked

private void jLabel141MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel141MouseClicked
     
		if (!this.jLabel141.getIcon().equals(cadeiraBranca) && (this.labelsDesabilitados[140])) {
		    if (this.ultimo != 140) {        
		        this.jLabel141.setIcon(cadeiraEscolhida);
		        if (this.ultimo != -1 && (this.labelsDesabilitados[ultimo])) {
		            this.labels[ultimo].setIcon(cadeiraLivre);
		        }
		        ultimo = 140;
		    }
		}
}//GEN-LAST:event_jLabel141MouseClicked

private void jLabel142MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel142MouseClicked
     
		if (!this.jLabel142.getIcon().equals(cadeiraBranca) && (this.labelsDesabilitados[141])) {
		    if (this.ultimo != 141) {        
		        this.jLabel142.setIcon(cadeiraEscolhida);
		        if (this.ultimo != -1 && (this.labelsDesabilitados[ultimo])) {
		            this.labels[ultimo].setIcon(cadeiraLivre);
		        }
		        ultimo = 141;
		    }
		}
}//GEN-LAST:event_jLabel142MouseClicked

private void jLabel143MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel143MouseClicked
     
		if (!this.jLabel143.getIcon().equals(cadeiraBranca) && (this.labelsDesabilitados[142])) {
		    if (this.ultimo != 142) {        
		        this.jLabel143.setIcon(cadeiraEscolhida);
		        if (this.ultimo != -1 && (this.labelsDesabilitados[ultimo])) {
		            this.labels[ultimo].setIcon(cadeiraLivre);
		        }
		        ultimo = 142;
		    }
		}
}//GEN-LAST:event_jLabel143MouseClicked

private void jLabel144MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel144MouseClicked
    
	if (!this.jLabel144.getIcon().equals(cadeiraBranca) && (this.labelsDesabilitados[143])) {
	        if (this.ultimo != 143) {        
	            this.jLabel144.setIcon(cadeiraEscolhida);
	            if (this.ultimo != -1 && (this.labelsDesabilitados[ultimo])) {
	                this.labels[ultimo].setIcon(cadeiraLivre);
	            }
	            ultimo = 143;
	        }
	   }
}//GEN-LAST:event_jLabel144MouseClicked

private void jLabel145MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel145MouseClicked
     
		if (!this.jLabel145.getIcon().equals(cadeiraBranca) && (this.labelsDesabilitados[144])) {
		    if (this.ultimo != 144) {        
		        this.jLabel145.setIcon(cadeiraEscolhida);
		        if (this.ultimo != -1 && (this.labelsDesabilitados[ultimo])) {
		            this.labels[ultimo].setIcon(cadeiraLivre);
		        }
		        ultimo = 144;
		    }
		}
}//GEN-LAST:event_jLabel145MouseClicked

private void jLabel146MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel146MouseClicked
    
	if (!this.jLabel146.getIcon().equals(cadeiraBranca) && (this.labelsDesabilitados[145])) {
	        if (this.ultimo != 145) {        
	            this.jLabel146.setIcon(cadeiraEscolhida);
	            if (this.ultimo != -1 && (this.labelsDesabilitados[ultimo])) {
	                this.labels[ultimo].setIcon(cadeiraLivre);
	            }
	            ultimo = 145;
	        }
	   }
}//GEN-LAST:event_jLabel146MouseClicked

private void jLabel147MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel147MouseClicked
    
	if (!this.jLabel147.getIcon().equals(cadeiraBranca) && (this.labelsDesabilitados[146])) {
	        if (this.ultimo != 146) {        
	            this.jLabel147.setIcon(cadeiraEscolhida);
	            if (this.ultimo != -1 && (this.labelsDesabilitados[ultimo])) {
	                this.labels[ultimo].setIcon(cadeiraLivre);
	            }
	            ultimo = 146;
	        }
	   }
}//GEN-LAST:event_jLabel147MouseClicked

private void jLabel148MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel148MouseClicked
     
		if (!this.jLabel148.getIcon().equals(cadeiraBranca) && (this.labelsDesabilitados[147])) {
		    if (this.ultimo != 147) {        
		        this.jLabel148.setIcon(cadeiraEscolhida);
		        if (this.ultimo != -1 && (this.labelsDesabilitados[ultimo])) {
		            this.labels[ultimo].setIcon(cadeiraLivre);
		        }
		        ultimo = 147;
		    }
		}
}//GEN-LAST:event_jLabel148MouseClicked

private void jLabel149MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel149MouseClicked
     
		if (!this.jLabel149.getIcon().equals(cadeiraBranca) && (this.labelsDesabilitados[148])) {
		    if (this.ultimo != 148) {        
		        this.jLabel149.setIcon(cadeiraEscolhida);
		        if (this.ultimo != -1 && (this.labelsDesabilitados[ultimo])) {
		            this.labels[ultimo].setIcon(cadeiraLivre);
		        }
		        ultimo = 148;
		    }
		}
}//GEN-LAST:event_jLabel149MouseClicked

private void jLabel150MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel150MouseClicked
      
		if (!this.jLabel150.getIcon().equals(cadeiraBranca) && (this.labelsDesabilitados[149])) {     
		    if (this.ultimo != 149) {        
		        this.jLabel150.setIcon(cadeiraEscolhida);
		        if (this.ultimo != -1 && (this.labelsDesabilitados[ultimo])) {
		            this.labels[ultimo].setIcon(cadeiraLivre);
		        }
		        ultimo = 149;
		    }
		 }
}//GEN-LAST:event_jLabel150MouseClicked

private void jLabel154MouseEntered(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel154MouseEntered
    this.jLabel154.setLocation(this.jLabel154.getX() - 5, this.jLabel154.getY());
}//GEN-LAST:event_jLabel154MouseEntered

private void jLabel154MouseExited(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel154MouseExited
    this.jLabel154.setLocation(this.jLabel154.getX() + 5, this.jLabel154.getY());
}//GEN-LAST:event_jLabel154MouseExited

private void jLabel156MouseEntered(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel156MouseEntered
    if (ingressoEnabled) {
        this.jLabel156.setIcon(ingressoLight);
    }
}//GEN-LAST:event_jLabel156MouseEntered

private void jLabel156MouseExited(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel156MouseExited
    if (ingressoEnabled) {
        this.jLabel156.setIcon(ingresso);
    }
}//GEN-LAST:event_jLabel156MouseExited

private void jLabel155MouseEntered(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel155MouseEntered
    this.jLabel155.setIcon(sairPress);
}//GEN-LAST:event_jLabel155MouseEntered

private void jLabel155MouseExited(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel155MouseExited
    this.jLabel155.setIcon(sair);
}//GEN-LAST:event_jLabel155MouseExited

private void jLabel157MouseEntered(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel157MouseEntered
    if (okEnabled) {
        this.jLabel157.setIcon(okLight);
    }    
}//GEN-LAST:event_jLabel157MouseEntered

private void jLabel157MouseExited(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel157MouseExited
    if (okEnabled) {
         this.jLabel157.setIcon(ok);
    }   
}//GEN-LAST:event_jLabel157MouseExited

/*private int getColuna (int i){
	 int colunaCadeira = 0;
	 if (i < 15) colunaCadeira = colunaCadeira + i;
     else if (i < 30) colunaCadeira = colunaCadeira + i - 15;
     else if (i < 45) colunaCadeira = colunaCadeira + i - 30;
     else if (i < 60) colunaCadeira = colunaCadeira + i - 45;
     else if (i < 75) colunaCadeira = colunaCadeira + i - 60;
     else if (i < 90) colunaCadeira = colunaCadeira + i - 75;
     else if (i < 105) colunaCadeira = colunaCadeira + i - 90;
     else if (i < 120) colunaCadeira = colunaCadeira + i - 105;
     else if (i < 135) colunaCadeira = colunaCadeira + i - 120;
     else if (i < 150) colunaCadeira = colunaCadeira + i - 135;
	 
	 return colunaCadeira;
	
}*/

private void jLabel157MouseReleased(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel157MouseReleased
    if (okEnabled) {
        this.jLabel157.setIcon(okDisabled);
        this.jLabel156.setIcon(ingresso);
        this.jLabel156.setCursor(Cursor.getPredefinedCursor(Cursor.HAND_CURSOR));
        this.jLabel156.setToolTipText("Gerar Ingresso");
        this.jLabel157.setCursor(Cursor.getPredefinedCursor(Cursor.DEFAULT_CURSOR));
        this.jLabel157.setToolTipText(null);
        this.ingressoEnabled = true;
        this.okEnabled = false;
        
        
        int i = this.ultimo;
        this.linhaCadeira = (i/15);
        this.colunaCadeira = 0;
        
        //int coluna = 1;
        if (i < 15) colunaCadeira = colunaCadeira + i;
        else if (i < 30) colunaCadeira = colunaCadeira + i - 15;
        else if (i < 45) colunaCadeira = colunaCadeira + i - 30;
        else if (i < 60) colunaCadeira = colunaCadeira + i - 45;
        else if (i < 75) colunaCadeira = colunaCadeira + i - 60;
        else if (i < 90) colunaCadeira = colunaCadeira + i - 75;
        else if (i < 105) colunaCadeira = colunaCadeira + i - 90;
        else if (i < 120) colunaCadeira = colunaCadeira + i - 105;
        else if (i < 135) colunaCadeira = colunaCadeira + i - 120;
        else if (i < 150) colunaCadeira = colunaCadeira + i - 135;
        //valores do array!!!! comecando em zero!
        
        this.linhaCadeira = this.linhaCadeira + 1;
        this.colunaCadeira = this.colunaCadeira + 1;
       
        //Fachada fachada = new Fachada(null);
        try {
			this.fachada.inserirReserva(evento.getId(), linhaCadeira, colunaCadeira);
			this.labels[ultimo].setIcon(cadeiraOcupada);
			this.labelsDesabilitados[ultimo] = false;
		} catch (BancoDeDadosException e) {
			// TODO Auto-generated catch block
			new TelaConfirmacao(false, e.getMessage()).setVisible(true);
		} catch (Exception e) {
			new TelaConfirmacao(false, "Selecione um assento.").setVisible(true);
		}
        
     
    }      
}//GEN-LAST:event_jLabel157MouseReleased

private void jLabel157MousePressed(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel157MousePressed
    if (okEnabled) {
        this.jLabel157.setIcon(okPress);
    }   
}//GEN-LAST:event_jLabel157MousePressed

private void jLabel156MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel156MouseClicked
    //clicar em ingresso
	if (ingressoEnabled) {
		TelaDiretorio tela = new TelaDiretorio(this.evento, this.linhaCadeira, this.colunaCadeira);
		tela.setVisible(true);
		this.ingressoEnabled = false;
		this.okEnabled = true;
		this.jLabel157.setIcon(ok);
		this.jLabel156.setIcon(ingressoDisabled);
	}
	
}//GEN-LAST:event_jLabel156MouseClicked

private void jLabel154MousePressed(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel154MousePressed
    this.jLabel154.setIcon(voltarPress);
}//GEN-LAST:event_jLabel154MousePressed

private void jLabel154MouseReleased(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel154MouseReleased
     this.jLabel154.setIcon(voltar);
     this.setVisible(false);
     this.telaPrincipal.setVisible(true);
     
}//GEN-LAST:event_jLabel154MouseReleased

private void jLabel155MousePressed(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel155MousePressed
// TODO add your handling code here:
}//GEN-LAST:event_jLabel155MousePressed

private void jLabel155MouseReleased(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel155MouseReleased
	System.exit(1);
	
}//GEN-LAST:event_jLabel155MouseReleased





    /**
    * @param args the command line arguments
    */
//    public static void main(String args[]) {
//        java.awt.EventQueue.invokeLater(new Runnable() {
//            public void run() {
//                new TelaVendas(5,5).setVisible(true);
//            }
//        });
//    }

    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JLabel jLabel1;
    private javax.swing.JLabel jLabel10;
    private javax.swing.JLabel jLabel100;
    private javax.swing.JLabel jLabel101;
    private javax.swing.JLabel jLabel102;
    private javax.swing.JLabel jLabel103;
    private javax.swing.JLabel jLabel104;
    private javax.swing.JLabel jLabel105;
    private javax.swing.JLabel jLabel106;
    private javax.swing.JLabel jLabel107;
    private javax.swing.JLabel jLabel108;
    private javax.swing.JLabel jLabel109;
    private javax.swing.JLabel jLabel11;
    private javax.swing.JLabel jLabel110;
    private javax.swing.JLabel jLabel111;
    private javax.swing.JLabel jLabel112;
    private javax.swing.JLabel jLabel113;
    private javax.swing.JLabel jLabel114;
    private javax.swing.JLabel jLabel115;
    private javax.swing.JLabel jLabel116;
    private javax.swing.JLabel jLabel117;
    private javax.swing.JLabel jLabel118;
    private javax.swing.JLabel jLabel119;
    private javax.swing.JLabel jLabel12;
    private javax.swing.JLabel jLabel120;
    private javax.swing.JLabel jLabel121;
    private javax.swing.JLabel jLabel122;
    private javax.swing.JLabel jLabel123;
    private javax.swing.JLabel jLabel124;
    private javax.swing.JLabel jLabel125;
    private javax.swing.JLabel jLabel126;
    private javax.swing.JLabel jLabel127;
    private javax.swing.JLabel jLabel128;
    private javax.swing.JLabel jLabel129;
    private javax.swing.JLabel jLabel13;
    private javax.swing.JLabel jLabel130;
    private javax.swing.JLabel jLabel131;
    private javax.swing.JLabel jLabel132;
    private javax.swing.JLabel jLabel133;
    private javax.swing.JLabel jLabel134;
    private javax.swing.JLabel jLabel135;
    private javax.swing.JLabel jLabel136;
    private javax.swing.JLabel jLabel137;
    private javax.swing.JLabel jLabel138;
    private javax.swing.JLabel jLabel139;
    private javax.swing.JLabel jLabel14;
    private javax.swing.JLabel jLabel140;
    private javax.swing.JLabel jLabel141;
    private javax.swing.JLabel jLabel142;
    private javax.swing.JLabel jLabel143;
    private javax.swing.JLabel jLabel144;
    private javax.swing.JLabel jLabel145;
    private javax.swing.JLabel jLabel146;
    private javax.swing.JLabel jLabel147;
    private javax.swing.JLabel jLabel148;
    private javax.swing.JLabel jLabel149;
    private javax.swing.JLabel jLabel15;
    private javax.swing.JLabel jLabel150;
    private javax.swing.JLabel jLabel151;
    private javax.swing.JLabel jLabel152;
    private javax.swing.JLabel jLabel153;
    private javax.swing.JLabel jLabel154;
    private javax.swing.JLabel jLabel155;
    private javax.swing.JLabel jLabel156;
    private javax.swing.JLabel jLabel157;
    private javax.swing.JLabel jLabel16;
    private javax.swing.JLabel jLabel17;
    private javax.swing.JLabel jLabel18;
    private javax.swing.JLabel jLabel19;
    private javax.swing.JLabel jLabel2;
    private javax.swing.JLabel jLabel20;
    private javax.swing.JLabel jLabel21;
    private javax.swing.JLabel jLabel22;
    private javax.swing.JLabel jLabel23;
    private javax.swing.JLabel jLabel24;
    private javax.swing.JLabel jLabel25;
    private javax.swing.JLabel jLabel26;
    private javax.swing.JLabel jLabel27;
    private javax.swing.JLabel jLabel28;
    private javax.swing.JLabel jLabel29;
    private javax.swing.JLabel jLabel3;
    private javax.swing.JLabel jLabel30;
    private javax.swing.JLabel jLabel31;
    private javax.swing.JLabel jLabel32;
    private javax.swing.JLabel jLabel33;
    private javax.swing.JLabel jLabel34;
    private javax.swing.JLabel jLabel35;
    private javax.swing.JLabel jLabel36;
    private javax.swing.JLabel jLabel37;
    private javax.swing.JLabel jLabel38;
    private javax.swing.JLabel jLabel39;
    private javax.swing.JLabel jLabel4;
    private javax.swing.JLabel jLabel40;
    private javax.swing.JLabel jLabel41;
    private javax.swing.JLabel jLabel42;
    private javax.swing.JLabel jLabel43;
    private javax.swing.JLabel jLabel44;
    private javax.swing.JLabel jLabel45;
    private javax.swing.JLabel jLabel46;
    private javax.swing.JLabel jLabel47;
    private javax.swing.JLabel jLabel48;
    private javax.swing.JLabel jLabel49;
    private javax.swing.JLabel jLabel5;
    private javax.swing.JLabel jLabel50;
    private javax.swing.JLabel jLabel51;
    private javax.swing.JLabel jLabel52;
    private javax.swing.JLabel jLabel53;
    private javax.swing.JLabel jLabel54;
    private javax.swing.JLabel jLabel55;
    private javax.swing.JLabel jLabel56;
    private javax.swing.JLabel jLabel57;
    private javax.swing.JLabel jLabel58;
    private javax.swing.JLabel jLabel59;
    private javax.swing.JLabel jLabel6;
    private javax.swing.JLabel jLabel60;
    private javax.swing.JLabel jLabel61;
    private javax.swing.JLabel jLabel62;
    private javax.swing.JLabel jLabel63;
    private javax.swing.JLabel jLabel64;
    private javax.swing.JLabel jLabel65;
    private javax.swing.JLabel jLabel66;
    private javax.swing.JLabel jLabel67;
    private javax.swing.JLabel jLabel68;
    private javax.swing.JLabel jLabel69;
    private javax.swing.JLabel jLabel7;
    private javax.swing.JLabel jLabel70;
    private javax.swing.JLabel jLabel71;
    private javax.swing.JLabel jLabel72;
    private javax.swing.JLabel jLabel73;
    private javax.swing.JLabel jLabel74;
    private javax.swing.JLabel jLabel75;
    private javax.swing.JLabel jLabel76;
    private javax.swing.JLabel jLabel77;
    private javax.swing.JLabel jLabel78;
    private javax.swing.JLabel jLabel79;
    private javax.swing.JLabel jLabel8;
    private javax.swing.JLabel jLabel80;
    private javax.swing.JLabel jLabel81;
    private javax.swing.JLabel jLabel82;
    private javax.swing.JLabel jLabel83;
    private javax.swing.JLabel jLabel84;
    private javax.swing.JLabel jLabel85;
    private javax.swing.JLabel jLabel86;
    private javax.swing.JLabel jLabel87;
    private javax.swing.JLabel jLabel88;
    private javax.swing.JLabel jLabel89;
    private javax.swing.JLabel jLabel9;
    private javax.swing.JLabel jLabel90;
    private javax.swing.JLabel jLabel91;
    private javax.swing.JLabel jLabel92;
    private javax.swing.JLabel jLabel93;
    private javax.swing.JLabel jLabel94;
    private javax.swing.JLabel jLabel95;
    private javax.swing.JLabel jLabel96;
    private javax.swing.JLabel jLabel97;
    private javax.swing.JLabel jLabel98;
    private javax.swing.JLabel jLabel99;
    private javax.swing.JPanel jPanel1;
    private javax.swing.JPanel jPanel2;
    // End of variables declaration//GEN-END:variables

}
